=== modified file '.bzrignore'
--- .bzrignore	2008-10-29 13:46:43 +0000
+++ .bzrignore	2008-12-12 04:51:23 +0000
@@ -150,3 +150,6 @@
 m4/ltversion.m4
 m4/lt~obsolete.m4
 *.rej
+drizzled/configmake.h
+*.pb.cc
+*.pb.h

=== modified file 'client/drizzle.cc'
--- client/drizzle.cc	2008-12-10 20:07:04 +0000
+++ client/drizzle.cc	2008-12-11 19:58:47 +0000
@@ -1699,7 +1699,7 @@
       line_number++;
       if (show_progress)
       {
-        if ((line_number & 1000) == 0)
+        if ((line_number % 1000) == 0)
           fprintf(stderr, _("Processing line: %"PRIu32"\n"), line_number);
       }
       if (!glob_buffer->empty())

=== modified file 'drizzled/Makefile.am'
--- drizzled/Makefile.am	2008-12-10 23:20:13 +0000
+++ drizzled/Makefile.am	2008-12-12 04:50:09 +0000
@@ -59,7 +59,7 @@
 		current_session.h \
 		common.h \
 		comp_creator.h \
-		configvar.h \
+		configmake.h \
 		connect.h \
 		cost_vect.h \
 		data_home.h \
@@ -186,6 +186,7 @@
 drizzled_LDFLAGS =
 
 noinst_HEADERS = \
+		configvar.h \
 		gettext.h \
 		global.h \
 		server_includes.h
@@ -323,17 +324,21 @@
 
 BUILT_SOURCES = $(BUILT_MAINT_SRC) \
 		lex_hash.h \
+		configvar.h \
 		$(PCHHEADERS)
 
-EXTRA_DIST = $(BUILT_MAINT_SRC) \
-	     drizzledumpslow \
-	     message.mc \
-	     probes.d
+EXTRA_DIST = \
+		$(BUILT_MAINT_SRC) \
+		drizzledumpslow \
+		message.mc \
+		probes.d
 
-CLEANFILES = lex_hash.h \
-	     sql_yacc.output \
-	     $(PCHHEADERS) \
-	     $(nodist_drizzled_SOURCES)
+CLEANFILES = \
+		configmake.h \
+		lex_hash.h \
+		sql_yacc.output \
+		$(PCHHEADERS) \
+		$(nodist_drizzled_SOURCES)
 
 DISTCLEANFILES = $(EXTRA_PROGRAMS) \
 		 $(BUILT_MAINT_SRC)
@@ -353,6 +358,40 @@
 	sed "s/#include <unistd.h>//g" probes.h.bak > probes.h
 	rm probes.h.bak
 
+configmake.h: Makefile
+	rm -f $@-t $@
+	{ echo '/* DO NOT EDIT! GENERATED AUTOMATICALLY! */'; \
+	  echo '#define PREFIX "$(prefix)"'; \
+	  echo '#define EXEC_PREFIX "$(exec_prefix)"'; \
+	  echo '#define BINDIR "$(bindir)"'; \
+	  echo '#define SBINDIR "$(sbindir)"'; \
+	  echo '#define LIBEXECDIR "$(libexecdir)"'; \
+	  echo '#define DATAROOTDIR "$(datarootdir)"'; \
+	  echo '#define DATADIR "$(datadir)"'; \
+	  echo '#define SYSCONFDIR "$(sysconfdir)"'; \
+	  echo '#define SHAREDSTATEDIR "$(sharedstatedir)"'; \
+	  echo '#define LOCALSTATEDIR "$(localstatedir)"'; \
+	  echo '#define INCLUDEDIR "$(includedir)"'; \
+	  echo '#define OLDINCLUDEDIR "$(oldincludedir)"'; \
+	  echo '#define DOCDIR "$(docdir)"'; \
+	  echo '#define INFODIR "$(infodir)"'; \
+	  echo '#define HTMLDIR "$(htmldir)"'; \
+	  echo '#define DVIDIR "$(dvidir)"'; \
+	  echo '#define PDFDIR "$(pdfdir)"'; \
+	  echo '#define PSDIR "$(psdir)"'; \
+	  echo '#define LIBDIR "$(libdir)"'; \
+	  echo '#define LISPDIR "$(lispdir)"'; \
+	  echo '#define LOCALEDIR "$(localedir)"'; \
+	  echo '#define MANDIR "$(mandir)"'; \
+	  echo '#define MANEXT "$(manext)"'; \
+	  echo '#define PKGDATADIR "$(pkgdatadir)"'; \
+	  echo '#define PKGINCLUDEDIR "$(pkgincludedir)"'; \
+	  echo '#define PKGLIBDIR "$(pkglibdir)"'; \
+	  echo '#define PKGLIBEXECDIR "$(pkglibexecdir)"'; \
+	} | sed '/""/d' > $@-t
+	mv $@-t $@
+
+
 if BUILD_GCC_PCH
 %.h.gch: %.h
 	$(CXXCOMPILE) -include config.h -Wno-unused-macros -c $<

=== modified file 'drizzled/serialize/replication_event_reader.cc'
--- drizzled/serialize/replication_event_reader.cc	2008-12-10 02:15:50 +0000
+++ drizzled/serialize/replication_event_reader.cc	2008-12-11 20:05:32 +0000
@@ -1,6 +1,7 @@
 #include <sys/types.h>
 #include <sys/stat.h>
 #include <fcntl.h>
+#include <unistd.h>
 #include <iostream>
 #include <fstream>
 #include <string>

=== modified file 'po/ar.po'
--- po/ar.po	2008-12-10 22:02:06 +0000
+++ po/ar.po	2008-12-12 04:49:53 +0000
@@ -7,7 +7,7 @@
 msgstr ""
 "Project-Id-Version: drizzle\n"
 "Report-Msgid-Bugs-To: http://translations.launchpad.net/drizzle\n"
-"POT-Creation-Date: 2008-12-10 14:01-0800\n"
+"POT-Creation-Date: 2008-12-11 22:45-0600\n"
 "PO-Revision-Date: 2008-11-26 23:27+0000\n"
 "Last-Translator: Monty Taylor <mordred@inaugust.com>\n"
 "Language-Team: Arabic <ar@li.org>\n"
@@ -1205,7 +1205,7 @@
 msgid "(Disabled)\n"
 msgstr ""
 
-#: drizzled/authentication.cc:66 drizzled/show.cc:4677
+#: drizzled/authentication.cc:66 drizzled/show.cc:4679
 #: drizzled/sql_plugin.cc:829
 #, c-format
 msgid "Plugin '%s' init function returned error."
@@ -5705,7 +5705,7 @@
 msgid "Failed to create a cache on log (file '%s')"
 msgstr ""
 
-#: drizzled/log.cc:522 drizzled/log.cc:887
+#: drizzled/log.cc:520 drizzled/log.cc:885
 #, c-format
 msgid ""
 "Could not use %s for logging (error %d). Turning logging off for the whole "
@@ -5713,82 +5713,82 @@
 "shutdown the Drizzle server and restart it."
 msgstr ""
 
-#: drizzled/log.cc:1155 drizzled/log.cc:1186 drizzled/log.cc:1435
-#: drizzled/log.cc:1557
+#: drizzled/log.cc:1153 drizzled/log.cc:1184 drizzled/log.cc:1433
+#: drizzled/log.cc:1555
 #, c-format
 msgid "Failed to delete file '%s'"
 msgstr ""
 
-#: drizzled/log.cc:1164 drizzled/log.cc:1443 drizzled/log.cc:1565
+#: drizzled/log.cc:1162 drizzled/log.cc:1441 drizzled/log.cc:1563
 #, c-format
 msgid ""
 "a problem with deleting %s; consider examining correspondence of your binlog "
 "index file to the actual binlog files"
 msgstr ""
 
-#: drizzled/log.cc:1291
+#: drizzled/log.cc:1289
 #, c-format
 msgid "next log error: %d  offset: %s  log: %s included: %d"
 msgstr ""
 
-#: drizzled/log.cc:1401 drizzled/log.cc:1525
+#: drizzled/log.cc:1399 drizzled/log.cc:1523
 #, c-format
 msgid "Failed to execute stat() on file '%s'"
 msgstr ""
 
-#: drizzled/log.cc:1412 drizzled/log.cc:1536
+#: drizzled/log.cc:1410 drizzled/log.cc:1534
 #, c-format
 msgid ""
 "a problem with getting info on being purged %s; consider examining "
 "correspondence of your binlog index file to the actual binlog files"
 msgstr ""
 
-#: drizzled/log.cc:2546 drizzled/log.cc:3044
+#: drizzled/log.cc:2544 drizzled/log.cc:3042
 #, c-format
 msgid "Recovering after a crash using %s"
 msgstr ""
 
-#: drizzled/log.cc:2549
+#: drizzled/log.cc:2547
 msgid ""
 "Cannot perform automatic crash recovery when --tc-heuristic-recover is used"
 msgstr ""
 
-#: drizzled/log.cc:2891
+#: drizzled/log.cc:2889
 msgid "Bad magic header in tc log"
 msgstr ""
 
-#: drizzled/log.cc:2901
+#: drizzled/log.cc:2899
 #, c-format
 msgid ""
 "Recovery failed! You must enable exactly %d storage engines that support two-"
 "phase commit protocol"
 msgstr ""
 
-#: drizzled/log.cc:2929
+#: drizzled/log.cc:2927
 msgid ""
 "Crash recovery failed. Either correct the problem (if it's, for example, out "
 "of memory error) and restart, or delete tc log and start drizzled with --tc-"
 "heuristic-recover={commit|rollback}"
 msgstr ""
 
+#: drizzled/log.cc:2957
+msgid "Heuristic crash recovery mode"
+msgstr ""
+
 #: drizzled/log.cc:2959
-msgid "Heuristic crash recovery mode"
-msgstr ""
-
-#: drizzled/log.cc:2961
 msgid "Heuristic crash recovery failed"
 msgstr ""
 
-#: drizzled/log.cc:2962
+#: drizzled/log.cc:2960
 msgid "Please restart mysqld without --tc-heuristic-recover"
 msgstr ""
 
-#: drizzled/log.cc:3006 drizzled/log.cc:3030
+#: drizzled/log.cc:3004 drizzled/log.cc:3028
 #, c-format
 msgid "find_log_pos() failed (error: %d)"
 msgstr ""
 
-#: drizzled/log.cc:3144
+#: drizzled/log.cc:3142
 msgid ""
 "Crash recovery failed. Either correct the problem (if it's, for example, out "
 "of memory error) and restart, or delete (or rename) binary log and start "
@@ -5844,8 +5844,8 @@
 msgid "Error '%s' on query. Default database: '%s'. Query: '%s'"
 msgstr ""
 
-#: drizzled/log_event.cc:1670 drizzled/log_event.cc:4317
-#: drizzled/log_event.cc:4348 drizzled/log_event.cc:5080
+#: drizzled/log_event.cc:1670 drizzled/log_event.cc:4313
+#: drizzled/log_event.cc:4344 drizzled/log_event.cc:5076
 msgid "unexpected success or fatal error"
 msgstr ""
 
@@ -5874,80 +5874,80 @@
 msgid "Running LOAD DATA INFILE on table '%-.64s'. Default database: '%-.64s'"
 msgstr ""
 
-#: drizzled/log_event.cc:3106
+#: drizzled/log_event.cc:3102
 msgid "Out of memory while recording slave event"
 msgstr ""
 
-#: drizzled/log_event.cc:3356 drizzled/log_event.cc:3382
+#: drizzled/log_event.cc:3352 drizzled/log_event.cc:3378
 #, c-format
 msgid "Error in Create_file event: could not open file '%s'"
 msgstr ""
 
-#: drizzled/log_event.cc:3368
+#: drizzled/log_event.cc:3364
 #, c-format
 msgid "Error in Create_file event: could not write to file '%s'"
 msgstr ""
 
-#: drizzled/log_event.cc:3389
+#: drizzled/log_event.cc:3385
 #, c-format
 msgid "Error in Create_file event: write to '%s' failed"
 msgstr ""
 
-#: drizzled/log_event.cc:3503
+#: drizzled/log_event.cc:3499
 #, c-format
 msgid "Error in %s event: could not create file '%s'"
 msgstr ""
 
-#: drizzled/log_event.cc:3512
+#: drizzled/log_event.cc:3508
 #, c-format
 msgid "Error in %s event: could not open file '%s'"
 msgstr ""
 
-#: drizzled/log_event.cc:3519
+#: drizzled/log_event.cc:3515
 #, c-format
 msgid "Error in %s event: write to '%s' failed"
 msgstr ""
 
-#: drizzled/log_event.cc:3681
+#: drizzled/log_event.cc:3677
 #, c-format
 msgid "Error in Exec_load event: could not open file '%s'"
 msgstr ""
 
-#: drizzled/log_event.cc:3691
+#: drizzled/log_event.cc:3687
 #, c-format
 msgid "Error in Exec_load event: file '%s' appears corrupted"
 msgstr ""
 
-#: drizzled/log_event.cc:3721
+#: drizzled/log_event.cc:3717
 #, c-format
 msgid "%s. Failed executing load from '%s'"
 msgstr ""
 
-#: drizzled/log_event.cc:3894
+#: drizzled/log_event.cc:3890
 msgid "Not enough memory"
 msgstr ""
 
-#: drizzled/log_event.cc:4314
+#: drizzled/log_event.cc:4310
 #, c-format
 msgid "Error '%s' in %s event: when locking tables"
 msgstr ""
 
-#: drizzled/log_event.cc:4324
+#: drizzled/log_event.cc:4320
 #, c-format
 msgid "Error in %s event: when locking tables"
 msgstr ""
 
-#: drizzled/log_event.cc:4345
+#: drizzled/log_event.cc:4341
 #, c-format
 msgid "Error '%s' on reopening tables"
 msgstr ""
 
-#: drizzled/log_event.cc:4681
+#: drizzled/log_event.cc:4677
 #, c-format
 msgid "Error in %s event: commit of row events failed, table `%s`.`%s`"
 msgstr ""
 
-#: drizzled/log_event.cc:5077
+#: drizzled/log_event.cc:5073
 #, c-format
 msgid "Error '%s' on opening table `%s`.`%s`"
 msgstr ""
@@ -6697,22 +6697,22 @@
 msgid "Plugin '%s' disabled by command line option"
 msgstr ""
 
-#: drizzled/sql_table.cc:108
+#: drizzled/sql_table.cc:110
 #, c-format
 msgid "Invalid (old?) table or database name '%s'"
 msgstr ""
 
-#: drizzled/sql_table.cc:2746
+#: drizzled/sql_table.cc:2762
 #, c-format
 msgid "Unknown - internal error %d during operation"
 msgstr ""
 
-#: drizzled/sql_table.cc:5019
+#: drizzled/sql_table.cc:5030
 #, c-format
 msgid "Could not open table %s.%s after rename\n"
 msgstr ""
 
-#: drizzled/sql_table.cc:5186
+#: drizzled/sql_table.cc:5197
 #, c-format
 msgid ""
 "order_st BY ignored because there is a user-defined clustered index in the "

=== modified file 'po/ca.po'
--- po/ca.po	2008-12-10 22:02:06 +0000
+++ po/ca.po	2008-12-12 04:49:53 +0000
@@ -7,7 +7,7 @@
 msgstr ""
 "Project-Id-Version: drizzle\n"
 "Report-Msgid-Bugs-To: http://translations.launchpad.net/drizzle\n"
-"POT-Creation-Date: 2008-12-10 14:01-0800\n"
+"POT-Creation-Date: 2008-12-11 22:45-0600\n"
 "PO-Revision-Date: 2008-11-26 23:29+0000\n"
 "Last-Translator: Monty Taylor <mordred@inaugust.com>\n"
 "Language-Team: Catalan <ca@li.org>\n"
@@ -1210,7 +1210,7 @@
 msgid "(Disabled)\n"
 msgstr ""
 
-#: drizzled/authentication.cc:66 drizzled/show.cc:4677
+#: drizzled/authentication.cc:66 drizzled/show.cc:4679
 #: drizzled/sql_plugin.cc:829
 #, c-format
 msgid "Plugin '%s' init function returned error."
@@ -5710,7 +5710,7 @@
 msgid "Failed to create a cache on log (file '%s')"
 msgstr ""
 
-#: drizzled/log.cc:522 drizzled/log.cc:887
+#: drizzled/log.cc:520 drizzled/log.cc:885
 #, c-format
 msgid ""
 "Could not use %s for logging (error %d). Turning logging off for the whole "
@@ -5718,82 +5718,82 @@
 "shutdown the Drizzle server and restart it."
 msgstr ""
 
-#: drizzled/log.cc:1155 drizzled/log.cc:1186 drizzled/log.cc:1435
-#: drizzled/log.cc:1557
+#: drizzled/log.cc:1153 drizzled/log.cc:1184 drizzled/log.cc:1433
+#: drizzled/log.cc:1555
 #, c-format
 msgid "Failed to delete file '%s'"
 msgstr ""
 
-#: drizzled/log.cc:1164 drizzled/log.cc:1443 drizzled/log.cc:1565
+#: drizzled/log.cc:1162 drizzled/log.cc:1441 drizzled/log.cc:1563
 #, c-format
 msgid ""
 "a problem with deleting %s; consider examining correspondence of your binlog "
 "index file to the actual binlog files"
 msgstr ""
 
-#: drizzled/log.cc:1291
+#: drizzled/log.cc:1289
 #, c-format
 msgid "next log error: %d  offset: %s  log: %s included: %d"
 msgstr ""
 
-#: drizzled/log.cc:1401 drizzled/log.cc:1525
+#: drizzled/log.cc:1399 drizzled/log.cc:1523
 #, c-format
 msgid "Failed to execute stat() on file '%s'"
 msgstr ""
 
-#: drizzled/log.cc:1412 drizzled/log.cc:1536
+#: drizzled/log.cc:1410 drizzled/log.cc:1534
 #, c-format
 msgid ""
 "a problem with getting info on being purged %s; consider examining "
 "correspondence of your binlog index file to the actual binlog files"
 msgstr ""
 
-#: drizzled/log.cc:2546 drizzled/log.cc:3044
+#: drizzled/log.cc:2544 drizzled/log.cc:3042
 #, c-format
 msgid "Recovering after a crash using %s"
 msgstr ""
 
-#: drizzled/log.cc:2549
+#: drizzled/log.cc:2547
 msgid ""
 "Cannot perform automatic crash recovery when --tc-heuristic-recover is used"
 msgstr ""
 
-#: drizzled/log.cc:2891
+#: drizzled/log.cc:2889
 msgid "Bad magic header in tc log"
 msgstr ""
 
-#: drizzled/log.cc:2901
+#: drizzled/log.cc:2899
 #, c-format
 msgid ""
 "Recovery failed! You must enable exactly %d storage engines that support two-"
 "phase commit protocol"
 msgstr ""
 
-#: drizzled/log.cc:2929
+#: drizzled/log.cc:2927
 msgid ""
 "Crash recovery failed. Either correct the problem (if it's, for example, out "
 "of memory error) and restart, or delete tc log and start drizzled with --tc-"
 "heuristic-recover={commit|rollback}"
 msgstr ""
 
+#: drizzled/log.cc:2957
+msgid "Heuristic crash recovery mode"
+msgstr ""
+
 #: drizzled/log.cc:2959
-msgid "Heuristic crash recovery mode"
-msgstr ""
-
-#: drizzled/log.cc:2961
 msgid "Heuristic crash recovery failed"
 msgstr ""
 
-#: drizzled/log.cc:2962
+#: drizzled/log.cc:2960
 msgid "Please restart mysqld without --tc-heuristic-recover"
 msgstr ""
 
-#: drizzled/log.cc:3006 drizzled/log.cc:3030
+#: drizzled/log.cc:3004 drizzled/log.cc:3028
 #, c-format
 msgid "find_log_pos() failed (error: %d)"
 msgstr ""
 
-#: drizzled/log.cc:3144
+#: drizzled/log.cc:3142
 msgid ""
 "Crash recovery failed. Either correct the problem (if it's, for example, out "
 "of memory error) and restart, or delete (or rename) binary log and start "
@@ -5849,8 +5849,8 @@
 msgid "Error '%s' on query. Default database: '%s'. Query: '%s'"
 msgstr ""
 
-#: drizzled/log_event.cc:1670 drizzled/log_event.cc:4317
-#: drizzled/log_event.cc:4348 drizzled/log_event.cc:5080
+#: drizzled/log_event.cc:1670 drizzled/log_event.cc:4313
+#: drizzled/log_event.cc:4344 drizzled/log_event.cc:5076
 msgid "unexpected success or fatal error"
 msgstr ""
 
@@ -5879,80 +5879,80 @@
 msgid "Running LOAD DATA INFILE on table '%-.64s'. Default database: '%-.64s'"
 msgstr ""
 
-#: drizzled/log_event.cc:3106
+#: drizzled/log_event.cc:3102
 msgid "Out of memory while recording slave event"
 msgstr ""
 
-#: drizzled/log_event.cc:3356 drizzled/log_event.cc:3382
+#: drizzled/log_event.cc:3352 drizzled/log_event.cc:3378
 #, c-format
 msgid "Error in Create_file event: could not open file '%s'"
 msgstr ""
 
-#: drizzled/log_event.cc:3368
+#: drizzled/log_event.cc:3364
 #, c-format
 msgid "Error in Create_file event: could not write to file '%s'"
 msgstr ""
 
-#: drizzled/log_event.cc:3389
+#: drizzled/log_event.cc:3385
 #, c-format
 msgid "Error in Create_file event: write to '%s' failed"
 msgstr ""
 
-#: drizzled/log_event.cc:3503
+#: drizzled/log_event.cc:3499
 #, c-format
 msgid "Error in %s event: could not create file '%s'"
 msgstr ""
 
-#: drizzled/log_event.cc:3512
+#: drizzled/log_event.cc:3508
 #, c-format
 msgid "Error in %s event: could not open file '%s'"
 msgstr ""
 
-#: drizzled/log_event.cc:3519
+#: drizzled/log_event.cc:3515
 #, c-format
 msgid "Error in %s event: write to '%s' failed"
 msgstr ""
 
-#: drizzled/log_event.cc:3681
+#: drizzled/log_event.cc:3677
 #, c-format
 msgid "Error in Exec_load event: could not open file '%s'"
 msgstr ""
 
-#: drizzled/log_event.cc:3691
+#: drizzled/log_event.cc:3687
 #, c-format
 msgid "Error in Exec_load event: file '%s' appears corrupted"
 msgstr ""
 
-#: drizzled/log_event.cc:3721
+#: drizzled/log_event.cc:3717
 #, c-format
 msgid "%s. Failed executing load from '%s'"
 msgstr ""
 
-#: drizzled/log_event.cc:3894
+#: drizzled/log_event.cc:3890
 msgid "Not enough memory"
 msgstr ""
 
-#: drizzled/log_event.cc:4314
+#: drizzled/log_event.cc:4310
 #, c-format
 msgid "Error '%s' in %s event: when locking tables"
 msgstr ""
 
-#: drizzled/log_event.cc:4324
+#: drizzled/log_event.cc:4320
 #, c-format
 msgid "Error in %s event: when locking tables"
 msgstr ""
 
-#: drizzled/log_event.cc:4345
+#: drizzled/log_event.cc:4341
 #, c-format
 msgid "Error '%s' on reopening tables"
 msgstr ""
 
-#: drizzled/log_event.cc:4681
+#: drizzled/log_event.cc:4677
 #, c-format
 msgid "Error in %s event: commit of row events failed, table `%s`.`%s`"
 msgstr ""
 
-#: drizzled/log_event.cc:5077
+#: drizzled/log_event.cc:5073
 #, c-format
 msgid "Error '%s' on opening table `%s`.`%s`"
 msgstr ""
@@ -6702,22 +6702,22 @@
 msgid "Plugin '%s' disabled by command line option"
 msgstr ""
 
-#: drizzled/sql_table.cc:108
+#: drizzled/sql_table.cc:110
 #, c-format
 msgid "Invalid (old?) table or database name '%s'"
 msgstr ""
 
-#: drizzled/sql_table.cc:2746
+#: drizzled/sql_table.cc:2762
 #, c-format
 msgid "Unknown - internal error %d during operation"
 msgstr ""
 
-#: drizzled/sql_table.cc:5019
+#: drizzled/sql_table.cc:5030
 #, c-format
 msgid "Could not open table %s.%s after rename\n"
 msgstr ""
 
-#: drizzled/sql_table.cc:5186
+#: drizzled/sql_table.cc:5197
 #, c-format
 msgid ""
 "order_st BY ignored because there is a user-defined clustered index in the "

=== modified file 'po/cs.po'
--- po/cs.po	2008-12-10 22:02:06 +0000
+++ po/cs.po	2008-12-12 04:49:53 +0000
@@ -7,7 +7,7 @@
 msgstr ""
 "Project-Id-Version: drizzle\n"
 "Report-Msgid-Bugs-To: http://translations.launchpad.net/drizzle\n"
-"POT-Creation-Date: 2008-12-10 14:01-0800\n"
+"POT-Creation-Date: 2008-12-11 22:45-0600\n"
 "PO-Revision-Date: 2008-11-26 23:33+0000\n"
 "Last-Translator: Petr Pulc <petrpulc@gmail.com>\n"
 "Language-Team: Czech <cs@li.org>\n"
@@ -1206,7 +1206,7 @@
 msgid "(Disabled)\n"
 msgstr ""
 
-#: drizzled/authentication.cc:66 drizzled/show.cc:4677
+#: drizzled/authentication.cc:66 drizzled/show.cc:4679
 #: drizzled/sql_plugin.cc:829
 #, c-format
 msgid "Plugin '%s' init function returned error."
@@ -5706,7 +5706,7 @@
 msgid "Failed to create a cache on log (file '%s')"
 msgstr ""
 
-#: drizzled/log.cc:522 drizzled/log.cc:887
+#: drizzled/log.cc:520 drizzled/log.cc:885
 #, c-format
 msgid ""
 "Could not use %s for logging (error %d). Turning logging off for the whole "
@@ -5714,82 +5714,82 @@
 "shutdown the Drizzle server and restart it."
 msgstr ""
 
-#: drizzled/log.cc:1155 drizzled/log.cc:1186 drizzled/log.cc:1435
-#: drizzled/log.cc:1557
+#: drizzled/log.cc:1153 drizzled/log.cc:1184 drizzled/log.cc:1433
+#: drizzled/log.cc:1555
 #, c-format
 msgid "Failed to delete file '%s'"
 msgstr ""
 
-#: drizzled/log.cc:1164 drizzled/log.cc:1443 drizzled/log.cc:1565
+#: drizzled/log.cc:1162 drizzled/log.cc:1441 drizzled/log.cc:1563
 #, c-format
 msgid ""
 "a problem with deleting %s; consider examining correspondence of your binlog "
 "index file to the actual binlog files"
 msgstr ""
 
-#: drizzled/log.cc:1291
+#: drizzled/log.cc:1289
 #, c-format
 msgid "next log error: %d  offset: %s  log: %s included: %d"
 msgstr ""
 
-#: drizzled/log.cc:1401 drizzled/log.cc:1525
+#: drizzled/log.cc:1399 drizzled/log.cc:1523
 #, c-format
 msgid "Failed to execute stat() on file '%s'"
 msgstr ""
 
-#: drizzled/log.cc:1412 drizzled/log.cc:1536
+#: drizzled/log.cc:1410 drizzled/log.cc:1534
 #, c-format
 msgid ""
 "a problem with getting info on being purged %s; consider examining "
 "correspondence of your binlog index file to the actual binlog files"
 msgstr ""
 
-#: drizzled/log.cc:2546 drizzled/log.cc:3044
+#: drizzled/log.cc:2544 drizzled/log.cc:3042
 #, c-format
 msgid "Recovering after a crash using %s"
 msgstr ""
 
-#: drizzled/log.cc:2549
+#: drizzled/log.cc:2547
 msgid ""
 "Cannot perform automatic crash recovery when --tc-heuristic-recover is used"
 msgstr ""
 
-#: drizzled/log.cc:2891
+#: drizzled/log.cc:2889
 msgid "Bad magic header in tc log"
 msgstr ""
 
-#: drizzled/log.cc:2901
+#: drizzled/log.cc:2899
 #, c-format
 msgid ""
 "Recovery failed! You must enable exactly %d storage engines that support two-"
 "phase commit protocol"
 msgstr ""
 
-#: drizzled/log.cc:2929
+#: drizzled/log.cc:2927
 msgid ""
 "Crash recovery failed. Either correct the problem (if it's, for example, out "
 "of memory error) and restart, or delete tc log and start drizzled with --tc-"
 "heuristic-recover={commit|rollback}"
 msgstr ""
 
+#: drizzled/log.cc:2957
+msgid "Heuristic crash recovery mode"
+msgstr ""
+
 #: drizzled/log.cc:2959
-msgid "Heuristic crash recovery mode"
-msgstr ""
-
-#: drizzled/log.cc:2961
 msgid "Heuristic crash recovery failed"
 msgstr ""
 
-#: drizzled/log.cc:2962
+#: drizzled/log.cc:2960
 msgid "Please restart mysqld without --tc-heuristic-recover"
 msgstr ""
 
-#: drizzled/log.cc:3006 drizzled/log.cc:3030
+#: drizzled/log.cc:3004 drizzled/log.cc:3028
 #, c-format
 msgid "find_log_pos() failed (error: %d)"
 msgstr ""
 
-#: drizzled/log.cc:3144
+#: drizzled/log.cc:3142
 msgid ""
 "Crash recovery failed. Either correct the problem (if it's, for example, out "
 "of memory error) and restart, or delete (or rename) binary log and start "
@@ -5845,8 +5845,8 @@
 msgid "Error '%s' on query. Default database: '%s'. Query: '%s'"
 msgstr ""
 
-#: drizzled/log_event.cc:1670 drizzled/log_event.cc:4317
-#: drizzled/log_event.cc:4348 drizzled/log_event.cc:5080
+#: drizzled/log_event.cc:1670 drizzled/log_event.cc:4313
+#: drizzled/log_event.cc:4344 drizzled/log_event.cc:5076
 msgid "unexpected success or fatal error"
 msgstr ""
 
@@ -5875,80 +5875,80 @@
 msgid "Running LOAD DATA INFILE on table '%-.64s'. Default database: '%-.64s'"
 msgstr ""
 
-#: drizzled/log_event.cc:3106
+#: drizzled/log_event.cc:3102
 msgid "Out of memory while recording slave event"
 msgstr ""
 
-#: drizzled/log_event.cc:3356 drizzled/log_event.cc:3382
+#: drizzled/log_event.cc:3352 drizzled/log_event.cc:3378
 #, c-format
 msgid "Error in Create_file event: could not open file '%s'"
 msgstr ""
 
-#: drizzled/log_event.cc:3368
+#: drizzled/log_event.cc:3364
 #, c-format
 msgid "Error in Create_file event: could not write to file '%s'"
 msgstr ""
 
-#: drizzled/log_event.cc:3389
+#: drizzled/log_event.cc:3385
 #, c-format
 msgid "Error in Create_file event: write to '%s' failed"
 msgstr ""
 
-#: drizzled/log_event.cc:3503
+#: drizzled/log_event.cc:3499
 #, c-format
 msgid "Error in %s event: could not create file '%s'"
 msgstr ""
 
-#: drizzled/log_event.cc:3512
+#: drizzled/log_event.cc:3508
 #, c-format
 msgid "Error in %s event: could not open file '%s'"
 msgstr ""
 
-#: drizzled/log_event.cc:3519
+#: drizzled/log_event.cc:3515
 #, c-format
 msgid "Error in %s event: write to '%s' failed"
 msgstr ""
 
-#: drizzled/log_event.cc:3681
+#: drizzled/log_event.cc:3677
 #, c-format
 msgid "Error in Exec_load event: could not open file '%s'"
 msgstr ""
 
-#: drizzled/log_event.cc:3691
+#: drizzled/log_event.cc:3687
 #, c-format
 msgid "Error in Exec_load event: file '%s' appears corrupted"
 msgstr ""
 
-#: drizzled/log_event.cc:3721
+#: drizzled/log_event.cc:3717
 #, c-format
 msgid "%s. Failed executing load from '%s'"
 msgstr ""
 
-#: drizzled/log_event.cc:3894
+#: drizzled/log_event.cc:3890
 msgid "Not enough memory"
 msgstr ""
 
-#: drizzled/log_event.cc:4314
+#: drizzled/log_event.cc:4310
 #, c-format
 msgid "Error '%s' in %s event: when locking tables"
 msgstr ""
 
-#: drizzled/log_event.cc:4324
+#: drizzled/log_event.cc:4320
 #, c-format
 msgid "Error in %s event: when locking tables"
 msgstr ""
 
-#: drizzled/log_event.cc:4345
+#: drizzled/log_event.cc:4341
 #, c-format
 msgid "Error '%s' on reopening tables"
 msgstr ""
 
-#: drizzled/log_event.cc:4681
+#: drizzled/log_event.cc:4677
 #, c-format
 msgid "Error in %s event: commit of row events failed, table `%s`.`%s`"
 msgstr ""
 
-#: drizzled/log_event.cc:5077
+#: drizzled/log_event.cc:5073
 #, c-format
 msgid "Error '%s' on opening table `%s`.`%s`"
 msgstr ""
@@ -6698,22 +6698,22 @@
 msgid "Plugin '%s' disabled by command line option"
 msgstr ""
 
-#: drizzled/sql_table.cc:108
+#: drizzled/sql_table.cc:110
 #, c-format
 msgid "Invalid (old?) table or database name '%s'"
 msgstr ""
 
-#: drizzled/sql_table.cc:2746
+#: drizzled/sql_table.cc:2762
 #, c-format
 msgid "Unknown - internal error %d during operation"
 msgstr ""
 
-#: drizzled/sql_table.cc:5019
+#: drizzled/sql_table.cc:5030
 #, c-format
 msgid "Could not open table %s.%s after rename\n"
 msgstr ""
 
-#: drizzled/sql_table.cc:5186
+#: drizzled/sql_table.cc:5197
 #, c-format
 msgid ""
 "order_st BY ignored because there is a user-defined clustered index in the "

=== modified file 'po/cy.po'
--- po/cy.po	2008-12-10 22:02:06 +0000
+++ po/cy.po	2008-12-12 04:49:53 +0000
@@ -7,7 +7,7 @@
 msgstr ""
 "Project-Id-Version: drizzle\n"
 "Report-Msgid-Bugs-To: http://translations.launchpad.net/drizzle\n"
-"POT-Creation-Date: 2008-12-10 14:01-0800\n"
+"POT-Creation-Date: 2008-12-11 22:45-0600\n"
 "PO-Revision-Date: 2008-11-26 23:36+0000\n"
 "Last-Translator: nhutchings <natalie@nuttycrafts.co.uk>\n"
 "Language-Team: Welsh <cy@li.org>\n"
@@ -1207,7 +1207,7 @@
 msgid "(Disabled)\n"
 msgstr ""
 
-#: drizzled/authentication.cc:66 drizzled/show.cc:4677
+#: drizzled/authentication.cc:66 drizzled/show.cc:4679
 #: drizzled/sql_plugin.cc:829
 #, c-format
 msgid "Plugin '%s' init function returned error."
@@ -5707,7 +5707,7 @@
 msgid "Failed to create a cache on log (file '%s')"
 msgstr ""
 
-#: drizzled/log.cc:522 drizzled/log.cc:887
+#: drizzled/log.cc:520 drizzled/log.cc:885
 #, c-format
 msgid ""
 "Could not use %s for logging (error %d). Turning logging off for the whole "
@@ -5715,82 +5715,82 @@
 "shutdown the Drizzle server and restart it."
 msgstr ""
 
-#: drizzled/log.cc:1155 drizzled/log.cc:1186 drizzled/log.cc:1435
-#: drizzled/log.cc:1557
+#: drizzled/log.cc:1153 drizzled/log.cc:1184 drizzled/log.cc:1433
+#: drizzled/log.cc:1555
 #, c-format
 msgid "Failed to delete file '%s'"
 msgstr ""
 
-#: drizzled/log.cc:1164 drizzled/log.cc:1443 drizzled/log.cc:1565
+#: drizzled/log.cc:1162 drizzled/log.cc:1441 drizzled/log.cc:1563
 #, c-format
 msgid ""
 "a problem with deleting %s; consider examining correspondence of your binlog "
 "index file to the actual binlog files"
 msgstr ""
 
-#: drizzled/log.cc:1291
+#: drizzled/log.cc:1289
 #, c-format
 msgid "next log error: %d  offset: %s  log: %s included: %d"
 msgstr ""
 
-#: drizzled/log.cc:1401 drizzled/log.cc:1525
+#: drizzled/log.cc:1399 drizzled/log.cc:1523
 #, c-format
 msgid "Failed to execute stat() on file '%s'"
 msgstr ""
 
-#: drizzled/log.cc:1412 drizzled/log.cc:1536
+#: drizzled/log.cc:1410 drizzled/log.cc:1534
 #, c-format
 msgid ""
 "a problem with getting info on being purged %s; consider examining "
 "correspondence of your binlog index file to the actual binlog files"
 msgstr ""
 
-#: drizzled/log.cc:2546 drizzled/log.cc:3044
+#: drizzled/log.cc:2544 drizzled/log.cc:3042
 #, c-format
 msgid "Recovering after a crash using %s"
 msgstr ""
 
-#: drizzled/log.cc:2549
+#: drizzled/log.cc:2547
 msgid ""
 "Cannot perform automatic crash recovery when --tc-heuristic-recover is used"
 msgstr ""
 
-#: drizzled/log.cc:2891
+#: drizzled/log.cc:2889
 msgid "Bad magic header in tc log"
 msgstr ""
 
-#: drizzled/log.cc:2901
+#: drizzled/log.cc:2899
 #, c-format
 msgid ""
 "Recovery failed! You must enable exactly %d storage engines that support two-"
 "phase commit protocol"
 msgstr ""
 
-#: drizzled/log.cc:2929
+#: drizzled/log.cc:2927
 msgid ""
 "Crash recovery failed. Either correct the problem (if it's, for example, out "
 "of memory error) and restart, or delete tc log and start drizzled with --tc-"
 "heuristic-recover={commit|rollback}"
 msgstr ""
 
+#: drizzled/log.cc:2957
+msgid "Heuristic crash recovery mode"
+msgstr ""
+
 #: drizzled/log.cc:2959
-msgid "Heuristic crash recovery mode"
-msgstr ""
-
-#: drizzled/log.cc:2961
 msgid "Heuristic crash recovery failed"
 msgstr ""
 
-#: drizzled/log.cc:2962
+#: drizzled/log.cc:2960
 msgid "Please restart mysqld without --tc-heuristic-recover"
 msgstr ""
 
-#: drizzled/log.cc:3006 drizzled/log.cc:3030
+#: drizzled/log.cc:3004 drizzled/log.cc:3028
 #, c-format
 msgid "find_log_pos() failed (error: %d)"
 msgstr ""
 
-#: drizzled/log.cc:3144
+#: drizzled/log.cc:3142
 msgid ""
 "Crash recovery failed. Either correct the problem (if it's, for example, out "
 "of memory error) and restart, or delete (or rename) binary log and start "
@@ -5846,8 +5846,8 @@
 msgid "Error '%s' on query. Default database: '%s'. Query: '%s'"
 msgstr ""
 
-#: drizzled/log_event.cc:1670 drizzled/log_event.cc:4317
-#: drizzled/log_event.cc:4348 drizzled/log_event.cc:5080
+#: drizzled/log_event.cc:1670 drizzled/log_event.cc:4313
+#: drizzled/log_event.cc:4344 drizzled/log_event.cc:5076
 msgid "unexpected success or fatal error"
 msgstr ""
 
@@ -5876,80 +5876,80 @@
 msgid "Running LOAD DATA INFILE on table '%-.64s'. Default database: '%-.64s'"
 msgstr ""
 
-#: drizzled/log_event.cc:3106
+#: drizzled/log_event.cc:3102
 msgid "Out of memory while recording slave event"
 msgstr ""
 
-#: drizzled/log_event.cc:3356 drizzled/log_event.cc:3382
+#: drizzled/log_event.cc:3352 drizzled/log_event.cc:3378
 #, c-format
 msgid "Error in Create_file event: could not open file '%s'"
 msgstr ""
 
-#: drizzled/log_event.cc:3368
+#: drizzled/log_event.cc:3364
 #, c-format
 msgid "Error in Create_file event: could not write to file '%s'"
 msgstr ""
 
-#: drizzled/log_event.cc:3389
+#: drizzled/log_event.cc:3385
 #, c-format
 msgid "Error in Create_file event: write to '%s' failed"
 msgstr ""
 
-#: drizzled/log_event.cc:3503
+#: drizzled/log_event.cc:3499
 #, c-format
 msgid "Error in %s event: could not create file '%s'"
 msgstr ""
 
-#: drizzled/log_event.cc:3512
+#: drizzled/log_event.cc:3508
 #, c-format
 msgid "Error in %s event: could not open file '%s'"
 msgstr ""
 
-#: drizzled/log_event.cc:3519
+#: drizzled/log_event.cc:3515
 #, c-format
 msgid "Error in %s event: write to '%s' failed"
 msgstr ""
 
-#: drizzled/log_event.cc:3681
+#: drizzled/log_event.cc:3677
 #, c-format
 msgid "Error in Exec_load event: could not open file '%s'"
 msgstr ""
 
-#: drizzled/log_event.cc:3691
+#: drizzled/log_event.cc:3687
 #, c-format
 msgid "Error in Exec_load event: file '%s' appears corrupted"
 msgstr ""
 
-#: drizzled/log_event.cc:3721
+#: drizzled/log_event.cc:3717
 #, c-format
 msgid "%s. Failed executing load from '%s'"
 msgstr ""
 
-#: drizzled/log_event.cc:3894
+#: drizzled/log_event.cc:3890
 msgid "Not enough memory"
 msgstr ""
 
-#: drizzled/log_event.cc:4314
+#: drizzled/log_event.cc:4310
 #, c-format
 msgid "Error '%s' in %s event: when locking tables"
 msgstr ""
 
-#: drizzled/log_event.cc:4324
+#: drizzled/log_event.cc:4320
 #, c-format
 msgid "Error in %s event: when locking tables"
 msgstr ""
 
-#: drizzled/log_event.cc:4345
+#: drizzled/log_event.cc:4341
 #, c-format
 msgid "Error '%s' on reopening tables"
 msgstr ""
 
-#: drizzled/log_event.cc:4681
+#: drizzled/log_event.cc:4677
 #, c-format
 msgid "Error in %s event: commit of row events failed, table `%s`.`%s`"
 msgstr ""
 
-#: drizzled/log_event.cc:5077
+#: drizzled/log_event.cc:5073
 #, c-format
 msgid "Error '%s' on opening table `%s`.`%s`"
 msgstr ""
@@ -6699,22 +6699,22 @@
 msgid "Plugin '%s' disabled by command line option"
 msgstr ""
 
-#: drizzled/sql_table.cc:108
+#: drizzled/sql_table.cc:110
 #, c-format
 msgid "Invalid (old?) table or database name '%s'"
 msgstr ""
 
-#: drizzled/sql_table.cc:2746
+#: drizzled/sql_table.cc:2762
 #, c-format
 msgid "Unknown - internal error %d during operation"
 msgstr ""
 
-#: drizzled/sql_table.cc:5019
+#: drizzled/sql_table.cc:5030
 #, c-format
 msgid "Could not open table %s.%s after rename\n"
 msgstr ""
 
-#: drizzled/sql_table.cc:5186
+#: drizzled/sql_table.cc:5197
 #, c-format
 msgid ""
 "order_st BY ignored because there is a user-defined clustered index in the "

=== modified file 'po/de.po'
--- po/de.po	2008-12-10 22:02:06 +0000
+++ po/de.po	2008-12-12 04:49:53 +0000
@@ -7,7 +7,7 @@
 msgstr ""
 "Project-Id-Version: drizzle\n"
 "Report-Msgid-Bugs-To: http://translations.launchpad.net/drizzle\n"
-"POT-Creation-Date: 2008-12-10 14:01-0800\n"
+"POT-Creation-Date: 2008-12-11 22:45-0600\n"
 "PO-Revision-Date: 2008-12-10 13:25+0000\n"
 "Last-Translator: Keruskerfuerst <Unknown>\n"
 "Language-Team: German <de@li.org>\n"
@@ -1354,7 +1354,7 @@
 msgid "(Disabled)\n"
 msgstr "(Deaktiviert)\n"
 
-#: drizzled/authentication.cc:66 drizzled/show.cc:4677
+#: drizzled/authentication.cc:66 drizzled/show.cc:4679
 #: drizzled/sql_plugin.cc:829
 #, c-format
 msgid "Plugin '%s' init function returned error."
@@ -6029,7 +6029,7 @@
 msgid "Failed to create a cache on log (file '%s')"
 msgstr ""
 
-#: drizzled/log.cc:522 drizzled/log.cc:887
+#: drizzled/log.cc:520 drizzled/log.cc:885
 #, c-format
 msgid ""
 "Could not use %s for logging (error %d). Turning logging off for the whole "
@@ -6037,82 +6037,82 @@
 "shutdown the Drizzle server and restart it."
 msgstr ""
 
-#: drizzled/log.cc:1155 drizzled/log.cc:1186 drizzled/log.cc:1435
-#: drizzled/log.cc:1557
+#: drizzled/log.cc:1153 drizzled/log.cc:1184 drizzled/log.cc:1433
+#: drizzled/log.cc:1555
 #, c-format
 msgid "Failed to delete file '%s'"
 msgstr "Löschen der Datei '%s' fehlgeschlagen"
 
-#: drizzled/log.cc:1164 drizzled/log.cc:1443 drizzled/log.cc:1565
+#: drizzled/log.cc:1162 drizzled/log.cc:1441 drizzled/log.cc:1563
 #, c-format
 msgid ""
 "a problem with deleting %s; consider examining correspondence of your binlog "
 "index file to the actual binlog files"
 msgstr ""
 
-#: drizzled/log.cc:1291
+#: drizzled/log.cc:1289
 #, c-format
 msgid "next log error: %d  offset: %s  log: %s included: %d"
 msgstr ""
 
-#: drizzled/log.cc:1401 drizzled/log.cc:1525
+#: drizzled/log.cc:1399 drizzled/log.cc:1523
 #, c-format
 msgid "Failed to execute stat() on file '%s'"
 msgstr "Ausführung von stat() auf Datei '%s' fehlgeschlagen"
 
-#: drizzled/log.cc:1412 drizzled/log.cc:1536
+#: drizzled/log.cc:1410 drizzled/log.cc:1534
 #, c-format
 msgid ""
 "a problem with getting info on being purged %s; consider examining "
 "correspondence of your binlog index file to the actual binlog files"
 msgstr ""
 
-#: drizzled/log.cc:2546 drizzled/log.cc:3044
+#: drizzled/log.cc:2544 drizzled/log.cc:3042
 #, c-format
 msgid "Recovering after a crash using %s"
 msgstr ""
 
-#: drizzled/log.cc:2549
+#: drizzled/log.cc:2547
 msgid ""
 "Cannot perform automatic crash recovery when --tc-heuristic-recover is used"
 msgstr ""
 
-#: drizzled/log.cc:2891
+#: drizzled/log.cc:2889
 msgid "Bad magic header in tc log"
 msgstr ""
 
-#: drizzled/log.cc:2901
+#: drizzled/log.cc:2899
 #, c-format
 msgid ""
 "Recovery failed! You must enable exactly %d storage engines that support two-"
 "phase commit protocol"
 msgstr ""
 
-#: drizzled/log.cc:2929
+#: drizzled/log.cc:2927
 msgid ""
 "Crash recovery failed. Either correct the problem (if it's, for example, out "
 "of memory error) and restart, or delete tc log and start drizzled with --tc-"
 "heuristic-recover={commit|rollback}"
 msgstr ""
 
+#: drizzled/log.cc:2957
+msgid "Heuristic crash recovery mode"
+msgstr ""
+
 #: drizzled/log.cc:2959
-msgid "Heuristic crash recovery mode"
-msgstr ""
-
-#: drizzled/log.cc:2961
 msgid "Heuristic crash recovery failed"
 msgstr ""
 
-#: drizzled/log.cc:2962
+#: drizzled/log.cc:2960
 msgid "Please restart mysqld without --tc-heuristic-recover"
 msgstr ""
 
-#: drizzled/log.cc:3006 drizzled/log.cc:3030
+#: drizzled/log.cc:3004 drizzled/log.cc:3028
 #, c-format
 msgid "find_log_pos() failed (error: %d)"
 msgstr ""
 
-#: drizzled/log.cc:3144
+#: drizzled/log.cc:3142
 msgid ""
 "Crash recovery failed. Either correct the problem (if it's, for example, out "
 "of memory error) and restart, or delete (or rename) binary log and start "
@@ -6168,8 +6168,8 @@
 msgid "Error '%s' on query. Default database: '%s'. Query: '%s'"
 msgstr ""
 
-#: drizzled/log_event.cc:1670 drizzled/log_event.cc:4317
-#: drizzled/log_event.cc:4348 drizzled/log_event.cc:5080
+#: drizzled/log_event.cc:1670 drizzled/log_event.cc:4313
+#: drizzled/log_event.cc:4344 drizzled/log_event.cc:5076
 msgid "unexpected success or fatal error"
 msgstr ""
 
@@ -6198,80 +6198,80 @@
 msgid "Running LOAD DATA INFILE on table '%-.64s'. Default database: '%-.64s'"
 msgstr ""
 
-#: drizzled/log_event.cc:3106
+#: drizzled/log_event.cc:3102
 msgid "Out of memory while recording slave event"
 msgstr ""
 
-#: drizzled/log_event.cc:3356 drizzled/log_event.cc:3382
+#: drizzled/log_event.cc:3352 drizzled/log_event.cc:3378
 #, c-format
 msgid "Error in Create_file event: could not open file '%s'"
 msgstr ""
 
-#: drizzled/log_event.cc:3368
+#: drizzled/log_event.cc:3364
 #, c-format
 msgid "Error in Create_file event: could not write to file '%s'"
 msgstr ""
 
-#: drizzled/log_event.cc:3389
+#: drizzled/log_event.cc:3385
 #, c-format
 msgid "Error in Create_file event: write to '%s' failed"
 msgstr ""
 
-#: drizzled/log_event.cc:3503
+#: drizzled/log_event.cc:3499
 #, c-format
 msgid "Error in %s event: could not create file '%s'"
 msgstr ""
 
-#: drizzled/log_event.cc:3512
+#: drizzled/log_event.cc:3508
 #, c-format
 msgid "Error in %s event: could not open file '%s'"
 msgstr ""
 
-#: drizzled/log_event.cc:3519
+#: drizzled/log_event.cc:3515
 #, c-format
 msgid "Error in %s event: write to '%s' failed"
 msgstr ""
 
-#: drizzled/log_event.cc:3681
+#: drizzled/log_event.cc:3677
 #, c-format
 msgid "Error in Exec_load event: could not open file '%s'"
 msgstr ""
 
-#: drizzled/log_event.cc:3691
+#: drizzled/log_event.cc:3687
 #, c-format
 msgid "Error in Exec_load event: file '%s' appears corrupted"
 msgstr ""
 
-#: drizzled/log_event.cc:3721
+#: drizzled/log_event.cc:3717
 #, c-format
 msgid "%s. Failed executing load from '%s'"
 msgstr ""
 
-#: drizzled/log_event.cc:3894
+#: drizzled/log_event.cc:3890
 msgid "Not enough memory"
 msgstr ""
 
-#: drizzled/log_event.cc:4314
+#: drizzled/log_event.cc:4310
 #, c-format
 msgid "Error '%s' in %s event: when locking tables"
 msgstr ""
 
-#: drizzled/log_event.cc:4324
+#: drizzled/log_event.cc:4320
 #, c-format
 msgid "Error in %s event: when locking tables"
 msgstr ""
 
-#: drizzled/log_event.cc:4345
+#: drizzled/log_event.cc:4341
 #, c-format
 msgid "Error '%s' on reopening tables"
 msgstr ""
 
-#: drizzled/log_event.cc:4681
+#: drizzled/log_event.cc:4677
 #, c-format
 msgid "Error in %s event: commit of row events failed, table `%s`.`%s`"
 msgstr ""
 
-#: drizzled/log_event.cc:5077
+#: drizzled/log_event.cc:5073
 #, c-format
 msgid "Error '%s' on opening table `%s`.`%s`"
 msgstr ""
@@ -7025,22 +7025,22 @@
 msgid "Plugin '%s' disabled by command line option"
 msgstr ""
 
-#: drizzled/sql_table.cc:108
+#: drizzled/sql_table.cc:110
 #, c-format
 msgid "Invalid (old?) table or database name '%s'"
 msgstr "Ungültiger (alter?) Tabellen- oder Datenbankname '%s'"
 
-#: drizzled/sql_table.cc:2746
+#: drizzled/sql_table.cc:2762
 #, c-format
 msgid "Unknown - internal error %d during operation"
 msgstr "Unbekannt - interner Fehler '%d' während der Operation"
 
-#: drizzled/sql_table.cc:5019
+#: drizzled/sql_table.cc:5030
 #, c-format
 msgid "Could not open table %s.%s after rename\n"
 msgstr "Die Tabelle %s.%s konnte nach dem Umbennen nicht geöffnet werden\n"
 
-#: drizzled/sql_table.cc:5186
+#: drizzled/sql_table.cc:5197
 #, c-format
 msgid ""
 "order_st BY ignored because there is a user-defined clustered index in the "

=== modified file 'po/drizzle.pot'
--- po/drizzle.pot	2008-12-10 22:02:06 +0000
+++ po/drizzle.pot	2008-12-12 04:49:53 +0000
@@ -8,7 +8,7 @@
 msgstr ""
 "Project-Id-Version: drizzle 7.0.0\n"
 "Report-Msgid-Bugs-To: http://translations.launchpad.net/drizzle\n"
-"POT-Creation-Date: 2008-12-10 14:01-0800\n"
+"POT-Creation-Date: 2008-12-11 22:45-0600\n"
 "PO-Revision-Date: YEAR-MO-DA HO:MI+ZONE\n"
 "Last-Translator: FULL NAME <EMAIL@ADDRESS>\n"
 "Language-Team: LANGUAGE <LL@li.org>\n"
@@ -1203,7 +1203,7 @@
 msgid "(Disabled)\n"
 msgstr ""
 
-#: drizzled/authentication.cc:66 drizzled/show.cc:4677
+#: drizzled/authentication.cc:66 drizzled/show.cc:4679
 #: drizzled/sql_plugin.cc:829
 #, c-format
 msgid "Plugin '%s' init function returned error."
@@ -5703,7 +5703,7 @@
 msgid "Failed to create a cache on log (file '%s')"
 msgstr ""
 
-#: drizzled/log.cc:522 drizzled/log.cc:887
+#: drizzled/log.cc:520 drizzled/log.cc:885
 #, c-format
 msgid ""
 "Could not use %s for logging (error %d). Turning logging off for the whole "
@@ -5711,82 +5711,82 @@
 "shutdown the Drizzle server and restart it."
 msgstr ""
 
-#: drizzled/log.cc:1155 drizzled/log.cc:1186 drizzled/log.cc:1435
-#: drizzled/log.cc:1557
+#: drizzled/log.cc:1153 drizzled/log.cc:1184 drizzled/log.cc:1433
+#: drizzled/log.cc:1555
 #, c-format
 msgid "Failed to delete file '%s'"
 msgstr ""
 
-#: drizzled/log.cc:1164 drizzled/log.cc:1443 drizzled/log.cc:1565
+#: drizzled/log.cc:1162 drizzled/log.cc:1441 drizzled/log.cc:1563
 #, c-format
 msgid ""
 "a problem with deleting %s; consider examining correspondence of your binlog "
 "index file to the actual binlog files"
 msgstr ""
 
-#: drizzled/log.cc:1291
+#: drizzled/log.cc:1289
 #, c-format
 msgid "next log error: %d  offset: %s  log: %s included: %d"
 msgstr ""
 
-#: drizzled/log.cc:1401 drizzled/log.cc:1525
+#: drizzled/log.cc:1399 drizzled/log.cc:1523
 #, c-format
 msgid "Failed to execute stat() on file '%s'"
 msgstr ""
 
-#: drizzled/log.cc:1412 drizzled/log.cc:1536
+#: drizzled/log.cc:1410 drizzled/log.cc:1534
 #, c-format
 msgid ""
 "a problem with getting info on being purged %s; consider examining "
 "correspondence of your binlog index file to the actual binlog files"
 msgstr ""
 
-#: drizzled/log.cc:2546 drizzled/log.cc:3044
+#: drizzled/log.cc:2544 drizzled/log.cc:3042
 #, c-format
 msgid "Recovering after a crash using %s"
 msgstr ""
 
-#: drizzled/log.cc:2549
+#: drizzled/log.cc:2547
 msgid ""
 "Cannot perform automatic crash recovery when --tc-heuristic-recover is used"
 msgstr ""
 
-#: drizzled/log.cc:2891
+#: drizzled/log.cc:2889
 msgid "Bad magic header in tc log"
 msgstr ""
 
-#: drizzled/log.cc:2901
+#: drizzled/log.cc:2899
 #, c-format
 msgid ""
 "Recovery failed! You must enable exactly %d storage engines that support two-"
 "phase commit protocol"
 msgstr ""
 
-#: drizzled/log.cc:2929
+#: drizzled/log.cc:2927
 msgid ""
 "Crash recovery failed. Either correct the problem (if it's, for example, out "
 "of memory error) and restart, or delete tc log and start drizzled with --tc-"
 "heuristic-recover={commit|rollback}"
 msgstr ""
 
+#: drizzled/log.cc:2957
+msgid "Heuristic crash recovery mode"
+msgstr ""
+
 #: drizzled/log.cc:2959
-msgid "Heuristic crash recovery mode"
-msgstr ""
-
-#: drizzled/log.cc:2961
 msgid "Heuristic crash recovery failed"
 msgstr ""
 
-#: drizzled/log.cc:2962
+#: drizzled/log.cc:2960
 msgid "Please restart mysqld without --tc-heuristic-recover"
 msgstr ""
 
-#: drizzled/log.cc:3006 drizzled/log.cc:3030
+#: drizzled/log.cc:3004 drizzled/log.cc:3028
 #, c-format
 msgid "find_log_pos() failed (error: %d)"
 msgstr ""
 
-#: drizzled/log.cc:3144
+#: drizzled/log.cc:3142
 msgid ""
 "Crash recovery failed. Either correct the problem (if it's, for example, out "
 "of memory error) and restart, or delete (or rename) binary log and start "
@@ -5842,8 +5842,8 @@
 msgid "Error '%s' on query. Default database: '%s'. Query: '%s'"
 msgstr ""
 
-#: drizzled/log_event.cc:1670 drizzled/log_event.cc:4317
-#: drizzled/log_event.cc:4348 drizzled/log_event.cc:5080
+#: drizzled/log_event.cc:1670 drizzled/log_event.cc:4313
+#: drizzled/log_event.cc:4344 drizzled/log_event.cc:5076
 msgid "unexpected success or fatal error"
 msgstr ""
 
@@ -5872,80 +5872,80 @@
 msgid "Running LOAD DATA INFILE on table '%-.64s'. Default database: '%-.64s'"
 msgstr ""
 
-#: drizzled/log_event.cc:3106
+#: drizzled/log_event.cc:3102
 msgid "Out of memory while recording slave event"
 msgstr ""
 
-#: drizzled/log_event.cc:3356 drizzled/log_event.cc:3382
+#: drizzled/log_event.cc:3352 drizzled/log_event.cc:3378
 #, c-format
 msgid "Error in Create_file event: could not open file '%s'"
 msgstr ""
 
-#: drizzled/log_event.cc:3368
+#: drizzled/log_event.cc:3364
 #, c-format
 msgid "Error in Create_file event: could not write to file '%s'"
 msgstr ""
 
-#: drizzled/log_event.cc:3389
+#: drizzled/log_event.cc:3385
 #, c-format
 msgid "Error in Create_file event: write to '%s' failed"
 msgstr ""
 
-#: drizzled/log_event.cc:3503
+#: drizzled/log_event.cc:3499
 #, c-format
 msgid "Error in %s event: could not create file '%s'"
 msgstr ""
 
-#: drizzled/log_event.cc:3512
+#: drizzled/log_event.cc:3508
 #, c-format
 msgid "Error in %s event: could not open file '%s'"
 msgstr ""
 
-#: drizzled/log_event.cc:3519
+#: drizzled/log_event.cc:3515
 #, c-format
 msgid "Error in %s event: write to '%s' failed"
 msgstr ""
 
-#: drizzled/log_event.cc:3681
+#: drizzled/log_event.cc:3677
 #, c-format
 msgid "Error in Exec_load event: could not open file '%s'"
 msgstr ""
 
-#: drizzled/log_event.cc:3691
+#: drizzled/log_event.cc:3687
 #, c-format
 msgid "Error in Exec_load event: file '%s' appears corrupted"
 msgstr ""
 
-#: drizzled/log_event.cc:3721
+#: drizzled/log_event.cc:3717
 #, c-format
 msgid "%s. Failed executing load from '%s'"
 msgstr ""
 
-#: drizzled/log_event.cc:3894
+#: drizzled/log_event.cc:3890
 msgid "Not enough memory"
 msgstr ""
 
-#: drizzled/log_event.cc:4314
+#: drizzled/log_event.cc:4310
 #, c-format
 msgid "Error '%s' in %s event: when locking tables"
 msgstr ""
 
-#: drizzled/log_event.cc:4324
+#: drizzled/log_event.cc:4320
 #, c-format
 msgid "Error in %s event: when locking tables"
 msgstr ""
 
-#: drizzled/log_event.cc:4345
+#: drizzled/log_event.cc:4341
 #, c-format
 msgid "Error '%s' on reopening tables"
 msgstr ""
 
-#: drizzled/log_event.cc:4681
+#: drizzled/log_event.cc:4677
 #, c-format
 msgid "Error in %s event: commit of row events failed, table `%s`.`%s`"
 msgstr ""
 
-#: drizzled/log_event.cc:5077
+#: drizzled/log_event.cc:5073
 #, c-format
 msgid "Error '%s' on opening table `%s`.`%s`"
 msgstr ""
@@ -6695,22 +6695,22 @@
 msgid "Plugin '%s' disabled by command line option"
 msgstr ""
 
-#: drizzled/sql_table.cc:108
+#: drizzled/sql_table.cc:110
 #, c-format
 msgid "Invalid (old?) table or database name '%s'"
 msgstr ""
 
-#: drizzled/sql_table.cc:2746
+#: drizzled/sql_table.cc:2762
 #, c-format
 msgid "Unknown - internal error %d during operation"
 msgstr ""
 
-#: drizzled/sql_table.cc:5019
+#: drizzled/sql_table.cc:5030
 #, c-format
 msgid "Could not open table %s.%s after rename\n"
 msgstr ""
 
-#: drizzled/sql_table.cc:5186
+#: drizzled/sql_table.cc:5197
 #, c-format
 msgid ""
 "order_st BY ignored because there is a user-defined clustered index in the "

=== modified file 'po/el.po'
--- po/el.po	2008-12-10 22:02:06 +0000
+++ po/el.po	2008-12-12 04:49:53 +0000
@@ -7,7 +7,7 @@
 msgstr ""
 "Project-Id-Version: drizzle\n"
 "Report-Msgid-Bugs-To: http://translations.launchpad.net/drizzle\n"
-"POT-Creation-Date: 2008-12-10 14:01-0800\n"
+"POT-Creation-Date: 2008-12-11 22:45-0600\n"
 "PO-Revision-Date: 2008-12-04 19:32+0000\n"
 "Last-Translator: fokis...ftw <fotis.koutoulakis@gmail.com>\n"
 "Language-Team: Greek <el@li.org>\n"
@@ -1204,7 +1204,7 @@
 msgid "(Disabled)\n"
 msgstr ""
 
-#: drizzled/authentication.cc:66 drizzled/show.cc:4677
+#: drizzled/authentication.cc:66 drizzled/show.cc:4679
 #: drizzled/sql_plugin.cc:829
 #, c-format
 msgid "Plugin '%s' init function returned error."
@@ -5704,7 +5704,7 @@
 msgid "Failed to create a cache on log (file '%s')"
 msgstr ""
 
-#: drizzled/log.cc:522 drizzled/log.cc:887
+#: drizzled/log.cc:520 drizzled/log.cc:885
 #, c-format
 msgid ""
 "Could not use %s for logging (error %d). Turning logging off for the whole "
@@ -5712,82 +5712,82 @@
 "shutdown the Drizzle server and restart it."
 msgstr ""
 
-#: drizzled/log.cc:1155 drizzled/log.cc:1186 drizzled/log.cc:1435
-#: drizzled/log.cc:1557
+#: drizzled/log.cc:1153 drizzled/log.cc:1184 drizzled/log.cc:1433
+#: drizzled/log.cc:1555
 #, c-format
 msgid "Failed to delete file '%s'"
 msgstr ""
 
-#: drizzled/log.cc:1164 drizzled/log.cc:1443 drizzled/log.cc:1565
+#: drizzled/log.cc:1162 drizzled/log.cc:1441 drizzled/log.cc:1563
 #, c-format
 msgid ""
 "a problem with deleting %s; consider examining correspondence of your binlog "
 "index file to the actual binlog files"
 msgstr ""
 
-#: drizzled/log.cc:1291
+#: drizzled/log.cc:1289
 #, c-format
 msgid "next log error: %d  offset: %s  log: %s included: %d"
 msgstr ""
 
-#: drizzled/log.cc:1401 drizzled/log.cc:1525
+#: drizzled/log.cc:1399 drizzled/log.cc:1523
 #, c-format
 msgid "Failed to execute stat() on file '%s'"
 msgstr ""
 
-#: drizzled/log.cc:1412 drizzled/log.cc:1536
+#: drizzled/log.cc:1410 drizzled/log.cc:1534
 #, c-format
 msgid ""
 "a problem with getting info on being purged %s; consider examining "
 "correspondence of your binlog index file to the actual binlog files"
 msgstr ""
 
-#: drizzled/log.cc:2546 drizzled/log.cc:3044
+#: drizzled/log.cc:2544 drizzled/log.cc:3042
 #, c-format
 msgid "Recovering after a crash using %s"
 msgstr ""
 
-#: drizzled/log.cc:2549
+#: drizzled/log.cc:2547
 msgid ""
 "Cannot perform automatic crash recovery when --tc-heuristic-recover is used"
 msgstr ""
 
-#: drizzled/log.cc:2891
+#: drizzled/log.cc:2889
 msgid "Bad magic header in tc log"
 msgstr ""
 
-#: drizzled/log.cc:2901
+#: drizzled/log.cc:2899
 #, c-format
 msgid ""
 "Recovery failed! You must enable exactly %d storage engines that support two-"
 "phase commit protocol"
 msgstr ""
 
-#: drizzled/log.cc:2929
+#: drizzled/log.cc:2927
 msgid ""
 "Crash recovery failed. Either correct the problem (if it's, for example, out "
 "of memory error) and restart, or delete tc log and start drizzled with --tc-"
 "heuristic-recover={commit|rollback}"
 msgstr ""
 
+#: drizzled/log.cc:2957
+msgid "Heuristic crash recovery mode"
+msgstr ""
+
 #: drizzled/log.cc:2959
-msgid "Heuristic crash recovery mode"
-msgstr ""
-
-#: drizzled/log.cc:2961
 msgid "Heuristic crash recovery failed"
 msgstr ""
 
-#: drizzled/log.cc:2962
+#: drizzled/log.cc:2960
 msgid "Please restart mysqld without --tc-heuristic-recover"
 msgstr ""
 
-#: drizzled/log.cc:3006 drizzled/log.cc:3030
+#: drizzled/log.cc:3004 drizzled/log.cc:3028
 #, c-format
 msgid "find_log_pos() failed (error: %d)"
 msgstr ""
 
-#: drizzled/log.cc:3144
+#: drizzled/log.cc:3142
 msgid ""
 "Crash recovery failed. Either correct the problem (if it's, for example, out "
 "of memory error) and restart, or delete (or rename) binary log and start "
@@ -5843,8 +5843,8 @@
 msgid "Error '%s' on query. Default database: '%s'. Query: '%s'"
 msgstr ""
 
-#: drizzled/log_event.cc:1670 drizzled/log_event.cc:4317
-#: drizzled/log_event.cc:4348 drizzled/log_event.cc:5080
+#: drizzled/log_event.cc:1670 drizzled/log_event.cc:4313
+#: drizzled/log_event.cc:4344 drizzled/log_event.cc:5076
 msgid "unexpected success or fatal error"
 msgstr ""
 
@@ -5873,80 +5873,80 @@
 msgid "Running LOAD DATA INFILE on table '%-.64s'. Default database: '%-.64s'"
 msgstr ""
 
-#: drizzled/log_event.cc:3106
+#: drizzled/log_event.cc:3102
 msgid "Out of memory while recording slave event"
 msgstr ""
 
-#: drizzled/log_event.cc:3356 drizzled/log_event.cc:3382
+#: drizzled/log_event.cc:3352 drizzled/log_event.cc:3378
 #, c-format
 msgid "Error in Create_file event: could not open file '%s'"
 msgstr ""
 
-#: drizzled/log_event.cc:3368
+#: drizzled/log_event.cc:3364
 #, c-format
 msgid "Error in Create_file event: could not write to file '%s'"
 msgstr ""
 
-#: drizzled/log_event.cc:3389
+#: drizzled/log_event.cc:3385
 #, c-format
 msgid "Error in Create_file event: write to '%s' failed"
 msgstr ""
 
-#: drizzled/log_event.cc:3503
+#: drizzled/log_event.cc:3499
 #, c-format
 msgid "Error in %s event: could not create file '%s'"
 msgstr ""
 
-#: drizzled/log_event.cc:3512
+#: drizzled/log_event.cc:3508
 #, c-format
 msgid "Error in %s event: could not open file '%s'"
 msgstr ""
 
-#: drizzled/log_event.cc:3519
+#: drizzled/log_event.cc:3515
 #, c-format
 msgid "Error in %s event: write to '%s' failed"
 msgstr ""
 
-#: drizzled/log_event.cc:3681
+#: drizzled/log_event.cc:3677
 #, c-format
 msgid "Error in Exec_load event: could not open file '%s'"
 msgstr ""
 
-#: drizzled/log_event.cc:3691
+#: drizzled/log_event.cc:3687
 #, c-format
 msgid "Error in Exec_load event: file '%s' appears corrupted"
 msgstr ""
 
-#: drizzled/log_event.cc:3721
+#: drizzled/log_event.cc:3717
 #, c-format
 msgid "%s. Failed executing load from '%s'"
 msgstr ""
 
-#: drizzled/log_event.cc:3894
+#: drizzled/log_event.cc:3890
 msgid "Not enough memory"
 msgstr ""
 
-#: drizzled/log_event.cc:4314
+#: drizzled/log_event.cc:4310
 #, c-format
 msgid "Error '%s' in %s event: when locking tables"
 msgstr ""
 
-#: drizzled/log_event.cc:4324
+#: drizzled/log_event.cc:4320
 #, c-format
 msgid "Error in %s event: when locking tables"
 msgstr ""
 
-#: drizzled/log_event.cc:4345
+#: drizzled/log_event.cc:4341
 #, c-format
 msgid "Error '%s' on reopening tables"
 msgstr ""
 
-#: drizzled/log_event.cc:4681
+#: drizzled/log_event.cc:4677
 #, c-format
 msgid "Error in %s event: commit of row events failed, table `%s`.`%s`"
 msgstr ""
 
-#: drizzled/log_event.cc:5077
+#: drizzled/log_event.cc:5073
 #, c-format
 msgid "Error '%s' on opening table `%s`.`%s`"
 msgstr ""
@@ -6696,22 +6696,22 @@
 msgid "Plugin '%s' disabled by command line option"
 msgstr ""
 
-#: drizzled/sql_table.cc:108
+#: drizzled/sql_table.cc:110
 #, c-format
 msgid "Invalid (old?) table or database name '%s'"
 msgstr ""
 
-#: drizzled/sql_table.cc:2746
+#: drizzled/sql_table.cc:2762
 #, c-format
 msgid "Unknown - internal error %d during operation"
 msgstr ""
 
-#: drizzled/sql_table.cc:5019
+#: drizzled/sql_table.cc:5030
 #, c-format
 msgid "Could not open table %s.%s after rename\n"
 msgstr ""
 
-#: drizzled/sql_table.cc:5186
+#: drizzled/sql_table.cc:5197
 #, c-format
 msgid ""
 "order_st BY ignored because there is a user-defined clustered index in the "

=== modified file 'po/en_AU.po'
--- po/en_AU.po	2008-12-10 22:02:06 +0000
+++ po/en_AU.po	2008-12-12 04:49:53 +0000
@@ -7,7 +7,7 @@
 msgstr ""
 "Project-Id-Version: drizzle\n"
 "Report-Msgid-Bugs-To: http://translations.launchpad.net/drizzle\n"
-"POT-Creation-Date: 2008-12-10 14:01-0800\n"
+"POT-Creation-Date: 2008-12-11 22:45-0600\n"
 "PO-Revision-Date: 2008-11-26 23:54+0000\n"
 "Last-Translator: Morgan Tocker <tocker@gmail.com>\n"
 "Language-Team: English (Australia) <en_AU@li.org>\n"
@@ -1204,7 +1204,7 @@
 msgid "(Disabled)\n"
 msgstr ""
 
-#: drizzled/authentication.cc:66 drizzled/show.cc:4677
+#: drizzled/authentication.cc:66 drizzled/show.cc:4679
 #: drizzled/sql_plugin.cc:829
 #, c-format
 msgid "Plugin '%s' init function returned error."
@@ -5704,7 +5704,7 @@
 msgid "Failed to create a cache on log (file '%s')"
 msgstr ""
 
-#: drizzled/log.cc:522 drizzled/log.cc:887
+#: drizzled/log.cc:520 drizzled/log.cc:885
 #, c-format
 msgid ""
 "Could not use %s for logging (error %d). Turning logging off for the whole "
@@ -5712,82 +5712,82 @@
 "shutdown the Drizzle server and restart it."
 msgstr ""
 
-#: drizzled/log.cc:1155 drizzled/log.cc:1186 drizzled/log.cc:1435
-#: drizzled/log.cc:1557
+#: drizzled/log.cc:1153 drizzled/log.cc:1184 drizzled/log.cc:1433
+#: drizzled/log.cc:1555
 #, c-format
 msgid "Failed to delete file '%s'"
 msgstr ""
 
-#: drizzled/log.cc:1164 drizzled/log.cc:1443 drizzled/log.cc:1565
+#: drizzled/log.cc:1162 drizzled/log.cc:1441 drizzled/log.cc:1563
 #, c-format
 msgid ""
 "a problem with deleting %s; consider examining correspondence of your binlog "
 "index file to the actual binlog files"
 msgstr ""
 
-#: drizzled/log.cc:1291
+#: drizzled/log.cc:1289
 #, c-format
 msgid "next log error: %d  offset: %s  log: %s included: %d"
 msgstr ""
 
-#: drizzled/log.cc:1401 drizzled/log.cc:1525
+#: drizzled/log.cc:1399 drizzled/log.cc:1523
 #, c-format
 msgid "Failed to execute stat() on file '%s'"
 msgstr ""
 
-#: drizzled/log.cc:1412 drizzled/log.cc:1536
+#: drizzled/log.cc:1410 drizzled/log.cc:1534
 #, c-format
 msgid ""
 "a problem with getting info on being purged %s; consider examining "
 "correspondence of your binlog index file to the actual binlog files"
 msgstr ""
 
-#: drizzled/log.cc:2546 drizzled/log.cc:3044
+#: drizzled/log.cc:2544 drizzled/log.cc:3042
 #, c-format
 msgid "Recovering after a crash using %s"
 msgstr ""
 
-#: drizzled/log.cc:2549
+#: drizzled/log.cc:2547
 msgid ""
 "Cannot perform automatic crash recovery when --tc-heuristic-recover is used"
 msgstr ""
 
-#: drizzled/log.cc:2891
+#: drizzled/log.cc:2889
 msgid "Bad magic header in tc log"
 msgstr ""
 
-#: drizzled/log.cc:2901
+#: drizzled/log.cc:2899
 #, c-format
 msgid ""
 "Recovery failed! You must enable exactly %d storage engines that support two-"
 "phase commit protocol"
 msgstr ""
 
-#: drizzled/log.cc:2929
+#: drizzled/log.cc:2927
 msgid ""
 "Crash recovery failed. Either correct the problem (if it's, for example, out "
 "of memory error) and restart, or delete tc log and start drizzled with --tc-"
 "heuristic-recover={commit|rollback}"
 msgstr ""
 
+#: drizzled/log.cc:2957
+msgid "Heuristic crash recovery mode"
+msgstr ""
+
 #: drizzled/log.cc:2959
-msgid "Heuristic crash recovery mode"
-msgstr ""
-
-#: drizzled/log.cc:2961
 msgid "Heuristic crash recovery failed"
 msgstr ""
 
-#: drizzled/log.cc:2962
+#: drizzled/log.cc:2960
 msgid "Please restart mysqld without --tc-heuristic-recover"
 msgstr ""
 
-#: drizzled/log.cc:3006 drizzled/log.cc:3030
+#: drizzled/log.cc:3004 drizzled/log.cc:3028
 #, c-format
 msgid "find_log_pos() failed (error: %d)"
 msgstr ""
 
-#: drizzled/log.cc:3144
+#: drizzled/log.cc:3142
 msgid ""
 "Crash recovery failed. Either correct the problem (if it's, for example, out "
 "of memory error) and restart, or delete (or rename) binary log and start "
@@ -5843,8 +5843,8 @@
 msgid "Error '%s' on query. Default database: '%s'. Query: '%s'"
 msgstr ""
 
-#: drizzled/log_event.cc:1670 drizzled/log_event.cc:4317
-#: drizzled/log_event.cc:4348 drizzled/log_event.cc:5080
+#: drizzled/log_event.cc:1670 drizzled/log_event.cc:4313
+#: drizzled/log_event.cc:4344 drizzled/log_event.cc:5076
 msgid "unexpected success or fatal error"
 msgstr ""
 
@@ -5873,80 +5873,80 @@
 msgid "Running LOAD DATA INFILE on table '%-.64s'. Default database: '%-.64s'"
 msgstr ""
 
-#: drizzled/log_event.cc:3106
+#: drizzled/log_event.cc:3102
 msgid "Out of memory while recording slave event"
 msgstr ""
 
-#: drizzled/log_event.cc:3356 drizzled/log_event.cc:3382
+#: drizzled/log_event.cc:3352 drizzled/log_event.cc:3378
 #, c-format
 msgid "Error in Create_file event: could not open file '%s'"
 msgstr ""
 
-#: drizzled/log_event.cc:3368
+#: drizzled/log_event.cc:3364
 #, c-format
 msgid "Error in Create_file event: could not write to file '%s'"
 msgstr ""
 
-#: drizzled/log_event.cc:3389
+#: drizzled/log_event.cc:3385
 #, c-format
 msgid "Error in Create_file event: write to '%s' failed"
 msgstr ""
 
-#: drizzled/log_event.cc:3503
+#: drizzled/log_event.cc:3499
 #, c-format
 msgid "Error in %s event: could not create file '%s'"
 msgstr ""
 
-#: drizzled/log_event.cc:3512
+#: drizzled/log_event.cc:3508
 #, c-format
 msgid "Error in %s event: could not open file '%s'"
 msgstr ""
 
-#: drizzled/log_event.cc:3519
+#: drizzled/log_event.cc:3515
 #, c-format
 msgid "Error in %s event: write to '%s' failed"
 msgstr ""
 
-#: drizzled/log_event.cc:3681
+#: drizzled/log_event.cc:3677
 #, c-format
 msgid "Error in Exec_load event: could not open file '%s'"
 msgstr ""
 
-#: drizzled/log_event.cc:3691
+#: drizzled/log_event.cc:3687
 #, c-format
 msgid "Error in Exec_load event: file '%s' appears corrupted"
 msgstr ""
 
-#: drizzled/log_event.cc:3721
+#: drizzled/log_event.cc:3717
 #, c-format
 msgid "%s. Failed executing load from '%s'"
 msgstr ""
 
-#: drizzled/log_event.cc:3894
+#: drizzled/log_event.cc:3890
 msgid "Not enough memory"
 msgstr ""
 
-#: drizzled/log_event.cc:4314
+#: drizzled/log_event.cc:4310
 #, c-format
 msgid "Error '%s' in %s event: when locking tables"
 msgstr ""
 
-#: drizzled/log_event.cc:4324
+#: drizzled/log_event.cc:4320
 #, c-format
 msgid "Error in %s event: when locking tables"
 msgstr ""
 
-#: drizzled/log_event.cc:4345
+#: drizzled/log_event.cc:4341
 #, c-format
 msgid "Error '%s' on reopening tables"
 msgstr ""
 
-#: drizzled/log_event.cc:4681
+#: drizzled/log_event.cc:4677
 #, c-format
 msgid "Error in %s event: commit of row events failed, table `%s`.`%s`"
 msgstr ""
 
-#: drizzled/log_event.cc:5077
+#: drizzled/log_event.cc:5073
 #, c-format
 msgid "Error '%s' on opening table `%s`.`%s`"
 msgstr ""
@@ -6696,22 +6696,22 @@
 msgid "Plugin '%s' disabled by command line option"
 msgstr ""
 
-#: drizzled/sql_table.cc:108
+#: drizzled/sql_table.cc:110
 #, c-format
 msgid "Invalid (old?) table or database name '%s'"
 msgstr ""
 
-#: drizzled/sql_table.cc:2746
+#: drizzled/sql_table.cc:2762
 #, c-format
 msgid "Unknown - internal error %d during operation"
 msgstr ""
 
-#: drizzled/sql_table.cc:5019
+#: drizzled/sql_table.cc:5030
 #, c-format
 msgid "Could not open table %s.%s after rename\n"
 msgstr ""
 
-#: drizzled/sql_table.cc:5186
+#: drizzled/sql_table.cc:5197
 #, c-format
 msgid ""
 "order_st BY ignored because there is a user-defined clustered index in the "

=== modified file 'po/en_GB.po'
--- po/en_GB.po	2008-12-10 22:02:06 +0000
+++ po/en_GB.po	2008-12-12 04:49:53 +0000
@@ -7,7 +7,7 @@
 msgstr ""
 "Project-Id-Version: drizzle\n"
 "Report-Msgid-Bugs-To: http://translations.launchpad.net/drizzle\n"
-"POT-Creation-Date: 2008-12-10 14:01-0800\n"
+"POT-Creation-Date: 2008-12-11 22:45-0600\n"
 "PO-Revision-Date: 2008-11-26 23:57+0000\n"
 "Last-Translator: tesserhex <jxl@gmx.com>\n"
 "Language-Team: English (United Kingdom) <en_GB@li.org>\n"
@@ -1298,7 +1298,7 @@
 msgid "(Disabled)\n"
 msgstr "(Disabled)\n"
 
-#: drizzled/authentication.cc:66 drizzled/show.cc:4677
+#: drizzled/authentication.cc:66 drizzled/show.cc:4679
 #: drizzled/sql_plugin.cc:829
 #, c-format
 msgid "Plugin '%s' init function returned error."
@@ -5858,7 +5858,7 @@
 msgid "Failed to create a cache on log (file '%s')"
 msgstr ""
 
-#: drizzled/log.cc:522 drizzled/log.cc:887
+#: drizzled/log.cc:520 drizzled/log.cc:885
 #, c-format
 msgid ""
 "Could not use %s for logging (error %d). Turning logging off for the whole "
@@ -5866,82 +5866,82 @@
 "shutdown the Drizzle server and restart it."
 msgstr ""
 
-#: drizzled/log.cc:1155 drizzled/log.cc:1186 drizzled/log.cc:1435
-#: drizzled/log.cc:1557
+#: drizzled/log.cc:1153 drizzled/log.cc:1184 drizzled/log.cc:1433
+#: drizzled/log.cc:1555
 #, c-format
 msgid "Failed to delete file '%s'"
 msgstr ""
 
-#: drizzled/log.cc:1164 drizzled/log.cc:1443 drizzled/log.cc:1565
+#: drizzled/log.cc:1162 drizzled/log.cc:1441 drizzled/log.cc:1563
 #, c-format
 msgid ""
 "a problem with deleting %s; consider examining correspondence of your binlog "
 "index file to the actual binlog files"
 msgstr ""
 
-#: drizzled/log.cc:1291
+#: drizzled/log.cc:1289
 #, c-format
 msgid "next log error: %d  offset: %s  log: %s included: %d"
 msgstr ""
 
-#: drizzled/log.cc:1401 drizzled/log.cc:1525
+#: drizzled/log.cc:1399 drizzled/log.cc:1523
 #, c-format
 msgid "Failed to execute stat() on file '%s'"
 msgstr ""
 
-#: drizzled/log.cc:1412 drizzled/log.cc:1536
+#: drizzled/log.cc:1410 drizzled/log.cc:1534
 #, c-format
 msgid ""
 "a problem with getting info on being purged %s; consider examining "
 "correspondence of your binlog index file to the actual binlog files"
 msgstr ""
 
-#: drizzled/log.cc:2546 drizzled/log.cc:3044
+#: drizzled/log.cc:2544 drizzled/log.cc:3042
 #, c-format
 msgid "Recovering after a crash using %s"
 msgstr ""
 
-#: drizzled/log.cc:2549
+#: drizzled/log.cc:2547
 msgid ""
 "Cannot perform automatic crash recovery when --tc-heuristic-recover is used"
 msgstr ""
 
-#: drizzled/log.cc:2891
+#: drizzled/log.cc:2889
 msgid "Bad magic header in tc log"
 msgstr ""
 
-#: drizzled/log.cc:2901
+#: drizzled/log.cc:2899
 #, c-format
 msgid ""
 "Recovery failed! You must enable exactly %d storage engines that support two-"
 "phase commit protocol"
 msgstr ""
 
-#: drizzled/log.cc:2929
+#: drizzled/log.cc:2927
 msgid ""
 "Crash recovery failed. Either correct the problem (if it's, for example, out "
 "of memory error) and restart, or delete tc log and start drizzled with --tc-"
 "heuristic-recover={commit|rollback}"
 msgstr ""
 
+#: drizzled/log.cc:2957
+msgid "Heuristic crash recovery mode"
+msgstr ""
+
 #: drizzled/log.cc:2959
-msgid "Heuristic crash recovery mode"
-msgstr ""
-
-#: drizzled/log.cc:2961
 msgid "Heuristic crash recovery failed"
 msgstr ""
 
-#: drizzled/log.cc:2962
+#: drizzled/log.cc:2960
 msgid "Please restart mysqld without --tc-heuristic-recover"
 msgstr ""
 
-#: drizzled/log.cc:3006 drizzled/log.cc:3030
+#: drizzled/log.cc:3004 drizzled/log.cc:3028
 #, c-format
 msgid "find_log_pos() failed (error: %d)"
 msgstr ""
 
-#: drizzled/log.cc:3144
+#: drizzled/log.cc:3142
 msgid ""
 "Crash recovery failed. Either correct the problem (if it's, for example, out "
 "of memory error) and restart, or delete (or rename) binary log and start "
@@ -5997,8 +5997,8 @@
 msgid "Error '%s' on query. Default database: '%s'. Query: '%s'"
 msgstr ""
 
-#: drizzled/log_event.cc:1670 drizzled/log_event.cc:4317
-#: drizzled/log_event.cc:4348 drizzled/log_event.cc:5080
+#: drizzled/log_event.cc:1670 drizzled/log_event.cc:4313
+#: drizzled/log_event.cc:4344 drizzled/log_event.cc:5076
 msgid "unexpected success or fatal error"
 msgstr ""
 
@@ -6027,80 +6027,80 @@
 msgid "Running LOAD DATA INFILE on table '%-.64s'. Default database: '%-.64s'"
 msgstr ""
 
-#: drizzled/log_event.cc:3106
+#: drizzled/log_event.cc:3102
 msgid "Out of memory while recording slave event"
 msgstr ""
 
-#: drizzled/log_event.cc:3356 drizzled/log_event.cc:3382
+#: drizzled/log_event.cc:3352 drizzled/log_event.cc:3378
 #, c-format
 msgid "Error in Create_file event: could not open file '%s'"
 msgstr ""
 
-#: drizzled/log_event.cc:3368
+#: drizzled/log_event.cc:3364
 #, c-format
 msgid "Error in Create_file event: could not write to file '%s'"
 msgstr ""
 
-#: drizzled/log_event.cc:3389
+#: drizzled/log_event.cc:3385
 #, c-format
 msgid "Error in Create_file event: write to '%s' failed"
 msgstr ""
 
-#: drizzled/log_event.cc:3503
+#: drizzled/log_event.cc:3499
 #, c-format
 msgid "Error in %s event: could not create file '%s'"
 msgstr ""
 
-#: drizzled/log_event.cc:3512
+#: drizzled/log_event.cc:3508
 #, c-format
 msgid "Error in %s event: could not open file '%s'"
 msgstr ""
 
-#: drizzled/log_event.cc:3519
+#: drizzled/log_event.cc:3515
 #, c-format
 msgid "Error in %s event: write to '%s' failed"
 msgstr ""
 
-#: drizzled/log_event.cc:3681
+#: drizzled/log_event.cc:3677
 #, c-format
 msgid "Error in Exec_load event: could not open file '%s'"
 msgstr ""
 
-#: drizzled/log_event.cc:3691
+#: drizzled/log_event.cc:3687
 #, c-format
 msgid "Error in Exec_load event: file '%s' appears corrupted"
 msgstr ""
 
-#: drizzled/log_event.cc:3721
+#: drizzled/log_event.cc:3717
 #, c-format
 msgid "%s. Failed executing load from '%s'"
 msgstr ""
 
-#: drizzled/log_event.cc:3894
+#: drizzled/log_event.cc:3890
 msgid "Not enough memory"
 msgstr ""
 
-#: drizzled/log_event.cc:4314
+#: drizzled/log_event.cc:4310
 #, c-format
 msgid "Error '%s' in %s event: when locking tables"
 msgstr ""
 
-#: drizzled/log_event.cc:4324
+#: drizzled/log_event.cc:4320
 #, c-format
 msgid "Error in %s event: when locking tables"
 msgstr ""
 
-#: drizzled/log_event.cc:4345
+#: drizzled/log_event.cc:4341
 #, c-format
 msgid "Error '%s' on reopening tables"
 msgstr ""
 
-#: drizzled/log_event.cc:4681
+#: drizzled/log_event.cc:4677
 #, c-format
 msgid "Error in %s event: commit of row events failed, table `%s`.`%s`"
 msgstr ""
 
-#: drizzled/log_event.cc:5077
+#: drizzled/log_event.cc:5073
 #, c-format
 msgid "Error '%s' on opening table `%s`.`%s`"
 msgstr ""
@@ -6851,22 +6851,22 @@
 msgid "Plugin '%s' disabled by command line option"
 msgstr ""
 
-#: drizzled/sql_table.cc:108
+#: drizzled/sql_table.cc:110
 #, c-format
 msgid "Invalid (old?) table or database name '%s'"
 msgstr ""
 
-#: drizzled/sql_table.cc:2746
+#: drizzled/sql_table.cc:2762
 #, c-format
 msgid "Unknown - internal error %d during operation"
 msgstr ""
 
-#: drizzled/sql_table.cc:5019
+#: drizzled/sql_table.cc:5030
 #, c-format
 msgid "Could not open table %s.%s after rename\n"
 msgstr ""
 
-#: drizzled/sql_table.cc:5186
+#: drizzled/sql_table.cc:5197
 #, c-format
 msgid ""
 "order_st BY ignored because there is a user-defined clustered index in the "

=== modified file 'po/eo.po'
--- po/eo.po	2008-12-10 22:02:06 +0000
+++ po/eo.po	2008-12-12 04:49:53 +0000
@@ -7,7 +7,7 @@
 msgstr ""
 "Project-Id-Version: drizzle\n"
 "Report-Msgid-Bugs-To: http://translations.launchpad.net/drizzle\n"
-"POT-Creation-Date: 2008-12-10 14:01-0800\n"
+"POT-Creation-Date: 2008-12-11 22:45-0600\n"
 "PO-Revision-Date: 2008-09-23 10:56+0000\n"
 "Last-Translator: OlivierWeb <olivierweb@ifrance.com>\n"
 "Language-Team: Esperanto <eo@li.org>\n"
@@ -1206,7 +1206,7 @@
 msgid "(Disabled)\n"
 msgstr ""
 
-#: drizzled/authentication.cc:66 drizzled/show.cc:4677
+#: drizzled/authentication.cc:66 drizzled/show.cc:4679
 #: drizzled/sql_plugin.cc:829
 #, c-format
 msgid "Plugin '%s' init function returned error."
@@ -5706,7 +5706,7 @@
 msgid "Failed to create a cache on log (file '%s')"
 msgstr ""
 
-#: drizzled/log.cc:522 drizzled/log.cc:887
+#: drizzled/log.cc:520 drizzled/log.cc:885
 #, c-format
 msgid ""
 "Could not use %s for logging (error %d). Turning logging off for the whole "
@@ -5714,82 +5714,82 @@
 "shutdown the Drizzle server and restart it."
 msgstr ""
 
-#: drizzled/log.cc:1155 drizzled/log.cc:1186 drizzled/log.cc:1435
-#: drizzled/log.cc:1557
+#: drizzled/log.cc:1153 drizzled/log.cc:1184 drizzled/log.cc:1433
+#: drizzled/log.cc:1555
 #, c-format
 msgid "Failed to delete file '%s'"
 msgstr ""
 
-#: drizzled/log.cc:1164 drizzled/log.cc:1443 drizzled/log.cc:1565
+#: drizzled/log.cc:1162 drizzled/log.cc:1441 drizzled/log.cc:1563
 #, c-format
 msgid ""
 "a problem with deleting %s; consider examining correspondence of your binlog "
 "index file to the actual binlog files"
 msgstr ""
 
-#: drizzled/log.cc:1291
+#: drizzled/log.cc:1289
 #, c-format
 msgid "next log error: %d  offset: %s  log: %s included: %d"
 msgstr ""
 
-#: drizzled/log.cc:1401 drizzled/log.cc:1525
+#: drizzled/log.cc:1399 drizzled/log.cc:1523
 #, c-format
 msgid "Failed to execute stat() on file '%s'"
 msgstr ""
 
-#: drizzled/log.cc:1412 drizzled/log.cc:1536
+#: drizzled/log.cc:1410 drizzled/log.cc:1534
 #, c-format
 msgid ""
 "a problem with getting info on being purged %s; consider examining "
 "correspondence of your binlog index file to the actual binlog files"
 msgstr ""
 
-#: drizzled/log.cc:2546 drizzled/log.cc:3044
+#: drizzled/log.cc:2544 drizzled/log.cc:3042
 #, c-format
 msgid "Recovering after a crash using %s"
 msgstr ""
 
-#: drizzled/log.cc:2549
+#: drizzled/log.cc:2547
 msgid ""
 "Cannot perform automatic crash recovery when --tc-heuristic-recover is used"
 msgstr ""
 
-#: drizzled/log.cc:2891
+#: drizzled/log.cc:2889
 msgid "Bad magic header in tc log"
 msgstr ""
 
-#: drizzled/log.cc:2901
+#: drizzled/log.cc:2899
 #, c-format
 msgid ""
 "Recovery failed! You must enable exactly %d storage engines that support two-"
 "phase commit protocol"
 msgstr ""
 
-#: drizzled/log.cc:2929
+#: drizzled/log.cc:2927
 msgid ""
 "Crash recovery failed. Either correct the problem (if it's, for example, out "
 "of memory error) and restart, or delete tc log and start drizzled with --tc-"
 "heuristic-recover={commit|rollback}"
 msgstr ""
 
+#: drizzled/log.cc:2957
+msgid "Heuristic crash recovery mode"
+msgstr ""
+
 #: drizzled/log.cc:2959
-msgid "Heuristic crash recovery mode"
-msgstr ""
-
-#: drizzled/log.cc:2961
 msgid "Heuristic crash recovery failed"
 msgstr ""
 
-#: drizzled/log.cc:2962
+#: drizzled/log.cc:2960
 msgid "Please restart mysqld without --tc-heuristic-recover"
 msgstr ""
 
-#: drizzled/log.cc:3006 drizzled/log.cc:3030
+#: drizzled/log.cc:3004 drizzled/log.cc:3028
 #, c-format
 msgid "find_log_pos() failed (error: %d)"
 msgstr ""
 
-#: drizzled/log.cc:3144
+#: drizzled/log.cc:3142
 msgid ""
 "Crash recovery failed. Either correct the problem (if it's, for example, out "
 "of memory error) and restart, or delete (or rename) binary log and start "
@@ -5845,8 +5845,8 @@
 msgid "Error '%s' on query. Default database: '%s'. Query: '%s'"
 msgstr ""
 
-#: drizzled/log_event.cc:1670 drizzled/log_event.cc:4317
-#: drizzled/log_event.cc:4348 drizzled/log_event.cc:5080
+#: drizzled/log_event.cc:1670 drizzled/log_event.cc:4313
+#: drizzled/log_event.cc:4344 drizzled/log_event.cc:5076
 msgid "unexpected success or fatal error"
 msgstr ""
 
@@ -5875,80 +5875,80 @@
 msgid "Running LOAD DATA INFILE on table '%-.64s'. Default database: '%-.64s'"
 msgstr ""
 
-#: drizzled/log_event.cc:3106
+#: drizzled/log_event.cc:3102
 msgid "Out of memory while recording slave event"
 msgstr ""
 
-#: drizzled/log_event.cc:3356 drizzled/log_event.cc:3382
+#: drizzled/log_event.cc:3352 drizzled/log_event.cc:3378
 #, c-format
 msgid "Error in Create_file event: could not open file '%s'"
 msgstr ""
 
-#: drizzled/log_event.cc:3368
+#: drizzled/log_event.cc:3364
 #, c-format
 msgid "Error in Create_file event: could not write to file '%s'"
 msgstr ""
 
-#: drizzled/log_event.cc:3389
+#: drizzled/log_event.cc:3385
 #, c-format
 msgid "Error in Create_file event: write to '%s' failed"
 msgstr ""
 
-#: drizzled/log_event.cc:3503
+#: drizzled/log_event.cc:3499
 #, c-format
 msgid "Error in %s event: could not create file '%s'"
 msgstr ""
 
-#: drizzled/log_event.cc:3512
+#: drizzled/log_event.cc:3508
 #, c-format
 msgid "Error in %s event: could not open file '%s'"
 msgstr ""
 
-#: drizzled/log_event.cc:3519
+#: drizzled/log_event.cc:3515
 #, c-format
 msgid "Error in %s event: write to '%s' failed"
 msgstr ""
 
-#: drizzled/log_event.cc:3681
+#: drizzled/log_event.cc:3677
 #, c-format
 msgid "Error in Exec_load event: could not open file '%s'"
 msgstr ""
 
-#: drizzled/log_event.cc:3691
+#: drizzled/log_event.cc:3687
 #, c-format
 msgid "Error in Exec_load event: file '%s' appears corrupted"
 msgstr ""
 
-#: drizzled/log_event.cc:3721
+#: drizzled/log_event.cc:3717
 #, c-format
 msgid "%s. Failed executing load from '%s'"
 msgstr ""
 
-#: drizzled/log_event.cc:3894
+#: drizzled/log_event.cc:3890
 msgid "Not enough memory"
 msgstr ""
 
-#: drizzled/log_event.cc:4314
+#: drizzled/log_event.cc:4310
 #, c-format
 msgid "Error '%s' in %s event: when locking tables"
 msgstr ""
 
-#: drizzled/log_event.cc:4324
+#: drizzled/log_event.cc:4320
 #, c-format
 msgid "Error in %s event: when locking tables"
 msgstr ""
 
-#: drizzled/log_event.cc:4345
+#: drizzled/log_event.cc:4341
 #, c-format
 msgid "Error '%s' on reopening tables"
 msgstr ""
 
-#: drizzled/log_event.cc:4681
+#: drizzled/log_event.cc:4677
 #, c-format
 msgid "Error in %s event: commit of row events failed, table `%s`.`%s`"
 msgstr ""
 
-#: drizzled/log_event.cc:5077
+#: drizzled/log_event.cc:5073
 #, c-format
 msgid "Error '%s' on opening table `%s`.`%s`"
 msgstr ""
@@ -6698,22 +6698,22 @@
 msgid "Plugin '%s' disabled by command line option"
 msgstr ""
 
-#: drizzled/sql_table.cc:108
+#: drizzled/sql_table.cc:110
 #, c-format
 msgid "Invalid (old?) table or database name '%s'"
 msgstr ""
 
-#: drizzled/sql_table.cc:2746
+#: drizzled/sql_table.cc:2762
 #, c-format
 msgid "Unknown - internal error %d during operation"
 msgstr ""
 
-#: drizzled/sql_table.cc:5019
+#: drizzled/sql_table.cc:5030
 #, c-format
 msgid "Could not open table %s.%s after rename\n"
 msgstr ""
 
-#: drizzled/sql_table.cc:5186
+#: drizzled/sql_table.cc:5197
 #, c-format
 msgid ""
 "order_st BY ignored because there is a user-defined clustered index in the "

=== modified file 'po/es.po'
--- po/es.po	2008-12-10 22:02:06 +0000
+++ po/es.po	2008-12-12 04:49:53 +0000
@@ -7,7 +7,7 @@
 msgstr ""
 "Project-Id-Version: drizzle\n"
 "Report-Msgid-Bugs-To: http://translations.launchpad.net/drizzle\n"
-"POT-Creation-Date: 2008-12-10 14:01-0800\n"
+"POT-Creation-Date: 2008-12-11 22:45-0600\n"
 "PO-Revision-Date: 2008-12-08 16:33+0000\n"
 "Last-Translator: ZUR47 <om.paucar@gmail.com>\n"
 "Language-Team: Spanish <es@li.org>\n"
@@ -1337,7 +1337,7 @@
 msgid "(Disabled)\n"
 msgstr "(Desabilitado)\n"
 
-#: drizzled/authentication.cc:66 drizzled/show.cc:4677
+#: drizzled/authentication.cc:66 drizzled/show.cc:4679
 #: drizzled/sql_plugin.cc:829
 #, c-format
 msgid "Plugin '%s' init function returned error."
@@ -5930,7 +5930,7 @@
 msgid "Failed to create a cache on log (file '%s')"
 msgstr ""
 
-#: drizzled/log.cc:522 drizzled/log.cc:887
+#: drizzled/log.cc:520 drizzled/log.cc:885
 #, c-format
 msgid ""
 "Could not use %s for logging (error %d). Turning logging off for the whole "
@@ -5938,82 +5938,82 @@
 "shutdown the Drizzle server and restart it."
 msgstr ""
 
-#: drizzled/log.cc:1155 drizzled/log.cc:1186 drizzled/log.cc:1435
-#: drizzled/log.cc:1557
+#: drizzled/log.cc:1153 drizzled/log.cc:1184 drizzled/log.cc:1433
+#: drizzled/log.cc:1555
 #, c-format
 msgid "Failed to delete file '%s'"
 msgstr ""
 
-#: drizzled/log.cc:1164 drizzled/log.cc:1443 drizzled/log.cc:1565
+#: drizzled/log.cc:1162 drizzled/log.cc:1441 drizzled/log.cc:1563
 #, c-format
 msgid ""
 "a problem with deleting %s; consider examining correspondence of your binlog "
 "index file to the actual binlog files"
 msgstr ""
 
-#: drizzled/log.cc:1291
+#: drizzled/log.cc:1289
 #, c-format
 msgid "next log error: %d  offset: %s  log: %s included: %d"
 msgstr ""
 
-#: drizzled/log.cc:1401 drizzled/log.cc:1525
+#: drizzled/log.cc:1399 drizzled/log.cc:1523
 #, c-format
 msgid "Failed to execute stat() on file '%s'"
 msgstr ""
 
-#: drizzled/log.cc:1412 drizzled/log.cc:1536
+#: drizzled/log.cc:1410 drizzled/log.cc:1534
 #, c-format
 msgid ""
 "a problem with getting info on being purged %s; consider examining "
 "correspondence of your binlog index file to the actual binlog files"
 msgstr ""
 
-#: drizzled/log.cc:2546 drizzled/log.cc:3044
+#: drizzled/log.cc:2544 drizzled/log.cc:3042
 #, c-format
 msgid "Recovering after a crash using %s"
 msgstr ""
 
-#: drizzled/log.cc:2549
+#: drizzled/log.cc:2547
 msgid ""
 "Cannot perform automatic crash recovery when --tc-heuristic-recover is used"
 msgstr ""
 
-#: drizzled/log.cc:2891
+#: drizzled/log.cc:2889
 msgid "Bad magic header in tc log"
 msgstr ""
 
-#: drizzled/log.cc:2901
+#: drizzled/log.cc:2899
 #, c-format
 msgid ""
 "Recovery failed! You must enable exactly %d storage engines that support two-"
 "phase commit protocol"
 msgstr ""
 
-#: drizzled/log.cc:2929
+#: drizzled/log.cc:2927
 msgid ""
 "Crash recovery failed. Either correct the problem (if it's, for example, out "
 "of memory error) and restart, or delete tc log and start drizzled with --tc-"
 "heuristic-recover={commit|rollback}"
 msgstr ""
 
+#: drizzled/log.cc:2957
+msgid "Heuristic crash recovery mode"
+msgstr ""
+
 #: drizzled/log.cc:2959
-msgid "Heuristic crash recovery mode"
-msgstr ""
-
-#: drizzled/log.cc:2961
 msgid "Heuristic crash recovery failed"
 msgstr ""
 
-#: drizzled/log.cc:2962
+#: drizzled/log.cc:2960
 msgid "Please restart mysqld without --tc-heuristic-recover"
 msgstr ""
 
-#: drizzled/log.cc:3006 drizzled/log.cc:3030
+#: drizzled/log.cc:3004 drizzled/log.cc:3028
 #, c-format
 msgid "find_log_pos() failed (error: %d)"
 msgstr ""
 
-#: drizzled/log.cc:3144
+#: drizzled/log.cc:3142
 msgid ""
 "Crash recovery failed. Either correct the problem (if it's, for example, out "
 "of memory error) and restart, or delete (or rename) binary log and start "
@@ -6069,8 +6069,8 @@
 msgid "Error '%s' on query. Default database: '%s'. Query: '%s'"
 msgstr ""
 
-#: drizzled/log_event.cc:1670 drizzled/log_event.cc:4317
-#: drizzled/log_event.cc:4348 drizzled/log_event.cc:5080
+#: drizzled/log_event.cc:1670 drizzled/log_event.cc:4313
+#: drizzled/log_event.cc:4344 drizzled/log_event.cc:5076
 msgid "unexpected success or fatal error"
 msgstr ""
 
@@ -6099,80 +6099,80 @@
 msgid "Running LOAD DATA INFILE on table '%-.64s'. Default database: '%-.64s'"
 msgstr ""
 
-#: drizzled/log_event.cc:3106
+#: drizzled/log_event.cc:3102
 msgid "Out of memory while recording slave event"
 msgstr ""
 
-#: drizzled/log_event.cc:3356 drizzled/log_event.cc:3382
+#: drizzled/log_event.cc:3352 drizzled/log_event.cc:3378
 #, c-format
 msgid "Error in Create_file event: could not open file '%s'"
 msgstr ""
 
-#: drizzled/log_event.cc:3368
+#: drizzled/log_event.cc:3364
 #, c-format
 msgid "Error in Create_file event: could not write to file '%s'"
 msgstr ""
 
-#: drizzled/log_event.cc:3389
+#: drizzled/log_event.cc:3385
 #, c-format
 msgid "Error in Create_file event: write to '%s' failed"
 msgstr ""
 
-#: drizzled/log_event.cc:3503
+#: drizzled/log_event.cc:3499
 #, c-format
 msgid "Error in %s event: could not create file '%s'"
 msgstr ""
 
-#: drizzled/log_event.cc:3512
+#: drizzled/log_event.cc:3508
 #, c-format
 msgid "Error in %s event: could not open file '%s'"
 msgstr ""
 
-#: drizzled/log_event.cc:3519
+#: drizzled/log_event.cc:3515
 #, c-format
 msgid "Error in %s event: write to '%s' failed"
 msgstr ""
 
-#: drizzled/log_event.cc:3681
+#: drizzled/log_event.cc:3677
 #, c-format
 msgid "Error in Exec_load event: could not open file '%s'"
 msgstr ""
 
-#: drizzled/log_event.cc:3691
+#: drizzled/log_event.cc:3687
 #, c-format
 msgid "Error in Exec_load event: file '%s' appears corrupted"
 msgstr ""
 
-#: drizzled/log_event.cc:3721
+#: drizzled/log_event.cc:3717
 #, c-format
 msgid "%s. Failed executing load from '%s'"
 msgstr ""
 
-#: drizzled/log_event.cc:3894
+#: drizzled/log_event.cc:3890
 msgid "Not enough memory"
 msgstr ""
 
-#: drizzled/log_event.cc:4314
+#: drizzled/log_event.cc:4310
 #, c-format
 msgid "Error '%s' in %s event: when locking tables"
 msgstr ""
 
-#: drizzled/log_event.cc:4324
+#: drizzled/log_event.cc:4320
 #, c-format
 msgid "Error in %s event: when locking tables"
 msgstr ""
 
-#: drizzled/log_event.cc:4345
+#: drizzled/log_event.cc:4341
 #, c-format
 msgid "Error '%s' on reopening tables"
 msgstr ""
 
-#: drizzled/log_event.cc:4681
+#: drizzled/log_event.cc:4677
 #, c-format
 msgid "Error in %s event: commit of row events failed, table `%s`.`%s`"
 msgstr ""
 
-#: drizzled/log_event.cc:5077
+#: drizzled/log_event.cc:5073
 #, c-format
 msgid "Error '%s' on opening table `%s`.`%s`"
 msgstr ""
@@ -6923,22 +6923,22 @@
 msgid "Plugin '%s' disabled by command line option"
 msgstr ""
 
-#: drizzled/sql_table.cc:108
+#: drizzled/sql_table.cc:110
 #, c-format
 msgid "Invalid (old?) table or database name '%s'"
 msgstr ""
 
-#: drizzled/sql_table.cc:2746
+#: drizzled/sql_table.cc:2762
 #, c-format
 msgid "Unknown - internal error %d during operation"
 msgstr ""
 
-#: drizzled/sql_table.cc:5019
+#: drizzled/sql_table.cc:5030
 #, c-format
 msgid "Could not open table %s.%s after rename\n"
 msgstr ""
 
-#: drizzled/sql_table.cc:5186
+#: drizzled/sql_table.cc:5197
 #, c-format
 msgid ""
 "order_st BY ignored because there is a user-defined clustered index in the "

=== modified file 'po/fr.po'
--- po/fr.po	2008-12-10 22:02:06 +0000
+++ po/fr.po	2008-12-12 04:49:53 +0000
@@ -7,7 +7,7 @@
 msgstr ""
 "Project-Id-Version: drizzle\n"
 "Report-Msgid-Bugs-To: http://translations.launchpad.net/drizzle\n"
-"POT-Creation-Date: 2008-12-10 14:01-0800\n"
+"POT-Creation-Date: 2008-12-11 22:45-0600\n"
 "PO-Revision-Date: 2008-12-04 10:04+0000\n"
 "Last-Translator: MichelRoig <josselin99@yahoo.fr>\n"
 "Language-Team: French <fr@li.org>\n"
@@ -1367,7 +1367,7 @@
 msgid "(Disabled)\n"
 msgstr "(Desactivé)\n"
 
-#: drizzled/authentication.cc:66 drizzled/show.cc:4677
+#: drizzled/authentication.cc:66 drizzled/show.cc:4679
 #: drizzled/sql_plugin.cc:829
 #, c-format
 msgid "Plugin '%s' init function returned error."
@@ -6624,7 +6624,7 @@
 msgid "Failed to create a cache on log (file '%s')"
 msgstr "La création d'un cache pour le log (fichier '%s') a échoué"
 
-#: drizzled/log.cc:522 drizzled/log.cc:887
+#: drizzled/log.cc:520 drizzled/log.cc:885
 #, c-format
 msgid ""
 "Could not use %s for logging (error %d). Turning logging off for the whole "
@@ -6635,13 +6635,13 @@
 "durant toute l'exécution du processus de serveur Drizzle. Pour l'activer à "
 "nouveau : corrigez le problème, éteignez le serveur Drizzle, et relancez-le."
 
-#: drizzled/log.cc:1155 drizzled/log.cc:1186 drizzled/log.cc:1435
-#: drizzled/log.cc:1557
+#: drizzled/log.cc:1153 drizzled/log.cc:1184 drizzled/log.cc:1433
+#: drizzled/log.cc:1555
 #, c-format
 msgid "Failed to delete file '%s'"
 msgstr "La suppression du fichier '%s' a échoué"
 
-#: drizzled/log.cc:1164 drizzled/log.cc:1443 drizzled/log.cc:1565
+#: drizzled/log.cc:1162 drizzled/log.cc:1441 drizzled/log.cc:1563
 #, c-format
 msgid ""
 "a problem with deleting %s; consider examining correspondence of your binlog "
@@ -6651,17 +6651,17 @@
 "correspondance entre votre index de log binaire et les véritables fichiers "
 "de log binaire"
 
-#: drizzled/log.cc:1291
+#: drizzled/log.cc:1289
 #, c-format
 msgid "next log error: %d  offset: %s  log: %s included: %d"
 msgstr "Prochaine erreur de log : %d; position %s; log : %s, inclus : %d"
 
-#: drizzled/log.cc:1401 drizzled/log.cc:1525
+#: drizzled/log.cc:1399 drizzled/log.cc:1523
 #, c-format
 msgid "Failed to execute stat() on file '%s'"
 msgstr "L'exécution de la fonction stat() sur le fichier '%s' a échoué"
 
-#: drizzled/log.cc:1412 drizzled/log.cc:1536
+#: drizzled/log.cc:1410 drizzled/log.cc:1534
 #, c-format
 msgid ""
 "a problem with getting info on being purged %s; consider examining "
@@ -6671,23 +6671,23 @@
 "purge %s : essayez de vérifier la correspondance entre votre index de log "
 "binaire et les véritables fichiers de log binaire"
 
-#: drizzled/log.cc:2546 drizzled/log.cc:3044
+#: drizzled/log.cc:2544 drizzled/log.cc:3042
 #, c-format
 msgid "Recovering after a crash using %s"
 msgstr "Restauration après crash en utilisant %s"
 
-#: drizzled/log.cc:2549
+#: drizzled/log.cc:2547
 msgid ""
 "Cannot perform automatic crash recovery when --tc-heuristic-recover is used"
 msgstr ""
 "Impossible d'exécuter une restauration automatique lorsque l'option --tc-"
 "heuristic-recover est utilisée"
 
-#: drizzled/log.cc:2891
+#: drizzled/log.cc:2889
 msgid "Bad magic header in tc log"
 msgstr "Nombre magique erroné dans le log tc"
 
-#: drizzled/log.cc:2901
+#: drizzled/log.cc:2899
 #, c-format
 msgid ""
 "Recovery failed! You must enable exactly %d storage engines that support two-"
@@ -6696,7 +6696,7 @@
 "La restauration a échoué! Vous devez activer exactement %d moteurs de "
 "stockage qui supportent le protocole de validation en deux phases"
 
-#: drizzled/log.cc:2929
+#: drizzled/log.cc:2927
 msgid ""
 "Crash recovery failed. Either correct the problem (if it's, for example, out "
 "of memory error) and restart, or delete tc log and start drizzled with --tc-"
@@ -6707,24 +6707,24 @@
 "serveur; ou bien vous effacez le log tc et lancez drizzled avec l'option --"
 "tc-heuristic-recover={commit|rollback}"
 
-#: drizzled/log.cc:2959
+#: drizzled/log.cc:2957
 msgid "Heuristic crash recovery mode"
 msgstr "Mode de restauration heuristique après crash"
 
-#: drizzled/log.cc:2961
+#: drizzled/log.cc:2959
 msgid "Heuristic crash recovery failed"
 msgstr "Le mode de restauration heuristique après crash a échoué"
 
-#: drizzled/log.cc:2962
+#: drizzled/log.cc:2960
 msgid "Please restart mysqld without --tc-heuristic-recover"
 msgstr "Relancez mysqld sans l'option --tc-heuristic-recover"
 
-#: drizzled/log.cc:3006 drizzled/log.cc:3030
+#: drizzled/log.cc:3004 drizzled/log.cc:3028
 #, c-format
 msgid "find_log_pos() failed (error: %d)"
 msgstr "find_log_pos() a échoué (erreur : %d)"
 
-#: drizzled/log.cc:3144
+#: drizzled/log.cc:3142
 msgid ""
 "Crash recovery failed. Either correct the problem (if it's, for example, out "
 "of memory error) and restart, or delete (or rename) binary log and start "
@@ -6785,8 +6785,8 @@
 msgid "Error '%s' on query. Default database: '%s'. Query: '%s'"
 msgstr ""
 
-#: drizzled/log_event.cc:1670 drizzled/log_event.cc:4317
-#: drizzled/log_event.cc:4348 drizzled/log_event.cc:5080
+#: drizzled/log_event.cc:1670 drizzled/log_event.cc:4313
+#: drizzled/log_event.cc:4344 drizzled/log_event.cc:5076
 msgid "unexpected success or fatal error"
 msgstr ""
 
@@ -6817,80 +6817,80 @@
 msgid "Running LOAD DATA INFILE on table '%-.64s'. Default database: '%-.64s'"
 msgstr ""
 
-#: drizzled/log_event.cc:3106
+#: drizzled/log_event.cc:3102
 msgid "Out of memory while recording slave event"
 msgstr "Plus mémoire durant l'enregistrement de l'événement de l'esclave"
 
-#: drizzled/log_event.cc:3356 drizzled/log_event.cc:3382
+#: drizzled/log_event.cc:3352 drizzled/log_event.cc:3378
 #, c-format
 msgid "Error in Create_file event: could not open file '%s'"
 msgstr ""
 
-#: drizzled/log_event.cc:3368
+#: drizzled/log_event.cc:3364
 #, c-format
 msgid "Error in Create_file event: could not write to file '%s'"
 msgstr ""
 
-#: drizzled/log_event.cc:3389
+#: drizzled/log_event.cc:3385
 #, c-format
 msgid "Error in Create_file event: write to '%s' failed"
 msgstr ""
 
-#: drizzled/log_event.cc:3503
+#: drizzled/log_event.cc:3499
 #, c-format
 msgid "Error in %s event: could not create file '%s'"
 msgstr ""
 
-#: drizzled/log_event.cc:3512
+#: drizzled/log_event.cc:3508
 #, c-format
 msgid "Error in %s event: could not open file '%s'"
 msgstr ""
 
-#: drizzled/log_event.cc:3519
+#: drizzled/log_event.cc:3515
 #, c-format
 msgid "Error in %s event: write to '%s' failed"
 msgstr ""
 
-#: drizzled/log_event.cc:3681
+#: drizzled/log_event.cc:3677
 #, c-format
 msgid "Error in Exec_load event: could not open file '%s'"
 msgstr ""
 
-#: drizzled/log_event.cc:3691
+#: drizzled/log_event.cc:3687
 #, c-format
 msgid "Error in Exec_load event: file '%s' appears corrupted"
 msgstr ""
 
-#: drizzled/log_event.cc:3721
+#: drizzled/log_event.cc:3717
 #, c-format
 msgid "%s. Failed executing load from '%s'"
 msgstr ""
 
-#: drizzled/log_event.cc:3894
+#: drizzled/log_event.cc:3890
 msgid "Not enough memory"
 msgstr ""
 
-#: drizzled/log_event.cc:4314
+#: drizzled/log_event.cc:4310
 #, c-format
 msgid "Error '%s' in %s event: when locking tables"
 msgstr ""
 
-#: drizzled/log_event.cc:4324
+#: drizzled/log_event.cc:4320
 #, c-format
 msgid "Error in %s event: when locking tables"
 msgstr ""
 
-#: drizzled/log_event.cc:4345
+#: drizzled/log_event.cc:4341
 #, c-format
 msgid "Error '%s' on reopening tables"
 msgstr ""
 
-#: drizzled/log_event.cc:4681
+#: drizzled/log_event.cc:4677
 #, c-format
 msgid "Error in %s event: commit of row events failed, table `%s`.`%s`"
 msgstr ""
 
-#: drizzled/log_event.cc:5077
+#: drizzled/log_event.cc:5073
 #, c-format
 msgid "Error '%s' on opening table `%s`.`%s`"
 msgstr ""
@@ -7767,22 +7767,22 @@
 msgid "Plugin '%s' disabled by command line option"
 msgstr "Le plugin '%s' a été désactivé par une option en ligne de commande"
 
-#: drizzled/sql_table.cc:108
+#: drizzled/sql_table.cc:110
 #, c-format
 msgid "Invalid (old?) table or database name '%s'"
 msgstr "Nom de table ou base de données '%s' invalide (ancien?)"
 
-#: drizzled/sql_table.cc:2746
+#: drizzled/sql_table.cc:2762
 #, c-format
 msgid "Unknown - internal error %d during operation"
 msgstr "Erreur interne %d inconnue durant l'opération"
 
-#: drizzled/sql_table.cc:5019
+#: drizzled/sql_table.cc:5030
 #, c-format
 msgid "Could not open table %s.%s after rename\n"
 msgstr "Ne peut ouvrir la table %s.%s après rename\n"
 
-#: drizzled/sql_table.cc:5186
+#: drizzled/sql_table.cc:5197
 #, c-format
 msgid ""
 "order_st BY ignored because there is a user-defined clustered index in the "

=== modified file 'po/he.po'
--- po/he.po	2008-12-10 22:02:06 +0000
+++ po/he.po	2008-12-12 04:49:53 +0000
@@ -7,7 +7,7 @@
 msgstr ""
 "Project-Id-Version: drizzle\n"
 "Report-Msgid-Bugs-To: http://translations.launchpad.net/drizzle\n"
-"POT-Creation-Date: 2008-12-10 14:01-0800\n"
+"POT-Creation-Date: 2008-12-11 22:45-0600\n"
 "PO-Revision-Date: 2008-11-27 00:26+0000\n"
 "Last-Translator: Ddorda <d.dorda@gmail.com>\n"
 "Language-Team: Hebrew <he@li.org>\n"
@@ -1204,7 +1204,7 @@
 msgid "(Disabled)\n"
 msgstr ""
 
-#: drizzled/authentication.cc:66 drizzled/show.cc:4677
+#: drizzled/authentication.cc:66 drizzled/show.cc:4679
 #: drizzled/sql_plugin.cc:829
 #, c-format
 msgid "Plugin '%s' init function returned error."
@@ -5704,7 +5704,7 @@
 msgid "Failed to create a cache on log (file '%s')"
 msgstr ""
 
-#: drizzled/log.cc:522 drizzled/log.cc:887
+#: drizzled/log.cc:520 drizzled/log.cc:885
 #, c-format
 msgid ""
 "Could not use %s for logging (error %d). Turning logging off for the whole "
@@ -5712,82 +5712,82 @@
 "shutdown the Drizzle server and restart it."
 msgstr ""
 
-#: drizzled/log.cc:1155 drizzled/log.cc:1186 drizzled/log.cc:1435
-#: drizzled/log.cc:1557
+#: drizzled/log.cc:1153 drizzled/log.cc:1184 drizzled/log.cc:1433
+#: drizzled/log.cc:1555
 #, c-format
 msgid "Failed to delete file '%s'"
 msgstr ""
 
-#: drizzled/log.cc:1164 drizzled/log.cc:1443 drizzled/log.cc:1565
+#: drizzled/log.cc:1162 drizzled/log.cc:1441 drizzled/log.cc:1563
 #, c-format
 msgid ""
 "a problem with deleting %s; consider examining correspondence of your binlog "
 "index file to the actual binlog files"
 msgstr ""
 
-#: drizzled/log.cc:1291
+#: drizzled/log.cc:1289
 #, c-format
 msgid "next log error: %d  offset: %s  log: %s included: %d"
 msgstr ""
 
-#: drizzled/log.cc:1401 drizzled/log.cc:1525
+#: drizzled/log.cc:1399 drizzled/log.cc:1523
 #, c-format
 msgid "Failed to execute stat() on file '%s'"
 msgstr ""
 
-#: drizzled/log.cc:1412 drizzled/log.cc:1536
+#: drizzled/log.cc:1410 drizzled/log.cc:1534
 #, c-format
 msgid ""
 "a problem with getting info on being purged %s; consider examining "
 "correspondence of your binlog index file to the actual binlog files"
 msgstr ""
 
-#: drizzled/log.cc:2546 drizzled/log.cc:3044
+#: drizzled/log.cc:2544 drizzled/log.cc:3042
 #, c-format
 msgid "Recovering after a crash using %s"
 msgstr ""
 
-#: drizzled/log.cc:2549
+#: drizzled/log.cc:2547
 msgid ""
 "Cannot perform automatic crash recovery when --tc-heuristic-recover is used"
 msgstr ""
 
-#: drizzled/log.cc:2891
+#: drizzled/log.cc:2889
 msgid "Bad magic header in tc log"
 msgstr ""
 
-#: drizzled/log.cc:2901
+#: drizzled/log.cc:2899
 #, c-format
 msgid ""
 "Recovery failed! You must enable exactly %d storage engines that support two-"
 "phase commit protocol"
 msgstr ""
 
-#: drizzled/log.cc:2929
+#: drizzled/log.cc:2927
 msgid ""
 "Crash recovery failed. Either correct the problem (if it's, for example, out "
 "of memory error) and restart, or delete tc log and start drizzled with --tc-"
 "heuristic-recover={commit|rollback}"
 msgstr ""
 
+#: drizzled/log.cc:2957
+msgid "Heuristic crash recovery mode"
+msgstr ""
+
 #: drizzled/log.cc:2959
-msgid "Heuristic crash recovery mode"
-msgstr ""
-
-#: drizzled/log.cc:2961
 msgid "Heuristic crash recovery failed"
 msgstr ""
 
-#: drizzled/log.cc:2962
+#: drizzled/log.cc:2960
 msgid "Please restart mysqld without --tc-heuristic-recover"
 msgstr ""
 
-#: drizzled/log.cc:3006 drizzled/log.cc:3030
+#: drizzled/log.cc:3004 drizzled/log.cc:3028
 #, c-format
 msgid "find_log_pos() failed (error: %d)"
 msgstr ""
 
-#: drizzled/log.cc:3144
+#: drizzled/log.cc:3142
 msgid ""
 "Crash recovery failed. Either correct the problem (if it's, for example, out "
 "of memory error) and restart, or delete (or rename) binary log and start "
@@ -5843,8 +5843,8 @@
 msgid "Error '%s' on query. Default database: '%s'. Query: '%s'"
 msgstr ""
 
-#: drizzled/log_event.cc:1670 drizzled/log_event.cc:4317
-#: drizzled/log_event.cc:4348 drizzled/log_event.cc:5080
+#: drizzled/log_event.cc:1670 drizzled/log_event.cc:4313
+#: drizzled/log_event.cc:4344 drizzled/log_event.cc:5076
 msgid "unexpected success or fatal error"
 msgstr ""
 
@@ -5873,80 +5873,80 @@
 msgid "Running LOAD DATA INFILE on table '%-.64s'. Default database: '%-.64s'"
 msgstr ""
 
-#: drizzled/log_event.cc:3106
+#: drizzled/log_event.cc:3102
 msgid "Out of memory while recording slave event"
 msgstr ""
 
-#: drizzled/log_event.cc:3356 drizzled/log_event.cc:3382
+#: drizzled/log_event.cc:3352 drizzled/log_event.cc:3378
 #, c-format
 msgid "Error in Create_file event: could not open file '%s'"
 msgstr ""
 
-#: drizzled/log_event.cc:3368
+#: drizzled/log_event.cc:3364
 #, c-format
 msgid "Error in Create_file event: could not write to file '%s'"
 msgstr ""
 
-#: drizzled/log_event.cc:3389
+#: drizzled/log_event.cc:3385
 #, c-format
 msgid "Error in Create_file event: write to '%s' failed"
 msgstr ""
 
-#: drizzled/log_event.cc:3503
+#: drizzled/log_event.cc:3499
 #, c-format
 msgid "Error in %s event: could not create file '%s'"
 msgstr ""
 
-#: drizzled/log_event.cc:3512
+#: drizzled/log_event.cc:3508
 #, c-format
 msgid "Error in %s event: could not open file '%s'"
 msgstr ""
 
-#: drizzled/log_event.cc:3519
+#: drizzled/log_event.cc:3515
 #, c-format
 msgid "Error in %s event: write to '%s' failed"
 msgstr ""
 
-#: drizzled/log_event.cc:3681
+#: drizzled/log_event.cc:3677
 #, c-format
 msgid "Error in Exec_load event: could not open file '%s'"
 msgstr ""
 
-#: drizzled/log_event.cc:3691
+#: drizzled/log_event.cc:3687
 #, c-format
 msgid "Error in Exec_load event: file '%s' appears corrupted"
 msgstr ""
 
-#: drizzled/log_event.cc:3721
+#: drizzled/log_event.cc:3717
 #, c-format
 msgid "%s. Failed executing load from '%s'"
 msgstr ""
 
-#: drizzled/log_event.cc:3894
+#: drizzled/log_event.cc:3890
 msgid "Not enough memory"
 msgstr ""
 
-#: drizzled/log_event.cc:4314
+#: drizzled/log_event.cc:4310
 #, c-format
 msgid "Error '%s' in %s event: when locking tables"
 msgstr ""
 
-#: drizzled/log_event.cc:4324
+#: drizzled/log_event.cc:4320
 #, c-format
 msgid "Error in %s event: when locking tables"
 msgstr ""
 
-#: drizzled/log_event.cc:4345
+#: drizzled/log_event.cc:4341
 #, c-format
 msgid "Error '%s' on reopening tables"
 msgstr ""
 
-#: drizzled/log_event.cc:4681
+#: drizzled/log_event.cc:4677
 #, c-format
 msgid "Error in %s event: commit of row events failed, table `%s`.`%s`"
 msgstr ""
 
-#: drizzled/log_event.cc:5077
+#: drizzled/log_event.cc:5073
 #, c-format
 msgid "Error '%s' on opening table `%s`.`%s`"
 msgstr ""
@@ -6696,22 +6696,22 @@
 msgid "Plugin '%s' disabled by command line option"
 msgstr ""
 
-#: drizzled/sql_table.cc:108
+#: drizzled/sql_table.cc:110
 #, c-format
 msgid "Invalid (old?) table or database name '%s'"
 msgstr ""
 
-#: drizzled/sql_table.cc:2746
+#: drizzled/sql_table.cc:2762
 #, c-format
 msgid "Unknown - internal error %d during operation"
 msgstr ""
 
-#: drizzled/sql_table.cc:5019
+#: drizzled/sql_table.cc:5030
 #, c-format
 msgid "Could not open table %s.%s after rename\n"
 msgstr ""
 
-#: drizzled/sql_table.cc:5186
+#: drizzled/sql_table.cc:5197
 #, c-format
 msgid ""
 "order_st BY ignored because there is a user-defined clustered index in the "

=== modified file 'po/hi.po'
--- po/hi.po	2008-12-10 22:02:06 +0000
+++ po/hi.po	2008-12-12 04:49:53 +0000
@@ -7,7 +7,7 @@
 msgstr ""
 "Project-Id-Version: drizzle\n"
 "Report-Msgid-Bugs-To: http://translations.launchpad.net/drizzle\n"
-"POT-Creation-Date: 2008-12-10 14:01-0800\n"
+"POT-Creation-Date: 2008-12-11 22:45-0600\n"
 "PO-Revision-Date: 2008-11-27 00:36+0000\n"
 "Last-Translator: Monty Taylor <mordred@inaugust.com>\n"
 "Language-Team: Hindi <hi@li.org>\n"
@@ -1255,7 +1255,7 @@
 msgid "(Disabled)\n"
 msgstr "(अक्षम)\n"
 
-#: drizzled/authentication.cc:66 drizzled/show.cc:4677
+#: drizzled/authentication.cc:66 drizzled/show.cc:4679
 #: drizzled/sql_plugin.cc:829
 #, c-format
 msgid "Plugin '%s' init function returned error."
@@ -5758,7 +5758,7 @@
 msgid "Failed to create a cache on log (file '%s')"
 msgstr ""
 
-#: drizzled/log.cc:522 drizzled/log.cc:887
+#: drizzled/log.cc:520 drizzled/log.cc:885
 #, c-format
 msgid ""
 "Could not use %s for logging (error %d). Turning logging off for the whole "
@@ -5766,82 +5766,82 @@
 "shutdown the Drizzle server and restart it."
 msgstr ""
 
-#: drizzled/log.cc:1155 drizzled/log.cc:1186 drizzled/log.cc:1435
-#: drizzled/log.cc:1557
+#: drizzled/log.cc:1153 drizzled/log.cc:1184 drizzled/log.cc:1433
+#: drizzled/log.cc:1555
 #, c-format
 msgid "Failed to delete file '%s'"
 msgstr ""
 
-#: drizzled/log.cc:1164 drizzled/log.cc:1443 drizzled/log.cc:1565
+#: drizzled/log.cc:1162 drizzled/log.cc:1441 drizzled/log.cc:1563
 #, c-format
 msgid ""
 "a problem with deleting %s; consider examining correspondence of your binlog "
 "index file to the actual binlog files"
 msgstr ""
 
-#: drizzled/log.cc:1291
+#: drizzled/log.cc:1289
 #, c-format
 msgid "next log error: %d  offset: %s  log: %s included: %d"
 msgstr ""
 
-#: drizzled/log.cc:1401 drizzled/log.cc:1525
+#: drizzled/log.cc:1399 drizzled/log.cc:1523
 #, c-format
 msgid "Failed to execute stat() on file '%s'"
 msgstr ""
 
-#: drizzled/log.cc:1412 drizzled/log.cc:1536
+#: drizzled/log.cc:1410 drizzled/log.cc:1534
 #, c-format
 msgid ""
 "a problem with getting info on being purged %s; consider examining "
 "correspondence of your binlog index file to the actual binlog files"
 msgstr ""
 
-#: drizzled/log.cc:2546 drizzled/log.cc:3044
+#: drizzled/log.cc:2544 drizzled/log.cc:3042
 #, c-format
 msgid "Recovering after a crash using %s"
 msgstr ""
 
-#: drizzled/log.cc:2549
+#: drizzled/log.cc:2547
 msgid ""
 "Cannot perform automatic crash recovery when --tc-heuristic-recover is used"
 msgstr ""
 
-#: drizzled/log.cc:2891
+#: drizzled/log.cc:2889
 msgid "Bad magic header in tc log"
 msgstr ""
 
-#: drizzled/log.cc:2901
+#: drizzled/log.cc:2899
 #, c-format
 msgid ""
 "Recovery failed! You must enable exactly %d storage engines that support two-"
 "phase commit protocol"
 msgstr ""
 
-#: drizzled/log.cc:2929
+#: drizzled/log.cc:2927
 msgid ""
 "Crash recovery failed. Either correct the problem (if it's, for example, out "
 "of memory error) and restart, or delete tc log and start drizzled with --tc-"
 "heuristic-recover={commit|rollback}"
 msgstr ""
 
+#: drizzled/log.cc:2957
+msgid "Heuristic crash recovery mode"
+msgstr ""
+
 #: drizzled/log.cc:2959
-msgid "Heuristic crash recovery mode"
-msgstr ""
-
-#: drizzled/log.cc:2961
 msgid "Heuristic crash recovery failed"
 msgstr ""
 
-#: drizzled/log.cc:2962
+#: drizzled/log.cc:2960
 msgid "Please restart mysqld without --tc-heuristic-recover"
 msgstr ""
 
-#: drizzled/log.cc:3006 drizzled/log.cc:3030
+#: drizzled/log.cc:3004 drizzled/log.cc:3028
 #, c-format
 msgid "find_log_pos() failed (error: %d)"
 msgstr ""
 
-#: drizzled/log.cc:3144
+#: drizzled/log.cc:3142
 msgid ""
 "Crash recovery failed. Either correct the problem (if it's, for example, out "
 "of memory error) and restart, or delete (or rename) binary log and start "
@@ -5897,8 +5897,8 @@
 msgid "Error '%s' on query. Default database: '%s'. Query: '%s'"
 msgstr ""
 
-#: drizzled/log_event.cc:1670 drizzled/log_event.cc:4317
-#: drizzled/log_event.cc:4348 drizzled/log_event.cc:5080
+#: drizzled/log_event.cc:1670 drizzled/log_event.cc:4313
+#: drizzled/log_event.cc:4344 drizzled/log_event.cc:5076
 msgid "unexpected success or fatal error"
 msgstr ""
 
@@ -5927,80 +5927,80 @@
 msgid "Running LOAD DATA INFILE on table '%-.64s'. Default database: '%-.64s'"
 msgstr ""
 
-#: drizzled/log_event.cc:3106
+#: drizzled/log_event.cc:3102
 msgid "Out of memory while recording slave event"
 msgstr ""
 
-#: drizzled/log_event.cc:3356 drizzled/log_event.cc:3382
+#: drizzled/log_event.cc:3352 drizzled/log_event.cc:3378
 #, c-format
 msgid "Error in Create_file event: could not open file '%s'"
 msgstr ""
 
-#: drizzled/log_event.cc:3368
+#: drizzled/log_event.cc:3364
 #, c-format
 msgid "Error in Create_file event: could not write to file '%s'"
 msgstr ""
 
-#: drizzled/log_event.cc:3389
+#: drizzled/log_event.cc:3385
 #, c-format
 msgid "Error in Create_file event: write to '%s' failed"
 msgstr ""
 
-#: drizzled/log_event.cc:3503
+#: drizzled/log_event.cc:3499
 #, c-format
 msgid "Error in %s event: could not create file '%s'"
 msgstr ""
 
-#: drizzled/log_event.cc:3512
+#: drizzled/log_event.cc:3508
 #, c-format
 msgid "Error in %s event: could not open file '%s'"
 msgstr ""
 
-#: drizzled/log_event.cc:3519
+#: drizzled/log_event.cc:3515
 #, c-format
 msgid "Error in %s event: write to '%s' failed"
 msgstr ""
 
-#: drizzled/log_event.cc:3681
+#: drizzled/log_event.cc:3677
 #, c-format
 msgid "Error in Exec_load event: could not open file '%s'"
 msgstr ""
 
-#: drizzled/log_event.cc:3691
+#: drizzled/log_event.cc:3687
 #, c-format
 msgid "Error in Exec_load event: file '%s' appears corrupted"
 msgstr ""
 
-#: drizzled/log_event.cc:3721
+#: drizzled/log_event.cc:3717
 #, c-format
 msgid "%s. Failed executing load from '%s'"
 msgstr ""
 
-#: drizzled/log_event.cc:3894
+#: drizzled/log_event.cc:3890
 msgid "Not enough memory"
 msgstr ""
 
-#: drizzled/log_event.cc:4314
+#: drizzled/log_event.cc:4310
 #, c-format
 msgid "Error '%s' in %s event: when locking tables"
 msgstr ""
 
-#: drizzled/log_event.cc:4324
+#: drizzled/log_event.cc:4320
 #, c-format
 msgid "Error in %s event: when locking tables"
 msgstr ""
 
-#: drizzled/log_event.cc:4345
+#: drizzled/log_event.cc:4341
 #, c-format
 msgid "Error '%s' on reopening tables"
 msgstr ""
 
-#: drizzled/log_event.cc:4681
+#: drizzled/log_event.cc:4677
 #, c-format
 msgid "Error in %s event: commit of row events failed, table `%s`.`%s`"
 msgstr ""
 
-#: drizzled/log_event.cc:5077
+#: drizzled/log_event.cc:5073
 #, c-format
 msgid "Error '%s' on opening table `%s`.`%s`"
 msgstr ""
@@ -6750,22 +6750,22 @@
 msgid "Plugin '%s' disabled by command line option"
 msgstr ""
 
-#: drizzled/sql_table.cc:108
+#: drizzled/sql_table.cc:110
 #, c-format
 msgid "Invalid (old?) table or database name '%s'"
 msgstr ""
 
-#: drizzled/sql_table.cc:2746
+#: drizzled/sql_table.cc:2762
 #, c-format
 msgid "Unknown - internal error %d during operation"
 msgstr ""
 
-#: drizzled/sql_table.cc:5019
+#: drizzled/sql_table.cc:5030
 #, c-format
 msgid "Could not open table %s.%s after rename\n"
 msgstr ""
 
-#: drizzled/sql_table.cc:5186
+#: drizzled/sql_table.cc:5197
 #, c-format
 msgid ""
 "order_st BY ignored because there is a user-defined clustered index in the "

=== modified file 'po/id.po'
--- po/id.po	2008-12-10 22:02:06 +0000
+++ po/id.po	2008-12-12 04:49:53 +0000
@@ -7,7 +7,7 @@
 msgstr ""
 "Project-Id-Version: drizzle\n"
 "Report-Msgid-Bugs-To: http://translations.launchpad.net/drizzle\n"
-"POT-Creation-Date: 2008-12-10 14:01-0800\n"
+"POT-Creation-Date: 2008-12-11 22:45-0600\n"
 "PO-Revision-Date: 2008-11-27 00:39+0000\n"
 "Last-Translator: Andika Triwidada <andika@gmail.com>\n"
 "Language-Team: Indonesian <id@li.org>\n"
@@ -1218,7 +1218,7 @@
 msgid "(Disabled)\n"
 msgstr ""
 
-#: drizzled/authentication.cc:66 drizzled/show.cc:4677
+#: drizzled/authentication.cc:66 drizzled/show.cc:4679
 #: drizzled/sql_plugin.cc:829
 #, c-format
 msgid "Plugin '%s' init function returned error."
@@ -5718,7 +5718,7 @@
 msgid "Failed to create a cache on log (file '%s')"
 msgstr ""
 
-#: drizzled/log.cc:522 drizzled/log.cc:887
+#: drizzled/log.cc:520 drizzled/log.cc:885
 #, c-format
 msgid ""
 "Could not use %s for logging (error %d). Turning logging off for the whole "
@@ -5726,82 +5726,82 @@
 "shutdown the Drizzle server and restart it."
 msgstr ""
 
-#: drizzled/log.cc:1155 drizzled/log.cc:1186 drizzled/log.cc:1435
-#: drizzled/log.cc:1557
+#: drizzled/log.cc:1153 drizzled/log.cc:1184 drizzled/log.cc:1433
+#: drizzled/log.cc:1555
 #, c-format
 msgid "Failed to delete file '%s'"
 msgstr ""
 
-#: drizzled/log.cc:1164 drizzled/log.cc:1443 drizzled/log.cc:1565
+#: drizzled/log.cc:1162 drizzled/log.cc:1441 drizzled/log.cc:1563
 #, c-format
 msgid ""
 "a problem with deleting %s; consider examining correspondence of your binlog "
 "index file to the actual binlog files"
 msgstr ""
 
-#: drizzled/log.cc:1291
+#: drizzled/log.cc:1289
 #, c-format
 msgid "next log error: %d  offset: %s  log: %s included: %d"
 msgstr ""
 
-#: drizzled/log.cc:1401 drizzled/log.cc:1525
+#: drizzled/log.cc:1399 drizzled/log.cc:1523
 #, c-format
 msgid "Failed to execute stat() on file '%s'"
 msgstr ""
 
-#: drizzled/log.cc:1412 drizzled/log.cc:1536
+#: drizzled/log.cc:1410 drizzled/log.cc:1534
 #, c-format
 msgid ""
 "a problem with getting info on being purged %s; consider examining "
 "correspondence of your binlog index file to the actual binlog files"
 msgstr ""
 
-#: drizzled/log.cc:2546 drizzled/log.cc:3044
+#: drizzled/log.cc:2544 drizzled/log.cc:3042
 #, c-format
 msgid "Recovering after a crash using %s"
 msgstr ""
 
-#: drizzled/log.cc:2549
+#: drizzled/log.cc:2547
 msgid ""
 "Cannot perform automatic crash recovery when --tc-heuristic-recover is used"
 msgstr ""
 
-#: drizzled/log.cc:2891
+#: drizzled/log.cc:2889
 msgid "Bad magic header in tc log"
 msgstr ""
 
-#: drizzled/log.cc:2901
+#: drizzled/log.cc:2899
 #, c-format
 msgid ""
 "Recovery failed! You must enable exactly %d storage engines that support two-"
 "phase commit protocol"
 msgstr ""
 
-#: drizzled/log.cc:2929
+#: drizzled/log.cc:2927
 msgid ""
 "Crash recovery failed. Either correct the problem (if it's, for example, out "
 "of memory error) and restart, or delete tc log and start drizzled with --tc-"
 "heuristic-recover={commit|rollback}"
 msgstr ""
 
+#: drizzled/log.cc:2957
+msgid "Heuristic crash recovery mode"
+msgstr ""
+
 #: drizzled/log.cc:2959
-msgid "Heuristic crash recovery mode"
-msgstr ""
-
-#: drizzled/log.cc:2961
 msgid "Heuristic crash recovery failed"
 msgstr ""
 
-#: drizzled/log.cc:2962
+#: drizzled/log.cc:2960
 msgid "Please restart mysqld without --tc-heuristic-recover"
 msgstr ""
 
-#: drizzled/log.cc:3006 drizzled/log.cc:3030
+#: drizzled/log.cc:3004 drizzled/log.cc:3028
 #, c-format
 msgid "find_log_pos() failed (error: %d)"
 msgstr ""
 
-#: drizzled/log.cc:3144
+#: drizzled/log.cc:3142
 msgid ""
 "Crash recovery failed. Either correct the problem (if it's, for example, out "
 "of memory error) and restart, or delete (or rename) binary log and start "
@@ -5857,8 +5857,8 @@
 msgid "Error '%s' on query. Default database: '%s'. Query: '%s'"
 msgstr ""
 
-#: drizzled/log_event.cc:1670 drizzled/log_event.cc:4317
-#: drizzled/log_event.cc:4348 drizzled/log_event.cc:5080
+#: drizzled/log_event.cc:1670 drizzled/log_event.cc:4313
+#: drizzled/log_event.cc:4344 drizzled/log_event.cc:5076
 msgid "unexpected success or fatal error"
 msgstr ""
 
@@ -5887,80 +5887,80 @@
 msgid "Running LOAD DATA INFILE on table '%-.64s'. Default database: '%-.64s'"
 msgstr ""
 
-#: drizzled/log_event.cc:3106
+#: drizzled/log_event.cc:3102
 msgid "Out of memory while recording slave event"
 msgstr ""
 
-#: drizzled/log_event.cc:3356 drizzled/log_event.cc:3382
+#: drizzled/log_event.cc:3352 drizzled/log_event.cc:3378
 #, c-format
 msgid "Error in Create_file event: could not open file '%s'"
 msgstr ""
 
-#: drizzled/log_event.cc:3368
+#: drizzled/log_event.cc:3364
 #, c-format
 msgid "Error in Create_file event: could not write to file '%s'"
 msgstr ""
 
-#: drizzled/log_event.cc:3389
+#: drizzled/log_event.cc:3385
 #, c-format
 msgid "Error in Create_file event: write to '%s' failed"
 msgstr ""
 
-#: drizzled/log_event.cc:3503
+#: drizzled/log_event.cc:3499
 #, c-format
 msgid "Error in %s event: could not create file '%s'"
 msgstr ""
 
-#: drizzled/log_event.cc:3512
+#: drizzled/log_event.cc:3508
 #, c-format
 msgid "Error in %s event: could not open file '%s'"
 msgstr ""
 
-#: drizzled/log_event.cc:3519
+#: drizzled/log_event.cc:3515
 #, c-format
 msgid "Error in %s event: write to '%s' failed"
 msgstr ""
 
-#: drizzled/log_event.cc:3681
+#: drizzled/log_event.cc:3677
 #, c-format
 msgid "Error in Exec_load event: could not open file '%s'"
 msgstr ""
 
-#: drizzled/log_event.cc:3691
+#: drizzled/log_event.cc:3687
 #, c-format
 msgid "Error in Exec_load event: file '%s' appears corrupted"
 msgstr ""
 
-#: drizzled/log_event.cc:3721
+#: drizzled/log_event.cc:3717
 #, c-format
 msgid "%s. Failed executing load from '%s'"
 msgstr ""
 
-#: drizzled/log_event.cc:3894
+#: drizzled/log_event.cc:3890
 msgid "Not enough memory"
 msgstr ""
 
-#: drizzled/log_event.cc:4314
+#: drizzled/log_event.cc:4310
 #, c-format
 msgid "Error '%s' in %s event: when locking tables"
 msgstr ""
 
-#: drizzled/log_event.cc:4324
+#: drizzled/log_event.cc:4320
 #, c-format
 msgid "Error in %s event: when locking tables"
 msgstr ""
 
-#: drizzled/log_event.cc:4345
+#: drizzled/log_event.cc:4341
 #, c-format
 msgid "Error '%s' on reopening tables"
 msgstr ""
 
-#: drizzled/log_event.cc:4681
+#: drizzled/log_event.cc:4677
 #, c-format
 msgid "Error in %s event: commit of row events failed, table `%s`.`%s`"
 msgstr ""
 
-#: drizzled/log_event.cc:5077
+#: drizzled/log_event.cc:5073
 #, c-format
 msgid "Error '%s' on opening table `%s`.`%s`"
 msgstr ""
@@ -6710,22 +6710,22 @@
 msgid "Plugin '%s' disabled by command line option"
 msgstr ""
 
-#: drizzled/sql_table.cc:108
+#: drizzled/sql_table.cc:110
 #, c-format
 msgid "Invalid (old?) table or database name '%s'"
 msgstr ""
 
-#: drizzled/sql_table.cc:2746
+#: drizzled/sql_table.cc:2762
 #, c-format
 msgid "Unknown - internal error %d during operation"
 msgstr ""
 
-#: drizzled/sql_table.cc:5019
+#: drizzled/sql_table.cc:5030
 #, c-format
 msgid "Could not open table %s.%s after rename\n"
 msgstr ""
 
-#: drizzled/sql_table.cc:5186
+#: drizzled/sql_table.cc:5197
 #, c-format
 msgid ""
 "order_st BY ignored because there is a user-defined clustered index in the "

=== modified file 'po/it.po'
--- po/it.po	2008-12-10 22:02:06 +0000
+++ po/it.po	2008-12-12 04:49:53 +0000
@@ -7,7 +7,7 @@
 msgstr ""
 "Project-Id-Version: drizzle\n"
 "Report-Msgid-Bugs-To: http://translations.launchpad.net/drizzle\n"
-"POT-Creation-Date: 2008-12-10 14:01-0800\n"
+"POT-Creation-Date: 2008-12-11 22:45-0600\n"
 "PO-Revision-Date: 2008-10-02 22:28+0000\n"
 "Last-Translator: Jean-Yves Délèze <launchpad@oblique.ch>\n"
 "Language-Team: Italian <it@li.org>\n"
@@ -1340,7 +1340,7 @@
 msgid "(Disabled)\n"
 msgstr "(Disabilitato)\n"
 
-#: drizzled/authentication.cc:66 drizzled/show.cc:4677
+#: drizzled/authentication.cc:66 drizzled/show.cc:4679
 #: drizzled/sql_plugin.cc:829
 #, c-format
 msgid "Plugin '%s' init function returned error."
@@ -6543,7 +6543,7 @@
 msgid "Failed to create a cache on log (file '%s')"
 msgstr "Fallita la creazione di una cache per il file di registro (file '%s')"
 
-#: drizzled/log.cc:522 drizzled/log.cc:887
+#: drizzled/log.cc:520 drizzled/log.cc:885
 #, c-format
 msgid ""
 "Could not use %s for logging (error %d). Turning logging off for the whole "
@@ -6554,13 +6554,13 @@
 "duration of the Drizzle server process. To turn it on again: fix the cause, "
 "shutdown the Drizzle server and restart it."
 
-#: drizzled/log.cc:1155 drizzled/log.cc:1186 drizzled/log.cc:1435
-#: drizzled/log.cc:1557
+#: drizzled/log.cc:1153 drizzled/log.cc:1184 drizzled/log.cc:1433
+#: drizzled/log.cc:1555
 #, c-format
 msgid "Failed to delete file '%s'"
 msgstr "Fallimento nel cancellare il file '%s'"
 
-#: drizzled/log.cc:1164 drizzled/log.cc:1443 drizzled/log.cc:1565
+#: drizzled/log.cc:1162 drizzled/log.cc:1441 drizzled/log.cc:1563
 #, c-format
 msgid ""
 "a problem with deleting %s; consider examining correspondence of your binlog "
@@ -6569,17 +6569,17 @@
 "un problema con la cancellazione di %s; considera di esaminare la "
 "corrispondenza del tuo file indice dei binlog con i file binlog attuali"
 
-#: drizzled/log.cc:1291
+#: drizzled/log.cc:1289
 #, c-format
 msgid "next log error: %d  offset: %s  log: %s included: %d"
 msgstr "prossimo log errori: %d delta: %s log: %s incluso: %d"
 
-#: drizzled/log.cc:1401 drizzled/log.cc:1525
+#: drizzled/log.cc:1399 drizzled/log.cc:1523
 #, c-format
 msgid "Failed to execute stat() on file '%s'"
 msgstr "Fallimento nell'eseguire stat() per il file '%s'"
 
-#: drizzled/log.cc:1412 drizzled/log.cc:1536
+#: drizzled/log.cc:1410 drizzled/log.cc:1534
 #, c-format
 msgid ""
 "a problem with getting info on being purged %s; consider examining "
@@ -6589,23 +6589,23 @@
 "esaminare la corrispondenza del file indice dei binlog con i file "
 "effettivamente presenti su disco"
 
-#: drizzled/log.cc:2546 drizzled/log.cc:3044
+#: drizzled/log.cc:2544 drizzled/log.cc:3042
 #, c-format
 msgid "Recovering after a crash using %s"
 msgstr "Recupero dopo un'interruzione non prevista  %s"
 
-#: drizzled/log.cc:2549
+#: drizzled/log.cc:2547
 msgid ""
 "Cannot perform automatic crash recovery when --tc-heuristic-recover is used"
 msgstr ""
 "Impossibile effettuare ripristino automatico da un crash quando viene "
 "utilizzato --tc-heuristic-recover"
 
-#: drizzled/log.cc:2891
+#: drizzled/log.cc:2889
 msgid "Bad magic header in tc log"
 msgstr "Il log tc ha un'identificazione errata dell'intestazione"
 
-#: drizzled/log.cc:2901
+#: drizzled/log.cc:2899
 #, c-format
 msgid ""
 "Recovery failed! You must enable exactly %d storage engines that support two-"
@@ -6614,7 +6614,7 @@
 "Ripristino fallito! Devi abilitare esattamente %d motori di memorizzazione "
 "che supportano il protocollo di commit a due fasi"
 
-#: drizzled/log.cc:2929
+#: drizzled/log.cc:2927
 msgid ""
 "Crash recovery failed. Either correct the problem (if it's, for example, out "
 "of memory error) and restart, or delete tc log and start drizzled with --tc-"
@@ -6624,24 +6624,24 @@
 "la memoria) e riavvia, o cancella il log tc e avvia drizzled con --tc-"
 "heuristic-recover={commit|rollback}"
 
-#: drizzled/log.cc:2959
+#: drizzled/log.cc:2957
 msgid "Heuristic crash recovery mode"
 msgstr "Modalità euristica di ripristino da crash"
 
-#: drizzled/log.cc:2961
+#: drizzled/log.cc:2959
 msgid "Heuristic crash recovery failed"
 msgstr "Modalità euristica di ripristino da crash fallita"
 
-#: drizzled/log.cc:2962
+#: drizzled/log.cc:2960
 msgid "Please restart mysqld without --tc-heuristic-recover"
 msgstr "Prego, riavviare drizzled senza --tc-heuristic-recover"
 
-#: drizzled/log.cc:3006 drizzled/log.cc:3030
+#: drizzled/log.cc:3004 drizzled/log.cc:3028
 #, c-format
 msgid "find_log_pos() failed (error: %d)"
 msgstr "find_log_pos() fallita (error: %d)"
 
-#: drizzled/log.cc:3144
+#: drizzled/log.cc:3142
 msgid ""
 "Crash recovery failed. Either correct the problem (if it's, for example, out "
 "of memory error) and restart, or delete (or rename) binary log and start "
@@ -6701,8 +6701,8 @@
 msgid "Error '%s' on query. Default database: '%s'. Query: '%s'"
 msgstr ""
 
-#: drizzled/log_event.cc:1670 drizzled/log_event.cc:4317
-#: drizzled/log_event.cc:4348 drizzled/log_event.cc:5080
+#: drizzled/log_event.cc:1670 drizzled/log_event.cc:4313
+#: drizzled/log_event.cc:4344 drizzled/log_event.cc:5076
 msgid "unexpected success or fatal error"
 msgstr ""
 
@@ -6733,80 +6733,80 @@
 msgid "Running LOAD DATA INFILE on table '%-.64s'. Default database: '%-.64s'"
 msgstr ""
 
-#: drizzled/log_event.cc:3106
+#: drizzled/log_event.cc:3102
 msgid "Out of memory while recording slave event"
 msgstr "Memoria esaurita durante la registrazione di un evento slave"
 
-#: drizzled/log_event.cc:3356 drizzled/log_event.cc:3382
+#: drizzled/log_event.cc:3352 drizzled/log_event.cc:3378
 #, c-format
 msgid "Error in Create_file event: could not open file '%s'"
 msgstr ""
 
-#: drizzled/log_event.cc:3368
+#: drizzled/log_event.cc:3364
 #, c-format
 msgid "Error in Create_file event: could not write to file '%s'"
 msgstr ""
 
-#: drizzled/log_event.cc:3389
+#: drizzled/log_event.cc:3385
 #, c-format
 msgid "Error in Create_file event: write to '%s' failed"
 msgstr ""
 
-#: drizzled/log_event.cc:3503
+#: drizzled/log_event.cc:3499
 #, c-format
 msgid "Error in %s event: could not create file '%s'"
 msgstr ""
 
-#: drizzled/log_event.cc:3512
+#: drizzled/log_event.cc:3508
 #, c-format
 msgid "Error in %s event: could not open file '%s'"
 msgstr ""
 
-#: drizzled/log_event.cc:3519
+#: drizzled/log_event.cc:3515
 #, c-format
 msgid "Error in %s event: write to '%s' failed"
 msgstr ""
 
-#: drizzled/log_event.cc:3681
+#: drizzled/log_event.cc:3677
 #, c-format
 msgid "Error in Exec_load event: could not open file '%s'"
 msgstr ""
 
-#: drizzled/log_event.cc:3691
+#: drizzled/log_event.cc:3687
 #, c-format
 msgid "Error in Exec_load event: file '%s' appears corrupted"
 msgstr ""
 
-#: drizzled/log_event.cc:3721
+#: drizzled/log_event.cc:3717
 #, c-format
 msgid "%s. Failed executing load from '%s'"
 msgstr ""
 
-#: drizzled/log_event.cc:3894
+#: drizzled/log_event.cc:3890
 msgid "Not enough memory"
 msgstr ""
 
-#: drizzled/log_event.cc:4314
+#: drizzled/log_event.cc:4310
 #, c-format
 msgid "Error '%s' in %s event: when locking tables"
 msgstr ""
 
-#: drizzled/log_event.cc:4324
+#: drizzled/log_event.cc:4320
 #, c-format
 msgid "Error in %s event: when locking tables"
 msgstr ""
 
-#: drizzled/log_event.cc:4345
+#: drizzled/log_event.cc:4341
 #, c-format
 msgid "Error '%s' on reopening tables"
 msgstr ""
 
-#: drizzled/log_event.cc:4681
+#: drizzled/log_event.cc:4677
 #, c-format
 msgid "Error in %s event: commit of row events failed, table `%s`.`%s`"
 msgstr ""
 
-#: drizzled/log_event.cc:5077
+#: drizzled/log_event.cc:5073
 #, c-format
 msgid "Error '%s' on opening table `%s`.`%s`"
 msgstr ""
@@ -7665,22 +7665,22 @@
 msgid "Plugin '%s' disabled by command line option"
 msgstr "Plugin '%s' disabilitato da opzioni a linea di comando"
 
-#: drizzled/sql_table.cc:108
+#: drizzled/sql_table.cc:110
 #, c-format
 msgid "Invalid (old?) table or database name '%s'"
 msgstr "Nome tabella o database invalido (antico?) '%s'"
 
-#: drizzled/sql_table.cc:2746
+#: drizzled/sql_table.cc:2762
 #, c-format
 msgid "Unknown - internal error %d during operation"
 msgstr "Sconosciuto -  errore interno %d durante un'operazione"
 
-#: drizzled/sql_table.cc:5019
+#: drizzled/sql_table.cc:5030
 #, c-format
 msgid "Could not open table %s.%s after rename\n"
 msgstr "Impossibile aprire la tabella %s.%s dopo rinominazione\n"
 
-#: drizzled/sql_table.cc:5186
+#: drizzled/sql_table.cc:5197
 #, c-format
 msgid ""
 "order_st BY ignored because there is a user-defined clustered index in the "

=== modified file 'po/ja.po'
--- po/ja.po	2008-12-10 22:02:06 +0000
+++ po/ja.po	2008-12-12 04:49:53 +0000
@@ -7,7 +7,7 @@
 msgstr ""
 "Project-Id-Version: drizzle\n"
 "Report-Msgid-Bugs-To: http://translations.launchpad.net/drizzle\n"
-"POT-Creation-Date: 2008-12-10 14:01-0800\n"
+"POT-Creation-Date: 2008-12-11 22:45-0600\n"
 "PO-Revision-Date: 2008-11-27 00:54+0000\n"
 "Last-Translator: Yoshinori Sano <yoshinori.sano@gmail.com>\n"
 "Language-Team: Japanese <ja@li.org>\n"
@@ -1273,7 +1273,7 @@
 msgid "(Disabled)\n"
 msgstr ""
 
-#: drizzled/authentication.cc:66 drizzled/show.cc:4677
+#: drizzled/authentication.cc:66 drizzled/show.cc:4679
 #: drizzled/sql_plugin.cc:829
 #, c-format
 msgid "Plugin '%s' init function returned error."
@@ -5773,7 +5773,7 @@
 msgid "Failed to create a cache on log (file '%s')"
 msgstr ""
 
-#: drizzled/log.cc:522 drizzled/log.cc:887
+#: drizzled/log.cc:520 drizzled/log.cc:885
 #, c-format
 msgid ""
 "Could not use %s for logging (error %d). Turning logging off for the whole "
@@ -5781,82 +5781,82 @@
 "shutdown the Drizzle server and restart it."
 msgstr ""
 
-#: drizzled/log.cc:1155 drizzled/log.cc:1186 drizzled/log.cc:1435
-#: drizzled/log.cc:1557
+#: drizzled/log.cc:1153 drizzled/log.cc:1184 drizzled/log.cc:1433
+#: drizzled/log.cc:1555
 #, c-format
 msgid "Failed to delete file '%s'"
 msgstr ""
 
-#: drizzled/log.cc:1164 drizzled/log.cc:1443 drizzled/log.cc:1565
+#: drizzled/log.cc:1162 drizzled/log.cc:1441 drizzled/log.cc:1563
 #, c-format
 msgid ""
 "a problem with deleting %s; consider examining correspondence of your binlog "
 "index file to the actual binlog files"
 msgstr ""
 
-#: drizzled/log.cc:1291
+#: drizzled/log.cc:1289
 #, c-format
 msgid "next log error: %d  offset: %s  log: %s included: %d"
 msgstr ""
 
-#: drizzled/log.cc:1401 drizzled/log.cc:1525
+#: drizzled/log.cc:1399 drizzled/log.cc:1523
 #, c-format
 msgid "Failed to execute stat() on file '%s'"
 msgstr ""
 
-#: drizzled/log.cc:1412 drizzled/log.cc:1536
+#: drizzled/log.cc:1410 drizzled/log.cc:1534
 #, c-format
 msgid ""
 "a problem with getting info on being purged %s; consider examining "
 "correspondence of your binlog index file to the actual binlog files"
 msgstr ""
 
-#: drizzled/log.cc:2546 drizzled/log.cc:3044
+#: drizzled/log.cc:2544 drizzled/log.cc:3042
 #, c-format
 msgid "Recovering after a crash using %s"
 msgstr ""
 
-#: drizzled/log.cc:2549
+#: drizzled/log.cc:2547
 msgid ""
 "Cannot perform automatic crash recovery when --tc-heuristic-recover is used"
 msgstr ""
 
-#: drizzled/log.cc:2891
+#: drizzled/log.cc:2889
 msgid "Bad magic header in tc log"
 msgstr ""
 
-#: drizzled/log.cc:2901
+#: drizzled/log.cc:2899
 #, c-format
 msgid ""
 "Recovery failed! You must enable exactly %d storage engines that support two-"
 "phase commit protocol"
 msgstr ""
 
-#: drizzled/log.cc:2929
+#: drizzled/log.cc:2927
 msgid ""
 "Crash recovery failed. Either correct the problem (if it's, for example, out "
 "of memory error) and restart, or delete tc log and start drizzled with --tc-"
 "heuristic-recover={commit|rollback}"
 msgstr ""
 
+#: drizzled/log.cc:2957
+msgid "Heuristic crash recovery mode"
+msgstr ""
+
 #: drizzled/log.cc:2959
-msgid "Heuristic crash recovery mode"
-msgstr ""
-
-#: drizzled/log.cc:2961
 msgid "Heuristic crash recovery failed"
 msgstr ""
 
-#: drizzled/log.cc:2962
+#: drizzled/log.cc:2960
 msgid "Please restart mysqld without --tc-heuristic-recover"
 msgstr ""
 
-#: drizzled/log.cc:3006 drizzled/log.cc:3030
+#: drizzled/log.cc:3004 drizzled/log.cc:3028
 #, c-format
 msgid "find_log_pos() failed (error: %d)"
 msgstr ""
 
-#: drizzled/log.cc:3144
+#: drizzled/log.cc:3142
 msgid ""
 "Crash recovery failed. Either correct the problem (if it's, for example, out "
 "of memory error) and restart, or delete (or rename) binary log and start "
@@ -5912,8 +5912,8 @@
 msgid "Error '%s' on query. Default database: '%s'. Query: '%s'"
 msgstr ""
 
-#: drizzled/log_event.cc:1670 drizzled/log_event.cc:4317
-#: drizzled/log_event.cc:4348 drizzled/log_event.cc:5080
+#: drizzled/log_event.cc:1670 drizzled/log_event.cc:4313
+#: drizzled/log_event.cc:4344 drizzled/log_event.cc:5076
 msgid "unexpected success or fatal error"
 msgstr ""
 
@@ -5942,80 +5942,80 @@
 msgid "Running LOAD DATA INFILE on table '%-.64s'. Default database: '%-.64s'"
 msgstr ""
 
-#: drizzled/log_event.cc:3106
+#: drizzled/log_event.cc:3102
 msgid "Out of memory while recording slave event"
 msgstr ""
 
-#: drizzled/log_event.cc:3356 drizzled/log_event.cc:3382
+#: drizzled/log_event.cc:3352 drizzled/log_event.cc:3378
 #, c-format
 msgid "Error in Create_file event: could not open file '%s'"
 msgstr ""
 
-#: drizzled/log_event.cc:3368
+#: drizzled/log_event.cc:3364
 #, c-format
 msgid "Error in Create_file event: could not write to file '%s'"
 msgstr ""
 
-#: drizzled/log_event.cc:3389
+#: drizzled/log_event.cc:3385
 #, c-format
 msgid "Error in Create_file event: write to '%s' failed"
 msgstr ""
 
-#: drizzled/log_event.cc:3503
+#: drizzled/log_event.cc:3499
 #, c-format
 msgid "Error in %s event: could not create file '%s'"
 msgstr ""
 
-#: drizzled/log_event.cc:3512
+#: drizzled/log_event.cc:3508
 #, c-format
 msgid "Error in %s event: could not open file '%s'"
 msgstr ""
 
-#: drizzled/log_event.cc:3519
+#: drizzled/log_event.cc:3515
 #, c-format
 msgid "Error in %s event: write to '%s' failed"
 msgstr ""
 
-#: drizzled/log_event.cc:3681
+#: drizzled/log_event.cc:3677
 #, c-format
 msgid "Error in Exec_load event: could not open file '%s'"
 msgstr ""
 
-#: drizzled/log_event.cc:3691
+#: drizzled/log_event.cc:3687
 #, c-format
 msgid "Error in Exec_load event: file '%s' appears corrupted"
 msgstr ""
 
-#: drizzled/log_event.cc:3721
+#: drizzled/log_event.cc:3717
 #, c-format
 msgid "%s. Failed executing load from '%s'"
 msgstr ""
 
-#: drizzled/log_event.cc:3894
+#: drizzled/log_event.cc:3890
 msgid "Not enough memory"
 msgstr ""
 
-#: drizzled/log_event.cc:4314
+#: drizzled/log_event.cc:4310
 #, c-format
 msgid "Error '%s' in %s event: when locking tables"
 msgstr ""
 
-#: drizzled/log_event.cc:4324
+#: drizzled/log_event.cc:4320
 #, c-format
 msgid "Error in %s event: when locking tables"
 msgstr ""
 
-#: drizzled/log_event.cc:4345
+#: drizzled/log_event.cc:4341
 #, c-format
 msgid "Error '%s' on reopening tables"
 msgstr ""
 
-#: drizzled/log_event.cc:4681
+#: drizzled/log_event.cc:4677
 #, c-format
 msgid "Error in %s event: commit of row events failed, table `%s`.`%s`"
 msgstr ""
 
-#: drizzled/log_event.cc:5077
+#: drizzled/log_event.cc:5073
 #, c-format
 msgid "Error '%s' on opening table `%s`.`%s`"
 msgstr ""
@@ -6765,22 +6765,22 @@
 msgid "Plugin '%s' disabled by command line option"
 msgstr ""
 
-#: drizzled/sql_table.cc:108
+#: drizzled/sql_table.cc:110
 #, c-format
 msgid "Invalid (old?) table or database name '%s'"
 msgstr ""
 
-#: drizzled/sql_table.cc:2746
+#: drizzled/sql_table.cc:2762
 #, c-format
 msgid "Unknown - internal error %d during operation"
 msgstr ""
 
-#: drizzled/sql_table.cc:5019
+#: drizzled/sql_table.cc:5030
 #, c-format
 msgid "Could not open table %s.%s after rename\n"
 msgstr ""
 
-#: drizzled/sql_table.cc:5186
+#: drizzled/sql_table.cc:5197
 #, c-format
 msgid ""
 "order_st BY ignored because there is a user-defined clustered index in the "

=== modified file 'po/ko.po'
--- po/ko.po	2008-12-10 22:02:06 +0000
+++ po/ko.po	2008-12-12 04:49:53 +0000
@@ -7,7 +7,7 @@
 msgstr ""
 "Project-Id-Version: drizzle\n"
 "Report-Msgid-Bugs-To: http://translations.launchpad.net/drizzle\n"
-"POT-Creation-Date: 2008-12-10 14:01-0800\n"
+"POT-Creation-Date: 2008-12-11 22:45-0600\n"
 "PO-Revision-Date: 2008-11-27 00:58+0000\n"
 "Last-Translator: Monty Taylor <mordred@inaugust.com>\n"
 "Language-Team: Korean <ko@li.org>\n"
@@ -1204,7 +1204,7 @@
 msgid "(Disabled)\n"
 msgstr ""
 
-#: drizzled/authentication.cc:66 drizzled/show.cc:4677
+#: drizzled/authentication.cc:66 drizzled/show.cc:4679
 #: drizzled/sql_plugin.cc:829
 #, c-format
 msgid "Plugin '%s' init function returned error."
@@ -5704,7 +5704,7 @@
 msgid "Failed to create a cache on log (file '%s')"
 msgstr ""
 
-#: drizzled/log.cc:522 drizzled/log.cc:887
+#: drizzled/log.cc:520 drizzled/log.cc:885
 #, c-format
 msgid ""
 "Could not use %s for logging (error %d). Turning logging off for the whole "
@@ -5712,82 +5712,82 @@
 "shutdown the Drizzle server and restart it."
 msgstr ""
 
-#: drizzled/log.cc:1155 drizzled/log.cc:1186 drizzled/log.cc:1435
-#: drizzled/log.cc:1557
+#: drizzled/log.cc:1153 drizzled/log.cc:1184 drizzled/log.cc:1433
+#: drizzled/log.cc:1555
 #, c-format
 msgid "Failed to delete file '%s'"
 msgstr ""
 
-#: drizzled/log.cc:1164 drizzled/log.cc:1443 drizzled/log.cc:1565
+#: drizzled/log.cc:1162 drizzled/log.cc:1441 drizzled/log.cc:1563
 #, c-format
 msgid ""
 "a problem with deleting %s; consider examining correspondence of your binlog "
 "index file to the actual binlog files"
 msgstr ""
 
-#: drizzled/log.cc:1291
+#: drizzled/log.cc:1289
 #, c-format
 msgid "next log error: %d  offset: %s  log: %s included: %d"
 msgstr ""
 
-#: drizzled/log.cc:1401 drizzled/log.cc:1525
+#: drizzled/log.cc:1399 drizzled/log.cc:1523
 #, c-format
 msgid "Failed to execute stat() on file '%s'"
 msgstr ""
 
-#: drizzled/log.cc:1412 drizzled/log.cc:1536
+#: drizzled/log.cc:1410 drizzled/log.cc:1534
 #, c-format
 msgid ""
 "a problem with getting info on being purged %s; consider examining "
 "correspondence of your binlog index file to the actual binlog files"
 msgstr ""
 
-#: drizzled/log.cc:2546 drizzled/log.cc:3044
+#: drizzled/log.cc:2544 drizzled/log.cc:3042
 #, c-format
 msgid "Recovering after a crash using %s"
 msgstr ""
 
-#: drizzled/log.cc:2549
+#: drizzled/log.cc:2547
 msgid ""
 "Cannot perform automatic crash recovery when --tc-heuristic-recover is used"
 msgstr ""
 
-#: drizzled/log.cc:2891
+#: drizzled/log.cc:2889
 msgid "Bad magic header in tc log"
 msgstr ""
 
-#: drizzled/log.cc:2901
+#: drizzled/log.cc:2899
 #, c-format
 msgid ""
 "Recovery failed! You must enable exactly %d storage engines that support two-"
 "phase commit protocol"
 msgstr ""
 
-#: drizzled/log.cc:2929
+#: drizzled/log.cc:2927
 msgid ""
 "Crash recovery failed. Either correct the problem (if it's, for example, out "
 "of memory error) and restart, or delete tc log and start drizzled with --tc-"
 "heuristic-recover={commit|rollback}"
 msgstr ""
 
+#: drizzled/log.cc:2957
+msgid "Heuristic crash recovery mode"
+msgstr ""
+
 #: drizzled/log.cc:2959
-msgid "Heuristic crash recovery mode"
-msgstr ""
-
-#: drizzled/log.cc:2961
 msgid "Heuristic crash recovery failed"
 msgstr ""
 
-#: drizzled/log.cc:2962
+#: drizzled/log.cc:2960
 msgid "Please restart mysqld without --tc-heuristic-recover"
 msgstr ""
 
-#: drizzled/log.cc:3006 drizzled/log.cc:3030
+#: drizzled/log.cc:3004 drizzled/log.cc:3028
 #, c-format
 msgid "find_log_pos() failed (error: %d)"
 msgstr ""
 
-#: drizzled/log.cc:3144
+#: drizzled/log.cc:3142
 msgid ""
 "Crash recovery failed. Either correct the problem (if it's, for example, out "
 "of memory error) and restart, or delete (or rename) binary log and start "
@@ -5843,8 +5843,8 @@
 msgid "Error '%s' on query. Default database: '%s'. Query: '%s'"
 msgstr ""
 
-#: drizzled/log_event.cc:1670 drizzled/log_event.cc:4317
-#: drizzled/log_event.cc:4348 drizzled/log_event.cc:5080
+#: drizzled/log_event.cc:1670 drizzled/log_event.cc:4313
+#: drizzled/log_event.cc:4344 drizzled/log_event.cc:5076
 msgid "unexpected success or fatal error"
 msgstr ""
 
@@ -5873,80 +5873,80 @@
 msgid "Running LOAD DATA INFILE on table '%-.64s'. Default database: '%-.64s'"
 msgstr ""
 
-#: drizzled/log_event.cc:3106
+#: drizzled/log_event.cc:3102
 msgid "Out of memory while recording slave event"
 msgstr ""
 
-#: drizzled/log_event.cc:3356 drizzled/log_event.cc:3382
+#: drizzled/log_event.cc:3352 drizzled/log_event.cc:3378
 #, c-format
 msgid "Error in Create_file event: could not open file '%s'"
 msgstr ""
 
-#: drizzled/log_event.cc:3368
+#: drizzled/log_event.cc:3364
 #, c-format
 msgid "Error in Create_file event: could not write to file '%s'"
 msgstr ""
 
-#: drizzled/log_event.cc:3389
+#: drizzled/log_event.cc:3385
 #, c-format
 msgid "Error in Create_file event: write to '%s' failed"
 msgstr ""
 
-#: drizzled/log_event.cc:3503
+#: drizzled/log_event.cc:3499
 #, c-format
 msgid "Error in %s event: could not create file '%s'"
 msgstr ""
 
-#: drizzled/log_event.cc:3512
+#: drizzled/log_event.cc:3508
 #, c-format
 msgid "Error in %s event: could not open file '%s'"
 msgstr ""
 
-#: drizzled/log_event.cc:3519
+#: drizzled/log_event.cc:3515
 #, c-format
 msgid "Error in %s event: write to '%s' failed"
 msgstr ""
 
-#: drizzled/log_event.cc:3681
+#: drizzled/log_event.cc:3677
 #, c-format
 msgid "Error in Exec_load event: could not open file '%s'"
 msgstr ""
 
-#: drizzled/log_event.cc:3691
+#: drizzled/log_event.cc:3687
 #, c-format
 msgid "Error in Exec_load event: file '%s' appears corrupted"
 msgstr ""
 
-#: drizzled/log_event.cc:3721
+#: drizzled/log_event.cc:3717
 #, c-format
 msgid "%s. Failed executing load from '%s'"
 msgstr ""
 
-#: drizzled/log_event.cc:3894
+#: drizzled/log_event.cc:3890
 msgid "Not enough memory"
 msgstr ""
 
-#: drizzled/log_event.cc:4314
+#: drizzled/log_event.cc:4310
 #, c-format
 msgid "Error '%s' in %s event: when locking tables"
 msgstr ""
 
-#: drizzled/log_event.cc:4324
+#: drizzled/log_event.cc:4320
 #, c-format
 msgid "Error in %s event: when locking tables"
 msgstr ""
 
-#: drizzled/log_event.cc:4345
+#: drizzled/log_event.cc:4341
 #, c-format
 msgid "Error '%s' on reopening tables"
 msgstr ""
 
-#: drizzled/log_event.cc:4681
+#: drizzled/log_event.cc:4677
 #, c-format
 msgid "Error in %s event: commit of row events failed, table `%s`.`%s`"
 msgstr ""
 
-#: drizzled/log_event.cc:5077
+#: drizzled/log_event.cc:5073
 #, c-format
 msgid "Error '%s' on opening table `%s`.`%s`"
 msgstr ""
@@ -6696,22 +6696,22 @@
 msgid "Plugin '%s' disabled by command line option"
 msgstr ""
 
-#: drizzled/sql_table.cc:108
+#: drizzled/sql_table.cc:110
 #, c-format
 msgid "Invalid (old?) table or database name '%s'"
 msgstr ""
 
-#: drizzled/sql_table.cc:2746
+#: drizzled/sql_table.cc:2762
 #, c-format
 msgid "Unknown - internal error %d during operation"
 msgstr ""
 
-#: drizzled/sql_table.cc:5019
+#: drizzled/sql_table.cc:5030
 #, c-format
 msgid "Could not open table %s.%s after rename\n"
 msgstr ""
 
-#: drizzled/sql_table.cc:5186
+#: drizzled/sql_table.cc:5197
 #, c-format
 msgid ""
 "order_st BY ignored because there is a user-defined clustered index in the "

=== modified file 'po/ml.po'
--- po/ml.po	2008-12-10 22:02:06 +0000
+++ po/ml.po	2008-12-12 04:49:53 +0000
@@ -7,7 +7,7 @@
 msgstr ""
 "Project-Id-Version: drizzle\n"
 "Report-Msgid-Bugs-To: http://translations.launchpad.net/drizzle\n"
-"POT-Creation-Date: 2008-12-10 14:01-0800\n"
+"POT-Creation-Date: 2008-12-11 22:45-0600\n"
 "PO-Revision-Date: 2008-11-27 01:09+0000\n"
 "Last-Translator: Monty Taylor <mordred@inaugust.com>\n"
 "Language-Team: Malayalam <ml@li.org>\n"
@@ -1204,7 +1204,7 @@
 msgid "(Disabled)\n"
 msgstr ""
 
-#: drizzled/authentication.cc:66 drizzled/show.cc:4677
+#: drizzled/authentication.cc:66 drizzled/show.cc:4679
 #: drizzled/sql_plugin.cc:829
 #, c-format
 msgid "Plugin '%s' init function returned error."
@@ -5704,7 +5704,7 @@
 msgid "Failed to create a cache on log (file '%s')"
 msgstr ""
 
-#: drizzled/log.cc:522 drizzled/log.cc:887
+#: drizzled/log.cc:520 drizzled/log.cc:885
 #, c-format
 msgid ""
 "Could not use %s for logging (error %d). Turning logging off for the whole "
@@ -5712,82 +5712,82 @@
 "shutdown the Drizzle server and restart it."
 msgstr ""
 
-#: drizzled/log.cc:1155 drizzled/log.cc:1186 drizzled/log.cc:1435
-#: drizzled/log.cc:1557
+#: drizzled/log.cc:1153 drizzled/log.cc:1184 drizzled/log.cc:1433
+#: drizzled/log.cc:1555
 #, c-format
 msgid "Failed to delete file '%s'"
 msgstr ""
 
-#: drizzled/log.cc:1164 drizzled/log.cc:1443 drizzled/log.cc:1565
+#: drizzled/log.cc:1162 drizzled/log.cc:1441 drizzled/log.cc:1563
 #, c-format
 msgid ""
 "a problem with deleting %s; consider examining correspondence of your binlog "
 "index file to the actual binlog files"
 msgstr ""
 
-#: drizzled/log.cc:1291
+#: drizzled/log.cc:1289
 #, c-format
 msgid "next log error: %d  offset: %s  log: %s included: %d"
 msgstr ""
 
-#: drizzled/log.cc:1401 drizzled/log.cc:1525
+#: drizzled/log.cc:1399 drizzled/log.cc:1523
 #, c-format
 msgid "Failed to execute stat() on file '%s'"
 msgstr ""
 
-#: drizzled/log.cc:1412 drizzled/log.cc:1536
+#: drizzled/log.cc:1410 drizzled/log.cc:1534
 #, c-format
 msgid ""
 "a problem with getting info on being purged %s; consider examining "
 "correspondence of your binlog index file to the actual binlog files"
 msgstr ""
 
-#: drizzled/log.cc:2546 drizzled/log.cc:3044
+#: drizzled/log.cc:2544 drizzled/log.cc:3042
 #, c-format
 msgid "Recovering after a crash using %s"
 msgstr ""
 
-#: drizzled/log.cc:2549
+#: drizzled/log.cc:2547
 msgid ""
 "Cannot perform automatic crash recovery when --tc-heuristic-recover is used"
 msgstr ""
 
-#: drizzled/log.cc:2891
+#: drizzled/log.cc:2889
 msgid "Bad magic header in tc log"
 msgstr ""
 
-#: drizzled/log.cc:2901
+#: drizzled/log.cc:2899
 #, c-format
 msgid ""
 "Recovery failed! You must enable exactly %d storage engines that support two-"
 "phase commit protocol"
 msgstr ""
 
-#: drizzled/log.cc:2929
+#: drizzled/log.cc:2927
 msgid ""
 "Crash recovery failed. Either correct the problem (if it's, for example, out "
 "of memory error) and restart, or delete tc log and start drizzled with --tc-"
 "heuristic-recover={commit|rollback}"
 msgstr ""
 
+#: drizzled/log.cc:2957
+msgid "Heuristic crash recovery mode"
+msgstr ""
+
 #: drizzled/log.cc:2959
-msgid "Heuristic crash recovery mode"
-msgstr ""
-
-#: drizzled/log.cc:2961
 msgid "Heuristic crash recovery failed"
 msgstr ""
 
-#: drizzled/log.cc:2962
+#: drizzled/log.cc:2960
 msgid "Please restart mysqld without --tc-heuristic-recover"
 msgstr ""
 
-#: drizzled/log.cc:3006 drizzled/log.cc:3030
+#: drizzled/log.cc:3004 drizzled/log.cc:3028
 #, c-format
 msgid "find_log_pos() failed (error: %d)"
 msgstr ""
 
-#: drizzled/log.cc:3144
+#: drizzled/log.cc:3142
 msgid ""
 "Crash recovery failed. Either correct the problem (if it's, for example, out "
 "of memory error) and restart, or delete (or rename) binary log and start "
@@ -5843,8 +5843,8 @@
 msgid "Error '%s' on query. Default database: '%s'. Query: '%s'"
 msgstr ""
 
-#: drizzled/log_event.cc:1670 drizzled/log_event.cc:4317
-#: drizzled/log_event.cc:4348 drizzled/log_event.cc:5080
+#: drizzled/log_event.cc:1670 drizzled/log_event.cc:4313
+#: drizzled/log_event.cc:4344 drizzled/log_event.cc:5076
 msgid "unexpected success or fatal error"
 msgstr ""
 
@@ -5873,80 +5873,80 @@
 msgid "Running LOAD DATA INFILE on table '%-.64s'. Default database: '%-.64s'"
 msgstr ""
 
-#: drizzled/log_event.cc:3106
+#: drizzled/log_event.cc:3102
 msgid "Out of memory while recording slave event"
 msgstr ""
 
-#: drizzled/log_event.cc:3356 drizzled/log_event.cc:3382
+#: drizzled/log_event.cc:3352 drizzled/log_event.cc:3378
 #, c-format
 msgid "Error in Create_file event: could not open file '%s'"
 msgstr ""
 
-#: drizzled/log_event.cc:3368
+#: drizzled/log_event.cc:3364
 #, c-format
 msgid "Error in Create_file event: could not write to file '%s'"
 msgstr ""
 
-#: drizzled/log_event.cc:3389
+#: drizzled/log_event.cc:3385
 #, c-format
 msgid "Error in Create_file event: write to '%s' failed"
 msgstr ""
 
-#: drizzled/log_event.cc:3503
+#: drizzled/log_event.cc:3499
 #, c-format
 msgid "Error in %s event: could not create file '%s'"
 msgstr ""
 
-#: drizzled/log_event.cc:3512
+#: drizzled/log_event.cc:3508
 #, c-format
 msgid "Error in %s event: could not open file '%s'"
 msgstr ""
 
-#: drizzled/log_event.cc:3519
+#: drizzled/log_event.cc:3515
 #, c-format
 msgid "Error in %s event: write to '%s' failed"
 msgstr ""
 
-#: drizzled/log_event.cc:3681
+#: drizzled/log_event.cc:3677
 #, c-format
 msgid "Error in Exec_load event: could not open file '%s'"
 msgstr ""
 
-#: drizzled/log_event.cc:3691
+#: drizzled/log_event.cc:3687
 #, c-format
 msgid "Error in Exec_load event: file '%s' appears corrupted"
 msgstr ""
 
-#: drizzled/log_event.cc:3721
+#: drizzled/log_event.cc:3717
 #, c-format
 msgid "%s. Failed executing load from '%s'"
 msgstr ""
 
-#: drizzled/log_event.cc:3894
+#: drizzled/log_event.cc:3890
 msgid "Not enough memory"
 msgstr ""
 
-#: drizzled/log_event.cc:4314
+#: drizzled/log_event.cc:4310
 #, c-format
 msgid "Error '%s' in %s event: when locking tables"
 msgstr ""
 
-#: drizzled/log_event.cc:4324
+#: drizzled/log_event.cc:4320
 #, c-format
 msgid "Error in %s event: when locking tables"
 msgstr ""
 
-#: drizzled/log_event.cc:4345
+#: drizzled/log_event.cc:4341
 #, c-format
 msgid "Error '%s' on reopening tables"
 msgstr ""
 
-#: drizzled/log_event.cc:4681
+#: drizzled/log_event.cc:4677
 #, c-format
 msgid "Error in %s event: commit of row events failed, table `%s`.`%s`"
 msgstr ""
 
-#: drizzled/log_event.cc:5077
+#: drizzled/log_event.cc:5073
 #, c-format
 msgid "Error '%s' on opening table `%s`.`%s`"
 msgstr ""
@@ -6696,22 +6696,22 @@
 msgid "Plugin '%s' disabled by command line option"
 msgstr ""
 
-#: drizzled/sql_table.cc:108
+#: drizzled/sql_table.cc:110
 #, c-format
 msgid "Invalid (old?) table or database name '%s'"
 msgstr ""
 
-#: drizzled/sql_table.cc:2746
+#: drizzled/sql_table.cc:2762
 #, c-format
 msgid "Unknown - internal error %d during operation"
 msgstr ""
 
-#: drizzled/sql_table.cc:5019
+#: drizzled/sql_table.cc:5030
 #, c-format
 msgid "Could not open table %s.%s after rename\n"
 msgstr ""
 
-#: drizzled/sql_table.cc:5186
+#: drizzled/sql_table.cc:5197
 #, c-format
 msgid ""
 "order_st BY ignored because there is a user-defined clustered index in the "

=== modified file 'po/mr.po'
--- po/mr.po	2008-12-10 22:02:06 +0000
+++ po/mr.po	2008-12-12 04:49:53 +0000
@@ -7,7 +7,7 @@
 msgstr ""
 "Project-Id-Version: drizzle\n"
 "Report-Msgid-Bugs-To: http://translations.launchpad.net/drizzle\n"
-"POT-Creation-Date: 2008-12-10 14:01-0800\n"
+"POT-Creation-Date: 2008-12-11 22:45-0600\n"
 "PO-Revision-Date: 2008-11-27 01:14+0000\n"
 "Last-Translator: Monty Taylor <mordred@inaugust.com>\n"
 "Language-Team: Marathi <mr@li.org>\n"
@@ -1206,7 +1206,7 @@
 msgid "(Disabled)\n"
 msgstr ""
 
-#: drizzled/authentication.cc:66 drizzled/show.cc:4677
+#: drizzled/authentication.cc:66 drizzled/show.cc:4679
 #: drizzled/sql_plugin.cc:829
 #, c-format
 msgid "Plugin '%s' init function returned error."
@@ -5706,7 +5706,7 @@
 msgid "Failed to create a cache on log (file '%s')"
 msgstr ""
 
-#: drizzled/log.cc:522 drizzled/log.cc:887
+#: drizzled/log.cc:520 drizzled/log.cc:885
 #, c-format
 msgid ""
 "Could not use %s for logging (error %d). Turning logging off for the whole "
@@ -5714,82 +5714,82 @@
 "shutdown the Drizzle server and restart it."
 msgstr ""
 
-#: drizzled/log.cc:1155 drizzled/log.cc:1186 drizzled/log.cc:1435
-#: drizzled/log.cc:1557
+#: drizzled/log.cc:1153 drizzled/log.cc:1184 drizzled/log.cc:1433
+#: drizzled/log.cc:1555
 #, c-format
 msgid "Failed to delete file '%s'"
 msgstr ""
 
-#: drizzled/log.cc:1164 drizzled/log.cc:1443 drizzled/log.cc:1565
+#: drizzled/log.cc:1162 drizzled/log.cc:1441 drizzled/log.cc:1563
 #, c-format
 msgid ""
 "a problem with deleting %s; consider examining correspondence of your binlog "
 "index file to the actual binlog files"
 msgstr ""
 
-#: drizzled/log.cc:1291
+#: drizzled/log.cc:1289
 #, c-format
 msgid "next log error: %d  offset: %s  log: %s included: %d"
 msgstr ""
 
-#: drizzled/log.cc:1401 drizzled/log.cc:1525
+#: drizzled/log.cc:1399 drizzled/log.cc:1523
 #, c-format
 msgid "Failed to execute stat() on file '%s'"
 msgstr ""
 
-#: drizzled/log.cc:1412 drizzled/log.cc:1536
+#: drizzled/log.cc:1410 drizzled/log.cc:1534
 #, c-format
 msgid ""
 "a problem with getting info on being purged %s; consider examining "
 "correspondence of your binlog index file to the actual binlog files"
 msgstr ""
 
-#: drizzled/log.cc:2546 drizzled/log.cc:3044
+#: drizzled/log.cc:2544 drizzled/log.cc:3042
 #, c-format
 msgid "Recovering after a crash using %s"
 msgstr ""
 
-#: drizzled/log.cc:2549
+#: drizzled/log.cc:2547
 msgid ""
 "Cannot perform automatic crash recovery when --tc-heuristic-recover is used"
 msgstr ""
 
-#: drizzled/log.cc:2891
+#: drizzled/log.cc:2889
 msgid "Bad magic header in tc log"
 msgstr ""
 
-#: drizzled/log.cc:2901
+#: drizzled/log.cc:2899
 #, c-format
 msgid ""
 "Recovery failed! You must enable exactly %d storage engines that support two-"
 "phase commit protocol"
 msgstr ""
 
-#: drizzled/log.cc:2929
+#: drizzled/log.cc:2927
 msgid ""
 "Crash recovery failed. Either correct the problem (if it's, for example, out "
 "of memory error) and restart, or delete tc log and start drizzled with --tc-"
 "heuristic-recover={commit|rollback}"
 msgstr ""
 
+#: drizzled/log.cc:2957
+msgid "Heuristic crash recovery mode"
+msgstr ""
+
 #: drizzled/log.cc:2959
-msgid "Heuristic crash recovery mode"
-msgstr ""
-
-#: drizzled/log.cc:2961
 msgid "Heuristic crash recovery failed"
 msgstr ""
 
-#: drizzled/log.cc:2962
+#: drizzled/log.cc:2960
 msgid "Please restart mysqld without --tc-heuristic-recover"
 msgstr ""
 
-#: drizzled/log.cc:3006 drizzled/log.cc:3030
+#: drizzled/log.cc:3004 drizzled/log.cc:3028
 #, c-format
 msgid "find_log_pos() failed (error: %d)"
 msgstr ""
 
-#: drizzled/log.cc:3144
+#: drizzled/log.cc:3142
 msgid ""
 "Crash recovery failed. Either correct the problem (if it's, for example, out "
 "of memory error) and restart, or delete (or rename) binary log and start "
@@ -5845,8 +5845,8 @@
 msgid "Error '%s' on query. Default database: '%s'. Query: '%s'"
 msgstr ""
 
-#: drizzled/log_event.cc:1670 drizzled/log_event.cc:4317
-#: drizzled/log_event.cc:4348 drizzled/log_event.cc:5080
+#: drizzled/log_event.cc:1670 drizzled/log_event.cc:4313
+#: drizzled/log_event.cc:4344 drizzled/log_event.cc:5076
 msgid "unexpected success or fatal error"
 msgstr ""
 
@@ -5875,80 +5875,80 @@
 msgid "Running LOAD DATA INFILE on table '%-.64s'. Default database: '%-.64s'"
 msgstr ""
 
-#: drizzled/log_event.cc:3106
+#: drizzled/log_event.cc:3102
 msgid "Out of memory while recording slave event"
 msgstr ""
 
-#: drizzled/log_event.cc:3356 drizzled/log_event.cc:3382
+#: drizzled/log_event.cc:3352 drizzled/log_event.cc:3378
 #, c-format
 msgid "Error in Create_file event: could not open file '%s'"
 msgstr ""
 
-#: drizzled/log_event.cc:3368
+#: drizzled/log_event.cc:3364
 #, c-format
 msgid "Error in Create_file event: could not write to file '%s'"
 msgstr ""
 
-#: drizzled/log_event.cc:3389
+#: drizzled/log_event.cc:3385
 #, c-format
 msgid "Error in Create_file event: write to '%s' failed"
 msgstr ""
 
-#: drizzled/log_event.cc:3503
+#: drizzled/log_event.cc:3499
 #, c-format
 msgid "Error in %s event: could not create file '%s'"
 msgstr ""
 
-#: drizzled/log_event.cc:3512
+#: drizzled/log_event.cc:3508
 #, c-format
 msgid "Error in %s event: could not open file '%s'"
 msgstr ""
 
-#: drizzled/log_event.cc:3519
+#: drizzled/log_event.cc:3515
 #, c-format
 msgid "Error in %s event: write to '%s' failed"
 msgstr ""
 
-#: drizzled/log_event.cc:3681
+#: drizzled/log_event.cc:3677
 #, c-format
 msgid "Error in Exec_load event: could not open file '%s'"
 msgstr ""
 
-#: drizzled/log_event.cc:3691
+#: drizzled/log_event.cc:3687
 #, c-format
 msgid "Error in Exec_load event: file '%s' appears corrupted"
 msgstr ""
 
-#: drizzled/log_event.cc:3721
+#: drizzled/log_event.cc:3717
 #, c-format
 msgid "%s. Failed executing load from '%s'"
 msgstr ""
 
-#: drizzled/log_event.cc:3894
+#: drizzled/log_event.cc:3890
 msgid "Not enough memory"
 msgstr ""
 
-#: drizzled/log_event.cc:4314
+#: drizzled/log_event.cc:4310
 #, c-format
 msgid "Error '%s' in %s event: when locking tables"
 msgstr ""
 
-#: drizzled/log_event.cc:4324
+#: drizzled/log_event.cc:4320
 #, c-format
 msgid "Error in %s event: when locking tables"
 msgstr ""
 
-#: drizzled/log_event.cc:4345
+#: drizzled/log_event.cc:4341
 #, c-format
 msgid "Error '%s' on reopening tables"
 msgstr ""
 
-#: drizzled/log_event.cc:4681
+#: drizzled/log_event.cc:4677
 #, c-format
 msgid "Error in %s event: commit of row events failed, table `%s`.`%s`"
 msgstr ""
 
-#: drizzled/log_event.cc:5077
+#: drizzled/log_event.cc:5073
 #, c-format
 msgid "Error '%s' on opening table `%s`.`%s`"
 msgstr ""
@@ -6698,22 +6698,22 @@
 msgid "Plugin '%s' disabled by command line option"
 msgstr ""
 
-#: drizzled/sql_table.cc:108
+#: drizzled/sql_table.cc:110
 #, c-format
 msgid "Invalid (old?) table or database name '%s'"
 msgstr ""
 
-#: drizzled/sql_table.cc:2746
+#: drizzled/sql_table.cc:2762
 #, c-format
 msgid "Unknown - internal error %d during operation"
 msgstr ""
 
-#: drizzled/sql_table.cc:5019
+#: drizzled/sql_table.cc:5030
 #, c-format
 msgid "Could not open table %s.%s after rename\n"
 msgstr ""
 
-#: drizzled/sql_table.cc:5186
+#: drizzled/sql_table.cc:5197
 #, c-format
 msgid ""
 "order_st BY ignored because there is a user-defined clustered index in the "

=== modified file 'po/ms.po'
--- po/ms.po	2008-12-10 22:02:06 +0000
+++ po/ms.po	2008-12-12 04:49:53 +0000
@@ -7,7 +7,7 @@
 msgstr ""
 "Project-Id-Version: drizzle\n"
 "Report-Msgid-Bugs-To: http://translations.launchpad.net/drizzle\n"
-"POT-Creation-Date: 2008-12-10 14:01-0800\n"
+"POT-Creation-Date: 2008-12-11 22:45-0600\n"
 "PO-Revision-Date: 2008-12-04 15:35+0000\n"
 "Last-Translator: Ahmed Noor Kader Mustajir B. Md Eusoff <Unknown>\n"
 "Language-Team: Malay <ms@li.org>\n"
@@ -1204,7 +1204,7 @@
 msgid "(Disabled)\n"
 msgstr ""
 
-#: drizzled/authentication.cc:66 drizzled/show.cc:4677
+#: drizzled/authentication.cc:66 drizzled/show.cc:4679
 #: drizzled/sql_plugin.cc:829
 #, c-format
 msgid "Plugin '%s' init function returned error."
@@ -5704,7 +5704,7 @@
 msgid "Failed to create a cache on log (file '%s')"
 msgstr ""
 
-#: drizzled/log.cc:522 drizzled/log.cc:887
+#: drizzled/log.cc:520 drizzled/log.cc:885
 #, c-format
 msgid ""
 "Could not use %s for logging (error %d). Turning logging off for the whole "
@@ -5712,82 +5712,82 @@
 "shutdown the Drizzle server and restart it."
 msgstr ""
 
-#: drizzled/log.cc:1155 drizzled/log.cc:1186 drizzled/log.cc:1435
-#: drizzled/log.cc:1557
+#: drizzled/log.cc:1153 drizzled/log.cc:1184 drizzled/log.cc:1433
+#: drizzled/log.cc:1555
 #, c-format
 msgid "Failed to delete file '%s'"
 msgstr ""
 
-#: drizzled/log.cc:1164 drizzled/log.cc:1443 drizzled/log.cc:1565
+#: drizzled/log.cc:1162 drizzled/log.cc:1441 drizzled/log.cc:1563
 #, c-format
 msgid ""
 "a problem with deleting %s; consider examining correspondence of your binlog "
 "index file to the actual binlog files"
 msgstr ""
 
-#: drizzled/log.cc:1291
+#: drizzled/log.cc:1289
 #, c-format
 msgid "next log error: %d  offset: %s  log: %s included: %d"
 msgstr ""
 
-#: drizzled/log.cc:1401 drizzled/log.cc:1525
+#: drizzled/log.cc:1399 drizzled/log.cc:1523
 #, c-format
 msgid "Failed to execute stat() on file '%s'"
 msgstr ""
 
-#: drizzled/log.cc:1412 drizzled/log.cc:1536
+#: drizzled/log.cc:1410 drizzled/log.cc:1534
 #, c-format
 msgid ""
 "a problem with getting info on being purged %s; consider examining "
 "correspondence of your binlog index file to the actual binlog files"
 msgstr ""
 
-#: drizzled/log.cc:2546 drizzled/log.cc:3044
+#: drizzled/log.cc:2544 drizzled/log.cc:3042
 #, c-format
 msgid "Recovering after a crash using %s"
 msgstr ""
 
-#: drizzled/log.cc:2549
+#: drizzled/log.cc:2547
 msgid ""
 "Cannot perform automatic crash recovery when --tc-heuristic-recover is used"
 msgstr ""
 
-#: drizzled/log.cc:2891
+#: drizzled/log.cc:2889
 msgid "Bad magic header in tc log"
 msgstr ""
 
-#: drizzled/log.cc:2901
+#: drizzled/log.cc:2899
 #, c-format
 msgid ""
 "Recovery failed! You must enable exactly %d storage engines that support two-"
 "phase commit protocol"
 msgstr ""
 
-#: drizzled/log.cc:2929
+#: drizzled/log.cc:2927
 msgid ""
 "Crash recovery failed. Either correct the problem (if it's, for example, out "
 "of memory error) and restart, or delete tc log and start drizzled with --tc-"
 "heuristic-recover={commit|rollback}"
 msgstr ""
 
+#: drizzled/log.cc:2957
+msgid "Heuristic crash recovery mode"
+msgstr ""
+
 #: drizzled/log.cc:2959
-msgid "Heuristic crash recovery mode"
-msgstr ""
-
-#: drizzled/log.cc:2961
 msgid "Heuristic crash recovery failed"
 msgstr ""
 
-#: drizzled/log.cc:2962
+#: drizzled/log.cc:2960
 msgid "Please restart mysqld without --tc-heuristic-recover"
 msgstr ""
 
-#: drizzled/log.cc:3006 drizzled/log.cc:3030
+#: drizzled/log.cc:3004 drizzled/log.cc:3028
 #, c-format
 msgid "find_log_pos() failed (error: %d)"
 msgstr ""
 
-#: drizzled/log.cc:3144
+#: drizzled/log.cc:3142
 msgid ""
 "Crash recovery failed. Either correct the problem (if it's, for example, out "
 "of memory error) and restart, or delete (or rename) binary log and start "
@@ -5843,8 +5843,8 @@
 msgid "Error '%s' on query. Default database: '%s'. Query: '%s'"
 msgstr ""
 
-#: drizzled/log_event.cc:1670 drizzled/log_event.cc:4317
-#: drizzled/log_event.cc:4348 drizzled/log_event.cc:5080
+#: drizzled/log_event.cc:1670 drizzled/log_event.cc:4313
+#: drizzled/log_event.cc:4344 drizzled/log_event.cc:5076
 msgid "unexpected success or fatal error"
 msgstr ""
 
@@ -5873,80 +5873,80 @@
 msgid "Running LOAD DATA INFILE on table '%-.64s'. Default database: '%-.64s'"
 msgstr ""
 
-#: drizzled/log_event.cc:3106
+#: drizzled/log_event.cc:3102
 msgid "Out of memory while recording slave event"
 msgstr ""
 
-#: drizzled/log_event.cc:3356 drizzled/log_event.cc:3382
+#: drizzled/log_event.cc:3352 drizzled/log_event.cc:3378
 #, c-format
 msgid "Error in Create_file event: could not open file '%s'"
 msgstr ""
 
-#: drizzled/log_event.cc:3368
+#: drizzled/log_event.cc:3364
 #, c-format
 msgid "Error in Create_file event: could not write to file '%s'"
 msgstr ""
 
-#: drizzled/log_event.cc:3389
+#: drizzled/log_event.cc:3385
 #, c-format
 msgid "Error in Create_file event: write to '%s' failed"
 msgstr ""
 
-#: drizzled/log_event.cc:3503
+#: drizzled/log_event.cc:3499
 #, c-format
 msgid "Error in %s event: could not create file '%s'"
 msgstr ""
 
-#: drizzled/log_event.cc:3512
+#: drizzled/log_event.cc:3508
 #, c-format
 msgid "Error in %s event: could not open file '%s'"
 msgstr ""
 
-#: drizzled/log_event.cc:3519
+#: drizzled/log_event.cc:3515
 #, c-format
 msgid "Error in %s event: write to '%s' failed"
 msgstr ""
 
-#: drizzled/log_event.cc:3681
+#: drizzled/log_event.cc:3677
 #, c-format
 msgid "Error in Exec_load event: could not open file '%s'"
 msgstr ""
 
-#: drizzled/log_event.cc:3691
+#: drizzled/log_event.cc:3687
 #, c-format
 msgid "Error in Exec_load event: file '%s' appears corrupted"
 msgstr ""
 
-#: drizzled/log_event.cc:3721
+#: drizzled/log_event.cc:3717
 #, c-format
 msgid "%s. Failed executing load from '%s'"
 msgstr ""
 
-#: drizzled/log_event.cc:3894
+#: drizzled/log_event.cc:3890
 msgid "Not enough memory"
 msgstr ""
 
-#: drizzled/log_event.cc:4314
+#: drizzled/log_event.cc:4310
 #, c-format
 msgid "Error '%s' in %s event: when locking tables"
 msgstr ""
 
-#: drizzled/log_event.cc:4324
+#: drizzled/log_event.cc:4320
 #, c-format
 msgid "Error in %s event: when locking tables"
 msgstr ""
 
-#: drizzled/log_event.cc:4345
+#: drizzled/log_event.cc:4341
 #, c-format
 msgid "Error '%s' on reopening tables"
 msgstr ""
 
-#: drizzled/log_event.cc:4681
+#: drizzled/log_event.cc:4677
 #, c-format
 msgid "Error in %s event: commit of row events failed, table `%s`.`%s`"
 msgstr ""
 
-#: drizzled/log_event.cc:5077
+#: drizzled/log_event.cc:5073
 #, c-format
 msgid "Error '%s' on opening table `%s`.`%s`"
 msgstr ""
@@ -6696,22 +6696,22 @@
 msgid "Plugin '%s' disabled by command line option"
 msgstr ""
 
-#: drizzled/sql_table.cc:108
+#: drizzled/sql_table.cc:110
 #, c-format
 msgid "Invalid (old?) table or database name '%s'"
 msgstr ""
 
-#: drizzled/sql_table.cc:2746
+#: drizzled/sql_table.cc:2762
 #, c-format
 msgid "Unknown - internal error %d during operation"
 msgstr ""
 
-#: drizzled/sql_table.cc:5019
+#: drizzled/sql_table.cc:5030
 #, c-format
 msgid "Could not open table %s.%s after rename\n"
 msgstr ""
 
-#: drizzled/sql_table.cc:5186
+#: drizzled/sql_table.cc:5197
 #, c-format
 msgid ""
 "order_st BY ignored because there is a user-defined clustered index in the "

=== modified file 'po/nb.po'
--- po/nb.po	2008-12-10 22:02:06 +0000
+++ po/nb.po	2008-12-12 04:49:53 +0000
@@ -7,7 +7,7 @@
 msgstr ""
 "Project-Id-Version: drizzle\n"
 "Report-Msgid-Bugs-To: http://translations.launchpad.net/drizzle\n"
-"POT-Creation-Date: 2008-12-10 14:01-0800\n"
+"POT-Creation-Date: 2008-12-11 22:45-0600\n"
 "PO-Revision-Date: 2008-11-27 01:23+0000\n"
 "Last-Translator: Monty Taylor <mordred@inaugust.com>\n"
 "Language-Team: Norwegian Bokmal <nb@li.org>\n"
@@ -1310,7 +1310,7 @@
 msgid "(Disabled)\n"
 msgstr "(Skrudd av)\n"
 
-#: drizzled/authentication.cc:66 drizzled/show.cc:4677
+#: drizzled/authentication.cc:66 drizzled/show.cc:4679
 #: drizzled/sql_plugin.cc:829
 #, c-format
 msgid "Plugin '%s' init function returned error."
@@ -5817,7 +5817,7 @@
 msgid "Failed to create a cache on log (file '%s')"
 msgstr ""
 
-#: drizzled/log.cc:522 drizzled/log.cc:887
+#: drizzled/log.cc:520 drizzled/log.cc:885
 #, c-format
 msgid ""
 "Could not use %s for logging (error %d). Turning logging off for the whole "
@@ -5825,82 +5825,82 @@
 "shutdown the Drizzle server and restart it."
 msgstr ""
 
-#: drizzled/log.cc:1155 drizzled/log.cc:1186 drizzled/log.cc:1435
-#: drizzled/log.cc:1557
+#: drizzled/log.cc:1153 drizzled/log.cc:1184 drizzled/log.cc:1433
+#: drizzled/log.cc:1555
 #, c-format
 msgid "Failed to delete file '%s'"
 msgstr ""
 
-#: drizzled/log.cc:1164 drizzled/log.cc:1443 drizzled/log.cc:1565
+#: drizzled/log.cc:1162 drizzled/log.cc:1441 drizzled/log.cc:1563
 #, c-format
 msgid ""
 "a problem with deleting %s; consider examining correspondence of your binlog "
 "index file to the actual binlog files"
 msgstr ""
 
-#: drizzled/log.cc:1291
+#: drizzled/log.cc:1289
 #, c-format
 msgid "next log error: %d  offset: %s  log: %s included: %d"
 msgstr ""
 
-#: drizzled/log.cc:1401 drizzled/log.cc:1525
+#: drizzled/log.cc:1399 drizzled/log.cc:1523
 #, c-format
 msgid "Failed to execute stat() on file '%s'"
 msgstr ""
 
-#: drizzled/log.cc:1412 drizzled/log.cc:1536
+#: drizzled/log.cc:1410 drizzled/log.cc:1534
 #, c-format
 msgid ""
 "a problem with getting info on being purged %s; consider examining "
 "correspondence of your binlog index file to the actual binlog files"
 msgstr ""
 
-#: drizzled/log.cc:2546 drizzled/log.cc:3044
+#: drizzled/log.cc:2544 drizzled/log.cc:3042
 #, c-format
 msgid "Recovering after a crash using %s"
 msgstr ""
 
-#: drizzled/log.cc:2549
+#: drizzled/log.cc:2547
 msgid ""
 "Cannot perform automatic crash recovery when --tc-heuristic-recover is used"
 msgstr ""
 
-#: drizzled/log.cc:2891
+#: drizzled/log.cc:2889
 msgid "Bad magic header in tc log"
 msgstr ""
 
-#: drizzled/log.cc:2901
+#: drizzled/log.cc:2899
 #, c-format
 msgid ""
 "Recovery failed! You must enable exactly %d storage engines that support two-"
 "phase commit protocol"
 msgstr ""
 
-#: drizzled/log.cc:2929
+#: drizzled/log.cc:2927
 msgid ""
 "Crash recovery failed. Either correct the problem (if it's, for example, out "
 "of memory error) and restart, or delete tc log and start drizzled with --tc-"
 "heuristic-recover={commit|rollback}"
 msgstr ""
 
+#: drizzled/log.cc:2957
+msgid "Heuristic crash recovery mode"
+msgstr ""
+
 #: drizzled/log.cc:2959
-msgid "Heuristic crash recovery mode"
-msgstr ""
-
-#: drizzled/log.cc:2961
 msgid "Heuristic crash recovery failed"
 msgstr ""
 
-#: drizzled/log.cc:2962
+#: drizzled/log.cc:2960
 msgid "Please restart mysqld without --tc-heuristic-recover"
 msgstr ""
 
-#: drizzled/log.cc:3006 drizzled/log.cc:3030
+#: drizzled/log.cc:3004 drizzled/log.cc:3028
 #, c-format
 msgid "find_log_pos() failed (error: %d)"
 msgstr ""
 
-#: drizzled/log.cc:3144
+#: drizzled/log.cc:3142
 msgid ""
 "Crash recovery failed. Either correct the problem (if it's, for example, out "
 "of memory error) and restart, or delete (or rename) binary log and start "
@@ -5956,8 +5956,8 @@
 msgid "Error '%s' on query. Default database: '%s'. Query: '%s'"
 msgstr ""
 
-#: drizzled/log_event.cc:1670 drizzled/log_event.cc:4317
-#: drizzled/log_event.cc:4348 drizzled/log_event.cc:5080
+#: drizzled/log_event.cc:1670 drizzled/log_event.cc:4313
+#: drizzled/log_event.cc:4344 drizzled/log_event.cc:5076
 msgid "unexpected success or fatal error"
 msgstr ""
 
@@ -5986,80 +5986,80 @@
 msgid "Running LOAD DATA INFILE on table '%-.64s'. Default database: '%-.64s'"
 msgstr ""
 
-#: drizzled/log_event.cc:3106
+#: drizzled/log_event.cc:3102
 msgid "Out of memory while recording slave event"
 msgstr ""
 
-#: drizzled/log_event.cc:3356 drizzled/log_event.cc:3382
+#: drizzled/log_event.cc:3352 drizzled/log_event.cc:3378
 #, c-format
 msgid "Error in Create_file event: could not open file '%s'"
 msgstr ""
 
-#: drizzled/log_event.cc:3368
+#: drizzled/log_event.cc:3364
 #, c-format
 msgid "Error in Create_file event: could not write to file '%s'"
 msgstr ""
 
-#: drizzled/log_event.cc:3389
+#: drizzled/log_event.cc:3385
 #, c-format
 msgid "Error in Create_file event: write to '%s' failed"
 msgstr ""
 
-#: drizzled/log_event.cc:3503
+#: drizzled/log_event.cc:3499
 #, c-format
 msgid "Error in %s event: could not create file '%s'"
 msgstr ""
 
-#: drizzled/log_event.cc:3512
+#: drizzled/log_event.cc:3508
 #, c-format
 msgid "Error in %s event: could not open file '%s'"
 msgstr ""
 
-#: drizzled/log_event.cc:3519
+#: drizzled/log_event.cc:3515
 #, c-format
 msgid "Error in %s event: write to '%s' failed"
 msgstr ""
 
-#: drizzled/log_event.cc:3681
+#: drizzled/log_event.cc:3677
 #, c-format
 msgid "Error in Exec_load event: could not open file '%s'"
 msgstr ""
 
-#: drizzled/log_event.cc:3691
+#: drizzled/log_event.cc:3687
 #, c-format
 msgid "Error in Exec_load event: file '%s' appears corrupted"
 msgstr ""
 
-#: drizzled/log_event.cc:3721
+#: drizzled/log_event.cc:3717
 #, c-format
 msgid "%s. Failed executing load from '%s'"
 msgstr ""
 
-#: drizzled/log_event.cc:3894
+#: drizzled/log_event.cc:3890
 msgid "Not enough memory"
 msgstr ""
 
-#: drizzled/log_event.cc:4314
+#: drizzled/log_event.cc:4310
 #, c-format
 msgid "Error '%s' in %s event: when locking tables"
 msgstr ""
 
-#: drizzled/log_event.cc:4324
+#: drizzled/log_event.cc:4320
 #, c-format
 msgid "Error in %s event: when locking tables"
 msgstr ""
 
-#: drizzled/log_event.cc:4345
+#: drizzled/log_event.cc:4341
 #, c-format
 msgid "Error '%s' on reopening tables"
 msgstr ""
 
-#: drizzled/log_event.cc:4681
+#: drizzled/log_event.cc:4677
 #, c-format
 msgid "Error in %s event: commit of row events failed, table `%s`.`%s`"
 msgstr ""
 
-#: drizzled/log_event.cc:5077
+#: drizzled/log_event.cc:5073
 #, c-format
 msgid "Error '%s' on opening table `%s`.`%s`"
 msgstr ""
@@ -6895,22 +6895,22 @@
 msgid "Plugin '%s' disabled by command line option"
 msgstr ""
 
-#: drizzled/sql_table.cc:108
+#: drizzled/sql_table.cc:110
 #, c-format
 msgid "Invalid (old?) table or database name '%s'"
 msgstr ""
 
-#: drizzled/sql_table.cc:2746
+#: drizzled/sql_table.cc:2762
 #, c-format
 msgid "Unknown - internal error %d during operation"
 msgstr ""
 
-#: drizzled/sql_table.cc:5019
+#: drizzled/sql_table.cc:5030
 #, c-format
 msgid "Could not open table %s.%s after rename\n"
 msgstr ""
 
-#: drizzled/sql_table.cc:5186
+#: drizzled/sql_table.cc:5197
 #, c-format
 msgid ""
 "order_st BY ignored because there is a user-defined clustered index in the "

=== modified file 'po/nl.po'
--- po/nl.po	2008-12-10 22:02:06 +0000
+++ po/nl.po	2008-12-12 04:49:53 +0000
@@ -7,7 +7,7 @@
 msgstr ""
 "Project-Id-Version: drizzle\n"
 "Report-Msgid-Bugs-To: http://translations.launchpad.net/drizzle\n"
-"POT-Creation-Date: 2008-12-10 14:01-0800\n"
+"POT-Creation-Date: 2008-12-11 22:45-0600\n"
 "PO-Revision-Date: 2008-11-27 15:28+0000\n"
 "Last-Translator: Mark Daems <Unknown>\n"
 "Language-Team: Dutch <nl@li.org>\n"
@@ -1339,7 +1339,7 @@
 msgid "(Disabled)\n"
 msgstr "(Uitgeschakeld)\n"
 
-#: drizzled/authentication.cc:66 drizzled/show.cc:4677
+#: drizzled/authentication.cc:66 drizzled/show.cc:4679
 #: drizzled/sql_plugin.cc:829
 #, c-format
 msgid "Plugin '%s' init function returned error."
@@ -6499,7 +6499,7 @@
 msgid "Failed to create a cache on log (file '%s')"
 msgstr "Creatie van een  cache op de log mislukt (bestand '%s')"
 
-#: drizzled/log.cc:522 drizzled/log.cc:887
+#: drizzled/log.cc:520 drizzled/log.cc:885
 #, c-format
 msgid ""
 "Could not use %s for logging (error %d). Turning logging off for the whole "
@@ -6510,13 +6510,13 @@
 "volledige duur van het Drizzle server proces. Om opnieuw in te schakelen: "
 "los de oorzaak op, sluit de  Drizzle server af en herstart hem."
 
-#: drizzled/log.cc:1155 drizzled/log.cc:1186 drizzled/log.cc:1435
-#: drizzled/log.cc:1557
+#: drizzled/log.cc:1153 drizzled/log.cc:1184 drizzled/log.cc:1433
+#: drizzled/log.cc:1555
 #, c-format
 msgid "Failed to delete file '%s'"
 msgstr "Wissen van bestand '%s' mislukt"
 
-#: drizzled/log.cc:1164 drizzled/log.cc:1443 drizzled/log.cc:1565
+#: drizzled/log.cc:1162 drizzled/log.cc:1441 drizzled/log.cc:1563
 #, c-format
 msgid ""
 "a problem with deleting %s; consider examining correspondence of your binlog "
@@ -6525,17 +6525,17 @@
 "probleem met wissen van %s; overweeg om te controleren of het binlog index "
 "bestand overeen komt met de actuele binlog bestanden"
 
-#: drizzled/log.cc:1291
+#: drizzled/log.cc:1289
 #, c-format
 msgid "next log error: %d  offset: %s  log: %s included: %d"
 msgstr "volgende log fout: %d  offset: %s  log: %s inbegrepen: %d"
 
-#: drizzled/log.cc:1401 drizzled/log.cc:1525
+#: drizzled/log.cc:1399 drizzled/log.cc:1523
 #, c-format
 msgid "Failed to execute stat() on file '%s'"
 msgstr "Uitvoeren van stat() op bestand '%s' mislukt"
 
-#: drizzled/log.cc:1412 drizzled/log.cc:1536
+#: drizzled/log.cc:1410 drizzled/log.cc:1534
 #, c-format
 msgid ""
 "a problem with getting info on being purged %s; consider examining "
@@ -6545,23 +6545,23 @@
 "controleren of het binlog index bestand overeen komt met de actuele binlog "
 "bestanden"
 
-#: drizzled/log.cc:2546 drizzled/log.cc:3044
+#: drizzled/log.cc:2544 drizzled/log.cc:3042
 #, c-format
 msgid "Recovering after a crash using %s"
 msgstr "Herstelt na een crash gebruik makend van %s"
 
-#: drizzled/log.cc:2549
+#: drizzled/log.cc:2547
 msgid ""
 "Cannot perform automatic crash recovery when --tc-heuristic-recover is used"
 msgstr ""
 "Kan geen automatisch crash herstel uitvoeren wanneer --tc-heuristic-recover "
 "gebruikt wordt"
 
-#: drizzled/log.cc:2891
+#: drizzled/log.cc:2889
 msgid "Bad magic header in tc log"
 msgstr "Slechte magic hoofding in tc log"
 
-#: drizzled/log.cc:2901
+#: drizzled/log.cc:2899
 #, c-format
 msgid ""
 "Recovery failed! You must enable exactly %d storage engines that support two-"
@@ -6570,7 +6570,7 @@
 "Herstel mislukt! Je moet exact %d storage engines inschakelen die het two-"
 "phase commit protocol ondersteunen"
 
-#: drizzled/log.cc:2929
+#: drizzled/log.cc:2927
 msgid ""
 "Crash recovery failed. Either correct the problem (if it's, for example, out "
 "of memory error) and restart, or delete tc log and start drizzled with --tc-"
@@ -6580,24 +6580,24 @@
 "memory' fout) en herstart, of verwijder tc log en start drizzled met --tc-"
 "heuristic-recover={commit|rollback}"
 
-#: drizzled/log.cc:2959
+#: drizzled/log.cc:2957
 msgid "Heuristic crash recovery mode"
 msgstr "Heuristisch crash herstel modus"
 
-#: drizzled/log.cc:2961
+#: drizzled/log.cc:2959
 msgid "Heuristic crash recovery failed"
 msgstr "Heuristisch crash herstel mislukt"
 
-#: drizzled/log.cc:2962
+#: drizzled/log.cc:2960
 msgid "Please restart mysqld without --tc-heuristic-recover"
 msgstr "Herstart mysqld a.u.b. zonder --tc-heuristic-recover"
 
-#: drizzled/log.cc:3006 drizzled/log.cc:3030
+#: drizzled/log.cc:3004 drizzled/log.cc:3028
 #, c-format
 msgid "find_log_pos() failed (error: %d)"
 msgstr "find_log_pos() mislukt (Fout: %d)"
 
-#: drizzled/log.cc:3144
+#: drizzled/log.cc:3142
 msgid ""
 "Crash recovery failed. Either correct the problem (if it's, for example, out "
 "of memory error) and restart, or delete (or rename) binary log and start "
@@ -6667,8 +6667,8 @@
 msgid "Error '%s' on query. Default database: '%s'. Query: '%s'"
 msgstr "Fout '%s' bij query. Standaard databank: '%s'. Query: '%s'"
 
-#: drizzled/log_event.cc:1670 drizzled/log_event.cc:4317
-#: drizzled/log_event.cc:4348 drizzled/log_event.cc:5080
+#: drizzled/log_event.cc:1670 drizzled/log_event.cc:4313
+#: drizzled/log_event.cc:4344 drizzled/log_event.cc:5076
 msgid "unexpected success or fatal error"
 msgstr "Onverwacht succes of fatale fout"
 
@@ -6705,80 +6705,80 @@
 msgstr ""
 "Voert LOAD DATA INFILE uit op tabel '%-.64s'. Standaard databank: '%-.64s'"
 
-#: drizzled/log_event.cc:3106
+#: drizzled/log_event.cc:3102
 msgid "Out of memory while recording slave event"
 msgstr "'Out of memory' bij het registreren van een slave event"
 
-#: drizzled/log_event.cc:3356 drizzled/log_event.cc:3382
+#: drizzled/log_event.cc:3352 drizzled/log_event.cc:3378
 #, c-format
 msgid "Error in Create_file event: could not open file '%s'"
 msgstr "Fout in Create_file event: kon bestand '%s' niet openen"
 
-#: drizzled/log_event.cc:3368
+#: drizzled/log_event.cc:3364
 #, c-format
 msgid "Error in Create_file event: could not write to file '%s'"
 msgstr "Fout in Create_file event: kon niet schrijven naar bestand '%s'"
 
-#: drizzled/log_event.cc:3389
+#: drizzled/log_event.cc:3385
 #, c-format
 msgid "Error in Create_file event: write to '%s' failed"
 msgstr "Fout in Create_file event: schrijven naar '%s' mislukte"
 
-#: drizzled/log_event.cc:3503
+#: drizzled/log_event.cc:3499
 #, c-format
 msgid "Error in %s event: could not create file '%s'"
 msgstr "Fout in %s event: kon bestand '%s' niet aanmaken"
 
-#: drizzled/log_event.cc:3512
+#: drizzled/log_event.cc:3508
 #, c-format
 msgid "Error in %s event: could not open file '%s'"
 msgstr "Fout in %s event: kon bestand '%s' niet openen"
 
-#: drizzled/log_event.cc:3519
+#: drizzled/log_event.cc:3515
 #, c-format
 msgid "Error in %s event: write to '%s' failed"
 msgstr "Fout in %s event: schrijven naar '%s' mislukte"
 
-#: drizzled/log_event.cc:3681
+#: drizzled/log_event.cc:3677
 #, c-format
 msgid "Error in Exec_load event: could not open file '%s'"
 msgstr "Fout in Exec_load event: kon bestand '%s' niet openen"
 
-#: drizzled/log_event.cc:3691
+#: drizzled/log_event.cc:3687
 #, c-format
 msgid "Error in Exec_load event: file '%s' appears corrupted"
 msgstr "Fout in Exec_load event: bestand '%s' lijkt corrupt"
 
-#: drizzled/log_event.cc:3721
+#: drizzled/log_event.cc:3717
 #, c-format
 msgid "%s. Failed executing load from '%s'"
 msgstr "%s. Mislukt tijdens laden vanop '%s'"
 
-#: drizzled/log_event.cc:3894
+#: drizzled/log_event.cc:3890
 msgid "Not enough memory"
 msgstr "Onvoldoende geheugen"
 
-#: drizzled/log_event.cc:4314
+#: drizzled/log_event.cc:4310
 #, c-format
 msgid "Error '%s' in %s event: when locking tables"
 msgstr "Fout '%s' in %s event: bij vergrendelen van tabellen"
 
-#: drizzled/log_event.cc:4324
+#: drizzled/log_event.cc:4320
 #, c-format
 msgid "Error in %s event: when locking tables"
 msgstr "Fout in %s event: bij vergrendelen van tabellen"
 
-#: drizzled/log_event.cc:4345
+#: drizzled/log_event.cc:4341
 #, c-format
 msgid "Error '%s' on reopening tables"
 msgstr "Fout '%s' bij heropenen van tabellen"
 
-#: drizzled/log_event.cc:4681
+#: drizzled/log_event.cc:4677
 #, c-format
 msgid "Error in %s event: commit of row events failed, table `%s`.`%s`"
 msgstr "Fout in %s event: commit van rij-events mislukte, tabel `%s`.`%s`"
 
-#: drizzled/log_event.cc:5077
+#: drizzled/log_event.cc:5073
 #, c-format
 msgid "Error '%s' on opening table `%s`.`%s`"
 msgstr "Fout '%s' bij openen van tabel `%s`.`%s`"
@@ -7622,22 +7622,22 @@
 msgid "Plugin '%s' disabled by command line option"
 msgstr "Plugin '%s' uitgeschakeld via opdrachtregeloptie"
 
-#: drizzled/sql_table.cc:108
+#: drizzled/sql_table.cc:110
 #, c-format
 msgid "Invalid (old?) table or database name '%s'"
 msgstr "Ongeldige (oude?) tabel of databank naam '%s'"
 
-#: drizzled/sql_table.cc:2746
+#: drizzled/sql_table.cc:2762
 #, c-format
 msgid "Unknown - internal error %d during operation"
 msgstr "Onbekende interne fout %d tijdens de bewerking"
 
-#: drizzled/sql_table.cc:5019
+#: drizzled/sql_table.cc:5030
 #, c-format
 msgid "Could not open table %s.%s after rename\n"
 msgstr "Kon tabel %s.%s niet openen na hernoemen\n"
 
-#: drizzled/sql_table.cc:5186
+#: drizzled/sql_table.cc:5197
 #, c-format
 msgid ""
 "order_st BY ignored because there is a user-defined clustered index in the "

=== modified file 'po/pl.po'
--- po/pl.po	2008-12-10 22:02:06 +0000
+++ po/pl.po	2008-12-12 04:49:53 +0000
@@ -7,7 +7,7 @@
 msgstr ""
 "Project-Id-Version: drizzle\n"
 "Report-Msgid-Bugs-To: http://translations.launchpad.net/drizzle\n"
-"POT-Creation-Date: 2008-12-10 14:01-0800\n"
+"POT-Creation-Date: 2008-12-11 22:45-0600\n"
 "PO-Revision-Date: 2008-11-27 01:39+0000\n"
 "Last-Translator: Monty Taylor <mordred@inaugust.com>\n"
 "Language-Team: Polish <pl@li.org>\n"
@@ -1272,7 +1272,7 @@
 msgid "(Disabled)\n"
 msgstr ""
 
-#: drizzled/authentication.cc:66 drizzled/show.cc:4677
+#: drizzled/authentication.cc:66 drizzled/show.cc:4679
 #: drizzled/sql_plugin.cc:829
 #, c-format
 msgid "Plugin '%s' init function returned error."
@@ -5776,7 +5776,7 @@
 msgid "Failed to create a cache on log (file '%s')"
 msgstr ""
 
-#: drizzled/log.cc:522 drizzled/log.cc:887
+#: drizzled/log.cc:520 drizzled/log.cc:885
 #, c-format
 msgid ""
 "Could not use %s for logging (error %d). Turning logging off for the whole "
@@ -5784,82 +5784,82 @@
 "shutdown the Drizzle server and restart it."
 msgstr ""
 
-#: drizzled/log.cc:1155 drizzled/log.cc:1186 drizzled/log.cc:1435
-#: drizzled/log.cc:1557
+#: drizzled/log.cc:1153 drizzled/log.cc:1184 drizzled/log.cc:1433
+#: drizzled/log.cc:1555
 #, c-format
 msgid "Failed to delete file '%s'"
 msgstr ""
 
-#: drizzled/log.cc:1164 drizzled/log.cc:1443 drizzled/log.cc:1565
+#: drizzled/log.cc:1162 drizzled/log.cc:1441 drizzled/log.cc:1563
 #, c-format
 msgid ""
 "a problem with deleting %s; consider examining correspondence of your binlog "
 "index file to the actual binlog files"
 msgstr ""
 
-#: drizzled/log.cc:1291
+#: drizzled/log.cc:1289
 #, c-format
 msgid "next log error: %d  offset: %s  log: %s included: %d"
 msgstr ""
 
-#: drizzled/log.cc:1401 drizzled/log.cc:1525
+#: drizzled/log.cc:1399 drizzled/log.cc:1523
 #, c-format
 msgid "Failed to execute stat() on file '%s'"
 msgstr ""
 
-#: drizzled/log.cc:1412 drizzled/log.cc:1536
+#: drizzled/log.cc:1410 drizzled/log.cc:1534
 #, c-format
 msgid ""
 "a problem with getting info on being purged %s; consider examining "
 "correspondence of your binlog index file to the actual binlog files"
 msgstr ""
 
-#: drizzled/log.cc:2546 drizzled/log.cc:3044
+#: drizzled/log.cc:2544 drizzled/log.cc:3042
 #, c-format
 msgid "Recovering after a crash using %s"
 msgstr ""
 
-#: drizzled/log.cc:2549
+#: drizzled/log.cc:2547
 msgid ""
 "Cannot perform automatic crash recovery when --tc-heuristic-recover is used"
 msgstr ""
 
-#: drizzled/log.cc:2891
+#: drizzled/log.cc:2889
 msgid "Bad magic header in tc log"
 msgstr ""
 
-#: drizzled/log.cc:2901
+#: drizzled/log.cc:2899
 #, c-format
 msgid ""
 "Recovery failed! You must enable exactly %d storage engines that support two-"
 "phase commit protocol"
 msgstr ""
 
-#: drizzled/log.cc:2929
+#: drizzled/log.cc:2927
 msgid ""
 "Crash recovery failed. Either correct the problem (if it's, for example, out "
 "of memory error) and restart, or delete tc log and start drizzled with --tc-"
 "heuristic-recover={commit|rollback}"
 msgstr ""
 
+#: drizzled/log.cc:2957
+msgid "Heuristic crash recovery mode"
+msgstr ""
+
 #: drizzled/log.cc:2959
-msgid "Heuristic crash recovery mode"
-msgstr ""
-
-#: drizzled/log.cc:2961
 msgid "Heuristic crash recovery failed"
 msgstr ""
 
-#: drizzled/log.cc:2962
+#: drizzled/log.cc:2960
 msgid "Please restart mysqld without --tc-heuristic-recover"
 msgstr ""
 
-#: drizzled/log.cc:3006 drizzled/log.cc:3030
+#: drizzled/log.cc:3004 drizzled/log.cc:3028
 #, c-format
 msgid "find_log_pos() failed (error: %d)"
 msgstr ""
 
-#: drizzled/log.cc:3144
+#: drizzled/log.cc:3142
 msgid ""
 "Crash recovery failed. Either correct the problem (if it's, for example, out "
 "of memory error) and restart, or delete (or rename) binary log and start "
@@ -5915,8 +5915,8 @@
 msgid "Error '%s' on query. Default database: '%s'. Query: '%s'"
 msgstr ""
 
-#: drizzled/log_event.cc:1670 drizzled/log_event.cc:4317
-#: drizzled/log_event.cc:4348 drizzled/log_event.cc:5080
+#: drizzled/log_event.cc:1670 drizzled/log_event.cc:4313
+#: drizzled/log_event.cc:4344 drizzled/log_event.cc:5076
 msgid "unexpected success or fatal error"
 msgstr ""
 
@@ -5945,80 +5945,80 @@
 msgid "Running LOAD DATA INFILE on table '%-.64s'. Default database: '%-.64s'"
 msgstr ""
 
-#: drizzled/log_event.cc:3106
+#: drizzled/log_event.cc:3102
 msgid "Out of memory while recording slave event"
 msgstr ""
 
-#: drizzled/log_event.cc:3356 drizzled/log_event.cc:3382
+#: drizzled/log_event.cc:3352 drizzled/log_event.cc:3378
 #, c-format
 msgid "Error in Create_file event: could not open file '%s'"
 msgstr ""
 
-#: drizzled/log_event.cc:3368
+#: drizzled/log_event.cc:3364
 #, c-format
 msgid "Error in Create_file event: could not write to file '%s'"
 msgstr ""
 
-#: drizzled/log_event.cc:3389
+#: drizzled/log_event.cc:3385
 #, c-format
 msgid "Error in Create_file event: write to '%s' failed"
 msgstr ""
 
-#: drizzled/log_event.cc:3503
+#: drizzled/log_event.cc:3499
 #, c-format
 msgid "Error in %s event: could not create file '%s'"
 msgstr ""
 
-#: drizzled/log_event.cc:3512
+#: drizzled/log_event.cc:3508
 #, c-format
 msgid "Error in %s event: could not open file '%s'"
 msgstr ""
 
-#: drizzled/log_event.cc:3519
+#: drizzled/log_event.cc:3515
 #, c-format
 msgid "Error in %s event: write to '%s' failed"
 msgstr ""
 
-#: drizzled/log_event.cc:3681
+#: drizzled/log_event.cc:3677
 #, c-format
 msgid "Error in Exec_load event: could not open file '%s'"
 msgstr ""
 
-#: drizzled/log_event.cc:3691
+#: drizzled/log_event.cc:3687
 #, c-format
 msgid "Error in Exec_load event: file '%s' appears corrupted"
 msgstr ""
 
-#: drizzled/log_event.cc:3721
+#: drizzled/log_event.cc:3717
 #, c-format
 msgid "%s. Failed executing load from '%s'"
 msgstr ""
 
-#: drizzled/log_event.cc:3894
+#: drizzled/log_event.cc:3890
 msgid "Not enough memory"
 msgstr ""
 
-#: drizzled/log_event.cc:4314
+#: drizzled/log_event.cc:4310
 #, c-format
 msgid "Error '%s' in %s event: when locking tables"
 msgstr ""
 
-#: drizzled/log_event.cc:4324
+#: drizzled/log_event.cc:4320
 #, c-format
 msgid "Error in %s event: when locking tables"
 msgstr ""
 
-#: drizzled/log_event.cc:4345
+#: drizzled/log_event.cc:4341
 #, c-format
 msgid "Error '%s' on reopening tables"
 msgstr ""
 
-#: drizzled/log_event.cc:4681
+#: drizzled/log_event.cc:4677
 #, c-format
 msgid "Error in %s event: commit of row events failed, table `%s`.`%s`"
 msgstr ""
 
-#: drizzled/log_event.cc:5077
+#: drizzled/log_event.cc:5073
 #, c-format
 msgid "Error '%s' on opening table `%s`.`%s`"
 msgstr ""
@@ -6768,22 +6768,22 @@
 msgid "Plugin '%s' disabled by command line option"
 msgstr ""
 
-#: drizzled/sql_table.cc:108
+#: drizzled/sql_table.cc:110
 #, c-format
 msgid "Invalid (old?) table or database name '%s'"
 msgstr ""
 
-#: drizzled/sql_table.cc:2746
+#: drizzled/sql_table.cc:2762
 #, c-format
 msgid "Unknown - internal error %d during operation"
 msgstr ""
 
-#: drizzled/sql_table.cc:5019
+#: drizzled/sql_table.cc:5030
 #, c-format
 msgid "Could not open table %s.%s after rename\n"
 msgstr ""
 
-#: drizzled/sql_table.cc:5186
+#: drizzled/sql_table.cc:5197
 #, c-format
 msgid ""
 "order_st BY ignored because there is a user-defined clustered index in the "

=== modified file 'po/pt.po'
--- po/pt.po	2008-12-10 22:02:06 +0000
+++ po/pt.po	2008-12-12 04:49:53 +0000
@@ -7,7 +7,7 @@
 msgstr ""
 "Project-Id-Version: drizzle\n"
 "Report-Msgid-Bugs-To: http://translations.launchpad.net/drizzle\n"
-"POT-Creation-Date: 2008-12-10 14:01-0800\n"
+"POT-Creation-Date: 2008-12-11 22:45-0600\n"
 "PO-Revision-Date: 2008-11-27 01:54+0000\n"
 "Last-Translator: Monty Taylor <mordred@inaugust.com>\n"
 "Language-Team: Portuguese <pt@li.org>\n"
@@ -1221,7 +1221,7 @@
 msgid "(Disabled)\n"
 msgstr ""
 
-#: drizzled/authentication.cc:66 drizzled/show.cc:4677
+#: drizzled/authentication.cc:66 drizzled/show.cc:4679
 #: drizzled/sql_plugin.cc:829
 #, c-format
 msgid "Plugin '%s' init function returned error."
@@ -5721,7 +5721,7 @@
 msgid "Failed to create a cache on log (file '%s')"
 msgstr ""
 
-#: drizzled/log.cc:522 drizzled/log.cc:887
+#: drizzled/log.cc:520 drizzled/log.cc:885
 #, c-format
 msgid ""
 "Could not use %s for logging (error %d). Turning logging off for the whole "
@@ -5729,82 +5729,82 @@
 "shutdown the Drizzle server and restart it."
 msgstr ""
 
-#: drizzled/log.cc:1155 drizzled/log.cc:1186 drizzled/log.cc:1435
-#: drizzled/log.cc:1557
+#: drizzled/log.cc:1153 drizzled/log.cc:1184 drizzled/log.cc:1433
+#: drizzled/log.cc:1555
 #, c-format
 msgid "Failed to delete file '%s'"
 msgstr ""
 
-#: drizzled/log.cc:1164 drizzled/log.cc:1443 drizzled/log.cc:1565
+#: drizzled/log.cc:1162 drizzled/log.cc:1441 drizzled/log.cc:1563
 #, c-format
 msgid ""
 "a problem with deleting %s; consider examining correspondence of your binlog "
 "index file to the actual binlog files"
 msgstr ""
 
-#: drizzled/log.cc:1291
+#: drizzled/log.cc:1289
 #, c-format
 msgid "next log error: %d  offset: %s  log: %s included: %d"
 msgstr ""
 
-#: drizzled/log.cc:1401 drizzled/log.cc:1525
+#: drizzled/log.cc:1399 drizzled/log.cc:1523
 #, c-format
 msgid "Failed to execute stat() on file '%s'"
 msgstr ""
 
-#: drizzled/log.cc:1412 drizzled/log.cc:1536
+#: drizzled/log.cc:1410 drizzled/log.cc:1534
 #, c-format
 msgid ""
 "a problem with getting info on being purged %s; consider examining "
 "correspondence of your binlog index file to the actual binlog files"
 msgstr ""
 
-#: drizzled/log.cc:2546 drizzled/log.cc:3044
+#: drizzled/log.cc:2544 drizzled/log.cc:3042
 #, c-format
 msgid "Recovering after a crash using %s"
 msgstr ""
 
-#: drizzled/log.cc:2549
+#: drizzled/log.cc:2547
 msgid ""
 "Cannot perform automatic crash recovery when --tc-heuristic-recover is used"
 msgstr ""
 
-#: drizzled/log.cc:2891
+#: drizzled/log.cc:2889
 msgid "Bad magic header in tc log"
 msgstr ""
 
-#: drizzled/log.cc:2901
+#: drizzled/log.cc:2899
 #, c-format
 msgid ""
 "Recovery failed! You must enable exactly %d storage engines that support two-"
 "phase commit protocol"
 msgstr ""
 
-#: drizzled/log.cc:2929
+#: drizzled/log.cc:2927
 msgid ""
 "Crash recovery failed. Either correct the problem (if it's, for example, out "
 "of memory error) and restart, or delete tc log and start drizzled with --tc-"
 "heuristic-recover={commit|rollback}"
 msgstr ""
 
+#: drizzled/log.cc:2957
+msgid "Heuristic crash recovery mode"
+msgstr ""
+
 #: drizzled/log.cc:2959
-msgid "Heuristic crash recovery mode"
-msgstr ""
-
-#: drizzled/log.cc:2961
 msgid "Heuristic crash recovery failed"
 msgstr ""
 
-#: drizzled/log.cc:2962
+#: drizzled/log.cc:2960
 msgid "Please restart mysqld without --tc-heuristic-recover"
 msgstr ""
 
-#: drizzled/log.cc:3006 drizzled/log.cc:3030
+#: drizzled/log.cc:3004 drizzled/log.cc:3028
 #, c-format
 msgid "find_log_pos() failed (error: %d)"
 msgstr ""
 
-#: drizzled/log.cc:3144
+#: drizzled/log.cc:3142
 msgid ""
 "Crash recovery failed. Either correct the problem (if it's, for example, out "
 "of memory error) and restart, or delete (or rename) binary log and start "
@@ -5860,8 +5860,8 @@
 msgid "Error '%s' on query. Default database: '%s'. Query: '%s'"
 msgstr ""
 
-#: drizzled/log_event.cc:1670 drizzled/log_event.cc:4317
-#: drizzled/log_event.cc:4348 drizzled/log_event.cc:5080
+#: drizzled/log_event.cc:1670 drizzled/log_event.cc:4313
+#: drizzled/log_event.cc:4344 drizzled/log_event.cc:5076
 msgid "unexpected success or fatal error"
 msgstr ""
 
@@ -5890,80 +5890,80 @@
 msgid "Running LOAD DATA INFILE on table '%-.64s'. Default database: '%-.64s'"
 msgstr ""
 
-#: drizzled/log_event.cc:3106
+#: drizzled/log_event.cc:3102
 msgid "Out of memory while recording slave event"
 msgstr ""
 
-#: drizzled/log_event.cc:3356 drizzled/log_event.cc:3382
+#: drizzled/log_event.cc:3352 drizzled/log_event.cc:3378
 #, c-format
 msgid "Error in Create_file event: could not open file '%s'"
 msgstr ""
 
-#: drizzled/log_event.cc:3368
+#: drizzled/log_event.cc:3364
 #, c-format
 msgid "Error in Create_file event: could not write to file '%s'"
 msgstr ""
 
-#: drizzled/log_event.cc:3389
+#: drizzled/log_event.cc:3385
 #, c-format
 msgid "Error in Create_file event: write to '%s' failed"
 msgstr ""
 
-#: drizzled/log_event.cc:3503
+#: drizzled/log_event.cc:3499
 #, c-format
 msgid "Error in %s event: could not create file '%s'"
 msgstr ""
 
-#: drizzled/log_event.cc:3512
+#: drizzled/log_event.cc:3508
 #, c-format
 msgid "Error in %s event: could not open file '%s'"
 msgstr ""
 
-#: drizzled/log_event.cc:3519
+#: drizzled/log_event.cc:3515
 #, c-format
 msgid "Error in %s event: write to '%s' failed"
 msgstr ""
 
-#: drizzled/log_event.cc:3681
+#: drizzled/log_event.cc:3677
 #, c-format
 msgid "Error in Exec_load event: could not open file '%s'"
 msgstr ""
 
-#: drizzled/log_event.cc:3691
+#: drizzled/log_event.cc:3687
 #, c-format
 msgid "Error in Exec_load event: file '%s' appears corrupted"
 msgstr ""
 
-#: drizzled/log_event.cc:3721
+#: drizzled/log_event.cc:3717
 #, c-format
 msgid "%s. Failed executing load from '%s'"
 msgstr ""
 
-#: drizzled/log_event.cc:3894
+#: drizzled/log_event.cc:3890
 msgid "Not enough memory"
 msgstr ""
 
-#: drizzled/log_event.cc:4314
+#: drizzled/log_event.cc:4310
 #, c-format
 msgid "Error '%s' in %s event: when locking tables"
 msgstr ""
 
-#: drizzled/log_event.cc:4324
+#: drizzled/log_event.cc:4320
 #, c-format
 msgid "Error in %s event: when locking tables"
 msgstr ""
 
-#: drizzled/log_event.cc:4345
+#: drizzled/log_event.cc:4341
 #, c-format
 msgid "Error '%s' on reopening tables"
 msgstr ""
 
-#: drizzled/log_event.cc:4681
+#: drizzled/log_event.cc:4677
 #, c-format
 msgid "Error in %s event: commit of row events failed, table `%s`.`%s`"
 msgstr ""
 
-#: drizzled/log_event.cc:5077
+#: drizzled/log_event.cc:5073
 #, c-format
 msgid "Error '%s' on opening table `%s`.`%s`"
 msgstr ""
@@ -6713,22 +6713,22 @@
 msgid "Plugin '%s' disabled by command line option"
 msgstr ""
 
-#: drizzled/sql_table.cc:108
+#: drizzled/sql_table.cc:110
 #, c-format
 msgid "Invalid (old?) table or database name '%s'"
 msgstr ""
 
-#: drizzled/sql_table.cc:2746
+#: drizzled/sql_table.cc:2762
 #, c-format
 msgid "Unknown - internal error %d during operation"
 msgstr ""
 
-#: drizzled/sql_table.cc:5019
+#: drizzled/sql_table.cc:5030
 #, c-format
 msgid "Could not open table %s.%s after rename\n"
 msgstr ""
 
-#: drizzled/sql_table.cc:5186
+#: drizzled/sql_table.cc:5197
 #, c-format
 msgid ""
 "order_st BY ignored because there is a user-defined clustered index in the "

=== modified file 'po/pt_BR.po'
--- po/pt_BR.po	2008-12-10 22:02:06 +0000
+++ po/pt_BR.po	2008-12-12 04:49:53 +0000
@@ -7,7 +7,7 @@
 msgstr ""
 "Project-Id-Version: drizzle\n"
 "Report-Msgid-Bugs-To: http://translations.launchpad.net/drizzle\n"
-"POT-Creation-Date: 2008-12-10 14:01-0800\n"
+"POT-Creation-Date: 2008-12-11 22:45-0600\n"
 "PO-Revision-Date: 2008-11-28 04:19+0000\n"
 "Last-Translator: Augusto Bott <Unknown>\n"
 "Language-Team: Brazilian Portuguese <pt_BR@li.org>\n"
@@ -1313,7 +1313,7 @@
 msgid "(Disabled)\n"
 msgstr "(Desativado)\n"
 
-#: drizzled/authentication.cc:66 drizzled/show.cc:4677
+#: drizzled/authentication.cc:66 drizzled/show.cc:4679
 #: drizzled/sql_plugin.cc:829
 #, c-format
 msgid "Plugin '%s' init function returned error."
@@ -5846,7 +5846,7 @@
 msgid "Failed to create a cache on log (file '%s')"
 msgstr ""
 
-#: drizzled/log.cc:522 drizzled/log.cc:887
+#: drizzled/log.cc:520 drizzled/log.cc:885
 #, c-format
 msgid ""
 "Could not use %s for logging (error %d). Turning logging off for the whole "
@@ -5854,82 +5854,82 @@
 "shutdown the Drizzle server and restart it."
 msgstr ""
 
-#: drizzled/log.cc:1155 drizzled/log.cc:1186 drizzled/log.cc:1435
-#: drizzled/log.cc:1557
+#: drizzled/log.cc:1153 drizzled/log.cc:1184 drizzled/log.cc:1433
+#: drizzled/log.cc:1555
 #, c-format
 msgid "Failed to delete file '%s'"
 msgstr ""
 
-#: drizzled/log.cc:1164 drizzled/log.cc:1443 drizzled/log.cc:1565
+#: drizzled/log.cc:1162 drizzled/log.cc:1441 drizzled/log.cc:1563
 #, c-format
 msgid ""
 "a problem with deleting %s; consider examining correspondence of your binlog "
 "index file to the actual binlog files"
 msgstr ""
 
-#: drizzled/log.cc:1291
+#: drizzled/log.cc:1289
 #, c-format
 msgid "next log error: %d  offset: %s  log: %s included: %d"
 msgstr ""
 
-#: drizzled/log.cc:1401 drizzled/log.cc:1525
+#: drizzled/log.cc:1399 drizzled/log.cc:1523
 #, c-format
 msgid "Failed to execute stat() on file '%s'"
 msgstr ""
 
-#: drizzled/log.cc:1412 drizzled/log.cc:1536
+#: drizzled/log.cc:1410 drizzled/log.cc:1534
 #, c-format
 msgid ""
 "a problem with getting info on being purged %s; consider examining "
 "correspondence of your binlog index file to the actual binlog files"
 msgstr ""
 
-#: drizzled/log.cc:2546 drizzled/log.cc:3044
+#: drizzled/log.cc:2544 drizzled/log.cc:3042
 #, c-format
 msgid "Recovering after a crash using %s"
 msgstr ""
 
-#: drizzled/log.cc:2549
+#: drizzled/log.cc:2547
 msgid ""
 "Cannot perform automatic crash recovery when --tc-heuristic-recover is used"
 msgstr ""
 
-#: drizzled/log.cc:2891
+#: drizzled/log.cc:2889
 msgid "Bad magic header in tc log"
 msgstr ""
 
-#: drizzled/log.cc:2901
+#: drizzled/log.cc:2899
 #, c-format
 msgid ""
 "Recovery failed! You must enable exactly %d storage engines that support two-"
 "phase commit protocol"
 msgstr ""
 
-#: drizzled/log.cc:2929
+#: drizzled/log.cc:2927
 msgid ""
 "Crash recovery failed. Either correct the problem (if it's, for example, out "
 "of memory error) and restart, or delete tc log and start drizzled with --tc-"
 "heuristic-recover={commit|rollback}"
 msgstr ""
 
+#: drizzled/log.cc:2957
+msgid "Heuristic crash recovery mode"
+msgstr ""
+
 #: drizzled/log.cc:2959
-msgid "Heuristic crash recovery mode"
-msgstr ""
-
-#: drizzled/log.cc:2961
 msgid "Heuristic crash recovery failed"
 msgstr ""
 
-#: drizzled/log.cc:2962
+#: drizzled/log.cc:2960
 msgid "Please restart mysqld without --tc-heuristic-recover"
 msgstr ""
 
-#: drizzled/log.cc:3006 drizzled/log.cc:3030
+#: drizzled/log.cc:3004 drizzled/log.cc:3028
 #, c-format
 msgid "find_log_pos() failed (error: %d)"
 msgstr ""
 
-#: drizzled/log.cc:3144
+#: drizzled/log.cc:3142
 msgid ""
 "Crash recovery failed. Either correct the problem (if it's, for example, out "
 "of memory error) and restart, or delete (or rename) binary log and start "
@@ -5985,8 +5985,8 @@
 msgid "Error '%s' on query. Default database: '%s'. Query: '%s'"
 msgstr ""
 
-#: drizzled/log_event.cc:1670 drizzled/log_event.cc:4317
-#: drizzled/log_event.cc:4348 drizzled/log_event.cc:5080
+#: drizzled/log_event.cc:1670 drizzled/log_event.cc:4313
+#: drizzled/log_event.cc:4344 drizzled/log_event.cc:5076
 msgid "unexpected success or fatal error"
 msgstr ""
 
@@ -6015,80 +6015,80 @@
 msgid "Running LOAD DATA INFILE on table '%-.64s'. Default database: '%-.64s'"
 msgstr ""
 
-#: drizzled/log_event.cc:3106
+#: drizzled/log_event.cc:3102
 msgid "Out of memory while recording slave event"
 msgstr ""
 
-#: drizzled/log_event.cc:3356 drizzled/log_event.cc:3382
+#: drizzled/log_event.cc:3352 drizzled/log_event.cc:3378
 #, c-format
 msgid "Error in Create_file event: could not open file '%s'"
 msgstr ""
 
-#: drizzled/log_event.cc:3368
+#: drizzled/log_event.cc:3364
 #, c-format
 msgid "Error in Create_file event: could not write to file '%s'"
 msgstr ""
 
-#: drizzled/log_event.cc:3389
+#: drizzled/log_event.cc:3385
 #, c-format
 msgid "Error in Create_file event: write to '%s' failed"
 msgstr ""
 
-#: drizzled/log_event.cc:3503
+#: drizzled/log_event.cc:3499
 #, c-format
 msgid "Error in %s event: could not create file '%s'"
 msgstr ""
 
-#: drizzled/log_event.cc:3512
+#: drizzled/log_event.cc:3508
 #, c-format
 msgid "Error in %s event: could not open file '%s'"
 msgstr ""
 
-#: drizzled/log_event.cc:3519
+#: drizzled/log_event.cc:3515
 #, c-format
 msgid "Error in %s event: write to '%s' failed"
 msgstr ""
 
-#: drizzled/log_event.cc:3681
+#: drizzled/log_event.cc:3677
 #, c-format
 msgid "Error in Exec_load event: could not open file '%s'"
 msgstr ""
 
-#: drizzled/log_event.cc:3691
+#: drizzled/log_event.cc:3687
 #, c-format
 msgid "Error in Exec_load event: file '%s' appears corrupted"
 msgstr ""
 
-#: drizzled/log_event.cc:3721
+#: drizzled/log_event.cc:3717
 #, c-format
 msgid "%s. Failed executing load from '%s'"
 msgstr ""
 
-#: drizzled/log_event.cc:3894
+#: drizzled/log_event.cc:3890
 msgid "Not enough memory"
 msgstr ""
 
-#: drizzled/log_event.cc:4314
+#: drizzled/log_event.cc:4310
 #, c-format
 msgid "Error '%s' in %s event: when locking tables"
 msgstr ""
 
-#: drizzled/log_event.cc:4324
+#: drizzled/log_event.cc:4320
 #, c-format
 msgid "Error in %s event: when locking tables"
 msgstr ""
 
-#: drizzled/log_event.cc:4345
+#: drizzled/log_event.cc:4341
 #, c-format
 msgid "Error '%s' on reopening tables"
 msgstr ""
 
-#: drizzled/log_event.cc:4681
+#: drizzled/log_event.cc:4677
 #, c-format
 msgid "Error in %s event: commit of row events failed, table `%s`.`%s`"
 msgstr ""
 
-#: drizzled/log_event.cc:5077
+#: drizzled/log_event.cc:5073
 #, c-format
 msgid "Error '%s' on opening table `%s`.`%s`"
 msgstr ""
@@ -6841,22 +6841,22 @@
 msgid "Plugin '%s' disabled by command line option"
 msgstr "O plugin '%s' foi desativado por uma opção de linha de comando"
 
-#: drizzled/sql_table.cc:108
+#: drizzled/sql_table.cc:110
 #, c-format
 msgid "Invalid (old?) table or database name '%s'"
 msgstr "Nome de tabela ou banco de dados %s invalido(Antigo?)"
 
-#: drizzled/sql_table.cc:2746
+#: drizzled/sql_table.cc:2762
 #, c-format
 msgid "Unknown - internal error %d during operation"
 msgstr "Desconhecido - erro interno %d durante a operação"
 
-#: drizzled/sql_table.cc:5019
+#: drizzled/sql_table.cc:5030
 #, c-format
 msgid "Could not open table %s.%s after rename\n"
 msgstr "Não foi possivel abrir a tabela %s.%s depois de renomea-la\n"
 
-#: drizzled/sql_table.cc:5186
+#: drizzled/sql_table.cc:5197
 #, c-format
 msgid ""
 "order_st BY ignored because there is a user-defined clustered index in the "

=== modified file 'po/ro.po'
--- po/ro.po	2008-12-10 22:02:06 +0000
+++ po/ro.po	2008-12-12 04:49:53 +0000
@@ -7,7 +7,7 @@
 msgstr ""
 "Project-Id-Version: drizzle\n"
 "Report-Msgid-Bugs-To: http://translations.launchpad.net/drizzle\n"
-"POT-Creation-Date: 2008-12-10 14:01-0800\n"
+"POT-Creation-Date: 2008-12-11 22:45-0600\n"
 "PO-Revision-Date: 2008-11-27 02:09+0000\n"
 "Last-Translator: Ionuț Jula <ionutjula@gmail.com>\n"
 "Language-Team: Romanian <ro@li.org>\n"
@@ -1214,7 +1214,7 @@
 msgid "(Disabled)\n"
 msgstr ""
 
-#: drizzled/authentication.cc:66 drizzled/show.cc:4677
+#: drizzled/authentication.cc:66 drizzled/show.cc:4679
 #: drizzled/sql_plugin.cc:829
 #, c-format
 msgid "Plugin '%s' init function returned error."
@@ -5714,7 +5714,7 @@
 msgid "Failed to create a cache on log (file '%s')"
 msgstr ""
 
-#: drizzled/log.cc:522 drizzled/log.cc:887
+#: drizzled/log.cc:520 drizzled/log.cc:885
 #, c-format
 msgid ""
 "Could not use %s for logging (error %d). Turning logging off for the whole "
@@ -5722,82 +5722,82 @@
 "shutdown the Drizzle server and restart it."
 msgstr ""
 
-#: drizzled/log.cc:1155 drizzled/log.cc:1186 drizzled/log.cc:1435
-#: drizzled/log.cc:1557
+#: drizzled/log.cc:1153 drizzled/log.cc:1184 drizzled/log.cc:1433
+#: drizzled/log.cc:1555
 #, c-format
 msgid "Failed to delete file '%s'"
 msgstr ""
 
-#: drizzled/log.cc:1164 drizzled/log.cc:1443 drizzled/log.cc:1565
+#: drizzled/log.cc:1162 drizzled/log.cc:1441 drizzled/log.cc:1563
 #, c-format
 msgid ""
 "a problem with deleting %s; consider examining correspondence of your binlog "
 "index file to the actual binlog files"
 msgstr ""
 
-#: drizzled/log.cc:1291
+#: drizzled/log.cc:1289
 #, c-format
 msgid "next log error: %d  offset: %s  log: %s included: %d"
 msgstr ""
 
-#: drizzled/log.cc:1401 drizzled/log.cc:1525
+#: drizzled/log.cc:1399 drizzled/log.cc:1523
 #, c-format
 msgid "Failed to execute stat() on file '%s'"
 msgstr ""
 
-#: drizzled/log.cc:1412 drizzled/log.cc:1536
+#: drizzled/log.cc:1410 drizzled/log.cc:1534
 #, c-format
 msgid ""
 "a problem with getting info on being purged %s; consider examining "
 "correspondence of your binlog index file to the actual binlog files"
 msgstr ""
 
-#: drizzled/log.cc:2546 drizzled/log.cc:3044
+#: drizzled/log.cc:2544 drizzled/log.cc:3042
 #, c-format
 msgid "Recovering after a crash using %s"
 msgstr ""
 
-#: drizzled/log.cc:2549
+#: drizzled/log.cc:2547
 msgid ""
 "Cannot perform automatic crash recovery when --tc-heuristic-recover is used"
 msgstr ""
 
-#: drizzled/log.cc:2891
+#: drizzled/log.cc:2889
 msgid "Bad magic header in tc log"
 msgstr ""
 
-#: drizzled/log.cc:2901
+#: drizzled/log.cc:2899
 #, c-format
 msgid ""
 "Recovery failed! You must enable exactly %d storage engines that support two-"
 "phase commit protocol"
 msgstr ""
 
-#: drizzled/log.cc:2929
+#: drizzled/log.cc:2927
 msgid ""
 "Crash recovery failed. Either correct the problem (if it's, for example, out "
 "of memory error) and restart, or delete tc log and start drizzled with --tc-"
 "heuristic-recover={commit|rollback}"
 msgstr ""
 
+#: drizzled/log.cc:2957
+msgid "Heuristic crash recovery mode"
+msgstr ""
+
 #: drizzled/log.cc:2959
-msgid "Heuristic crash recovery mode"
-msgstr ""
-
-#: drizzled/log.cc:2961
 msgid "Heuristic crash recovery failed"
 msgstr ""
 
-#: drizzled/log.cc:2962
+#: drizzled/log.cc:2960
 msgid "Please restart mysqld without --tc-heuristic-recover"
 msgstr ""
 
-#: drizzled/log.cc:3006 drizzled/log.cc:3030
+#: drizzled/log.cc:3004 drizzled/log.cc:3028
 #, c-format
 msgid "find_log_pos() failed (error: %d)"
 msgstr ""
 
-#: drizzled/log.cc:3144
+#: drizzled/log.cc:3142
 msgid ""
 "Crash recovery failed. Either correct the problem (if it's, for example, out "
 "of memory error) and restart, or delete (or rename) binary log and start "
@@ -5853,8 +5853,8 @@
 msgid "Error '%s' on query. Default database: '%s'. Query: '%s'"
 msgstr ""
 
-#: drizzled/log_event.cc:1670 drizzled/log_event.cc:4317
-#: drizzled/log_event.cc:4348 drizzled/log_event.cc:5080
+#: drizzled/log_event.cc:1670 drizzled/log_event.cc:4313
+#: drizzled/log_event.cc:4344 drizzled/log_event.cc:5076
 msgid "unexpected success or fatal error"
 msgstr ""
 
@@ -5883,80 +5883,80 @@
 msgid "Running LOAD DATA INFILE on table '%-.64s'. Default database: '%-.64s'"
 msgstr ""
 
-#: drizzled/log_event.cc:3106
+#: drizzled/log_event.cc:3102
 msgid "Out of memory while recording slave event"
 msgstr ""
 
-#: drizzled/log_event.cc:3356 drizzled/log_event.cc:3382
+#: drizzled/log_event.cc:3352 drizzled/log_event.cc:3378
 #, c-format
 msgid "Error in Create_file event: could not open file '%s'"
 msgstr ""
 
-#: drizzled/log_event.cc:3368
+#: drizzled/log_event.cc:3364
 #, c-format
 msgid "Error in Create_file event: could not write to file '%s'"
 msgstr ""
 
-#: drizzled/log_event.cc:3389
+#: drizzled/log_event.cc:3385
 #, c-format
 msgid "Error in Create_file event: write to '%s' failed"
 msgstr ""
 
-#: drizzled/log_event.cc:3503
+#: drizzled/log_event.cc:3499
 #, c-format
 msgid "Error in %s event: could not create file '%s'"
 msgstr ""
 
-#: drizzled/log_event.cc:3512
+#: drizzled/log_event.cc:3508
 #, c-format
 msgid "Error in %s event: could not open file '%s'"
 msgstr ""
 
-#: drizzled/log_event.cc:3519
+#: drizzled/log_event.cc:3515
 #, c-format
 msgid "Error in %s event: write to '%s' failed"
 msgstr ""
 
-#: drizzled/log_event.cc:3681
+#: drizzled/log_event.cc:3677
 #, c-format
 msgid "Error in Exec_load event: could not open file '%s'"
 msgstr ""
 
-#: drizzled/log_event.cc:3691
+#: drizzled/log_event.cc:3687
 #, c-format
 msgid "Error in Exec_load event: file '%s' appears corrupted"
 msgstr ""
 
-#: drizzled/log_event.cc:3721
+#: drizzled/log_event.cc:3717
 #, c-format
 msgid "%s. Failed executing load from '%s'"
 msgstr ""
 
-#: drizzled/log_event.cc:3894
+#: drizzled/log_event.cc:3890
 msgid "Not enough memory"
 msgstr ""
 
-#: drizzled/log_event.cc:4314
+#: drizzled/log_event.cc:4310
 #, c-format
 msgid "Error '%s' in %s event: when locking tables"
 msgstr ""
 
-#: drizzled/log_event.cc:4324
+#: drizzled/log_event.cc:4320
 #, c-format
 msgid "Error in %s event: when locking tables"
 msgstr ""
 
-#: drizzled/log_event.cc:4345
+#: drizzled/log_event.cc:4341
 #, c-format
 msgid "Error '%s' on reopening tables"
 msgstr ""
 
-#: drizzled/log_event.cc:4681
+#: drizzled/log_event.cc:4677
 #, c-format
 msgid "Error in %s event: commit of row events failed, table `%s`.`%s`"
 msgstr ""
 
-#: drizzled/log_event.cc:5077
+#: drizzled/log_event.cc:5073
 #, c-format
 msgid "Error '%s' on opening table `%s`.`%s`"
 msgstr ""
@@ -6706,22 +6706,22 @@
 msgid "Plugin '%s' disabled by command line option"
 msgstr ""
 
-#: drizzled/sql_table.cc:108
+#: drizzled/sql_table.cc:110
 #, c-format
 msgid "Invalid (old?) table or database name '%s'"
 msgstr ""
 
-#: drizzled/sql_table.cc:2746
+#: drizzled/sql_table.cc:2762
 #, c-format
 msgid "Unknown - internal error %d during operation"
 msgstr ""
 
-#: drizzled/sql_table.cc:5019
+#: drizzled/sql_table.cc:5030
 #, c-format
 msgid "Could not open table %s.%s after rename\n"
 msgstr ""
 
-#: drizzled/sql_table.cc:5186
+#: drizzled/sql_table.cc:5197
 #, c-format
 msgid ""
 "order_st BY ignored because there is a user-defined clustered index in the "

=== modified file 'po/ru.po'
--- po/ru.po	2008-12-10 22:02:06 +0000
+++ po/ru.po	2008-12-12 04:49:53 +0000
@@ -7,7 +7,7 @@
 msgstr ""
 "Project-Id-Version: drizzle\n"
 "Report-Msgid-Bugs-To: http://translations.launchpad.net/drizzle\n"
-"POT-Creation-Date: 2008-12-10 14:01-0800\n"
+"POT-Creation-Date: 2008-12-11 22:45-0600\n"
 "PO-Revision-Date: 2008-11-27 02:16+0000\n"
 "Last-Translator: Monty Taylor <mordred@inaugust.com>\n"
 "Language-Team: Russian <ru@li.org>\n"
@@ -1238,7 +1238,7 @@
 msgid "(Disabled)\n"
 msgstr ""
 
-#: drizzled/authentication.cc:66 drizzled/show.cc:4677
+#: drizzled/authentication.cc:66 drizzled/show.cc:4679
 #: drizzled/sql_plugin.cc:829
 #, c-format
 msgid "Plugin '%s' init function returned error."
@@ -5738,7 +5738,7 @@
 msgid "Failed to create a cache on log (file '%s')"
 msgstr ""
 
-#: drizzled/log.cc:522 drizzled/log.cc:887
+#: drizzled/log.cc:520 drizzled/log.cc:885
 #, c-format
 msgid ""
 "Could not use %s for logging (error %d). Turning logging off for the whole "
@@ -5746,82 +5746,82 @@
 "shutdown the Drizzle server and restart it."
 msgstr ""
 
-#: drizzled/log.cc:1155 drizzled/log.cc:1186 drizzled/log.cc:1435
-#: drizzled/log.cc:1557
+#: drizzled/log.cc:1153 drizzled/log.cc:1184 drizzled/log.cc:1433
+#: drizzled/log.cc:1555
 #, c-format
 msgid "Failed to delete file '%s'"
 msgstr ""
 
-#: drizzled/log.cc:1164 drizzled/log.cc:1443 drizzled/log.cc:1565
+#: drizzled/log.cc:1162 drizzled/log.cc:1441 drizzled/log.cc:1563
 #, c-format
 msgid ""
 "a problem with deleting %s; consider examining correspondence of your binlog "
 "index file to the actual binlog files"
 msgstr ""
 
-#: drizzled/log.cc:1291
+#: drizzled/log.cc:1289
 #, c-format
 msgid "next log error: %d  offset: %s  log: %s included: %d"
 msgstr ""
 
-#: drizzled/log.cc:1401 drizzled/log.cc:1525
+#: drizzled/log.cc:1399 drizzled/log.cc:1523
 #, c-format
 msgid "Failed to execute stat() on file '%s'"
 msgstr ""
 
-#: drizzled/log.cc:1412 drizzled/log.cc:1536
+#: drizzled/log.cc:1410 drizzled/log.cc:1534
 #, c-format
 msgid ""
 "a problem with getting info on being purged %s; consider examining "
 "correspondence of your binlog index file to the actual binlog files"
 msgstr ""
 
-#: drizzled/log.cc:2546 drizzled/log.cc:3044
+#: drizzled/log.cc:2544 drizzled/log.cc:3042
 #, c-format
 msgid "Recovering after a crash using %s"
 msgstr ""
 
-#: drizzled/log.cc:2549
+#: drizzled/log.cc:2547
 msgid ""
 "Cannot perform automatic crash recovery when --tc-heuristic-recover is used"
 msgstr ""
 
-#: drizzled/log.cc:2891
+#: drizzled/log.cc:2889
 msgid "Bad magic header in tc log"
 msgstr ""
 
-#: drizzled/log.cc:2901
+#: drizzled/log.cc:2899
 #, c-format
 msgid ""
 "Recovery failed! You must enable exactly %d storage engines that support two-"
 "phase commit protocol"
 msgstr ""
 
-#: drizzled/log.cc:2929
+#: drizzled/log.cc:2927
 msgid ""
 "Crash recovery failed. Either correct the problem (if it's, for example, out "
 "of memory error) and restart, or delete tc log and start drizzled with --tc-"
 "heuristic-recover={commit|rollback}"
 msgstr ""
 
+#: drizzled/log.cc:2957
+msgid "Heuristic crash recovery mode"
+msgstr ""
+
 #: drizzled/log.cc:2959
-msgid "Heuristic crash recovery mode"
-msgstr ""
-
-#: drizzled/log.cc:2961
 msgid "Heuristic crash recovery failed"
 msgstr ""
 
-#: drizzled/log.cc:2962
+#: drizzled/log.cc:2960
 msgid "Please restart mysqld without --tc-heuristic-recover"
 msgstr ""
 
-#: drizzled/log.cc:3006 drizzled/log.cc:3030
+#: drizzled/log.cc:3004 drizzled/log.cc:3028
 #, c-format
 msgid "find_log_pos() failed (error: %d)"
 msgstr ""
 
-#: drizzled/log.cc:3144
+#: drizzled/log.cc:3142
 msgid ""
 "Crash recovery failed. Either correct the problem (if it's, for example, out "
 "of memory error) and restart, or delete (or rename) binary log and start "
@@ -5877,8 +5877,8 @@
 msgid "Error '%s' on query. Default database: '%s'. Query: '%s'"
 msgstr ""
 
-#: drizzled/log_event.cc:1670 drizzled/log_event.cc:4317
-#: drizzled/log_event.cc:4348 drizzled/log_event.cc:5080
+#: drizzled/log_event.cc:1670 drizzled/log_event.cc:4313
+#: drizzled/log_event.cc:4344 drizzled/log_event.cc:5076
 msgid "unexpected success or fatal error"
 msgstr ""
 
@@ -5907,80 +5907,80 @@
 msgid "Running LOAD DATA INFILE on table '%-.64s'. Default database: '%-.64s'"
 msgstr ""
 
-#: drizzled/log_event.cc:3106
+#: drizzled/log_event.cc:3102
 msgid "Out of memory while recording slave event"
 msgstr ""
 
-#: drizzled/log_event.cc:3356 drizzled/log_event.cc:3382
+#: drizzled/log_event.cc:3352 drizzled/log_event.cc:3378
 #, c-format
 msgid "Error in Create_file event: could not open file '%s'"
 msgstr ""
 
-#: drizzled/log_event.cc:3368
+#: drizzled/log_event.cc:3364
 #, c-format
 msgid "Error in Create_file event: could not write to file '%s'"
 msgstr ""
 
-#: drizzled/log_event.cc:3389
+#: drizzled/log_event.cc:3385
 #, c-format
 msgid "Error in Create_file event: write to '%s' failed"
 msgstr ""
 
-#: drizzled/log_event.cc:3503
+#: drizzled/log_event.cc:3499
 #, c-format
 msgid "Error in %s event: could not create file '%s'"
 msgstr ""
 
-#: drizzled/log_event.cc:3512
+#: drizzled/log_event.cc:3508
 #, c-format
 msgid "Error in %s event: could not open file '%s'"
 msgstr ""
 
-#: drizzled/log_event.cc:3519
+#: drizzled/log_event.cc:3515
 #, c-format
 msgid "Error in %s event: write to '%s' failed"
 msgstr ""
 
-#: drizzled/log_event.cc:3681
+#: drizzled/log_event.cc:3677
 #, c-format
 msgid "Error in Exec_load event: could not open file '%s'"
 msgstr ""
 
-#: drizzled/log_event.cc:3691
+#: drizzled/log_event.cc:3687
 #, c-format
 msgid "Error in Exec_load event: file '%s' appears corrupted"
 msgstr ""
 
-#: drizzled/log_event.cc:3721
+#: drizzled/log_event.cc:3717
 #, c-format
 msgid "%s. Failed executing load from '%s'"
 msgstr ""
 
-#: drizzled/log_event.cc:3894
+#: drizzled/log_event.cc:3890
 msgid "Not enough memory"
 msgstr ""
 
-#: drizzled/log_event.cc:4314
+#: drizzled/log_event.cc:4310
 #, c-format
 msgid "Error '%s' in %s event: when locking tables"
 msgstr ""
 
-#: drizzled/log_event.cc:4324
+#: drizzled/log_event.cc:4320
 #, c-format
 msgid "Error in %s event: when locking tables"
 msgstr ""
 
-#: drizzled/log_event.cc:4345
+#: drizzled/log_event.cc:4341
 #, c-format
 msgid "Error '%s' on reopening tables"
 msgstr ""
 
-#: drizzled/log_event.cc:4681
+#: drizzled/log_event.cc:4677
 #, c-format
 msgid "Error in %s event: commit of row events failed, table `%s`.`%s`"
 msgstr ""
 
-#: drizzled/log_event.cc:5077
+#: drizzled/log_event.cc:5073
 #, c-format
 msgid "Error '%s' on opening table `%s`.`%s`"
 msgstr ""
@@ -6730,22 +6730,22 @@
 msgid "Plugin '%s' disabled by command line option"
 msgstr ""
 
-#: drizzled/sql_table.cc:108
+#: drizzled/sql_table.cc:110
 #, c-format
 msgid "Invalid (old?) table or database name '%s'"
 msgstr ""
 
-#: drizzled/sql_table.cc:2746
+#: drizzled/sql_table.cc:2762
 #, c-format
 msgid "Unknown - internal error %d during operation"
 msgstr ""
 
-#: drizzled/sql_table.cc:5019
+#: drizzled/sql_table.cc:5030
 #, c-format
 msgid "Could not open table %s.%s after rename\n"
 msgstr ""
 
-#: drizzled/sql_table.cc:5186
+#: drizzled/sql_table.cc:5197
 #, c-format
 msgid ""
 "order_st BY ignored because there is a user-defined clustered index in the "

=== modified file 'po/sv.po'
--- po/sv.po	2008-12-10 22:02:06 +0000
+++ po/sv.po	2008-12-12 04:49:53 +0000
@@ -7,7 +7,7 @@
 msgstr ""
 "Project-Id-Version: drizzle\n"
 "Report-Msgid-Bugs-To: http://translations.launchpad.net/drizzle\n"
-"POT-Creation-Date: 2008-12-10 14:01-0800\n"
+"POT-Creation-Date: 2008-12-11 22:45-0600\n"
 "PO-Revision-Date: 2008-11-27 02:27+0000\n"
 "Last-Translator: Anders Grandt <anders@modernreklam.se>\n"
 "Language-Team: Swedish <sv@li.org>\n"
@@ -1219,7 +1219,7 @@
 msgid "(Disabled)\n"
 msgstr ""
 
-#: drizzled/authentication.cc:66 drizzled/show.cc:4677
+#: drizzled/authentication.cc:66 drizzled/show.cc:4679
 #: drizzled/sql_plugin.cc:829
 #, c-format
 msgid "Plugin '%s' init function returned error."
@@ -5719,7 +5719,7 @@
 msgid "Failed to create a cache on log (file '%s')"
 msgstr ""
 
-#: drizzled/log.cc:522 drizzled/log.cc:887
+#: drizzled/log.cc:520 drizzled/log.cc:885
 #, c-format
 msgid ""
 "Could not use %s for logging (error %d). Turning logging off for the whole "
@@ -5727,82 +5727,82 @@
 "shutdown the Drizzle server and restart it."
 msgstr ""
 
-#: drizzled/log.cc:1155 drizzled/log.cc:1186 drizzled/log.cc:1435
-#: drizzled/log.cc:1557
+#: drizzled/log.cc:1153 drizzled/log.cc:1184 drizzled/log.cc:1433
+#: drizzled/log.cc:1555
 #, c-format
 msgid "Failed to delete file '%s'"
 msgstr ""
 
-#: drizzled/log.cc:1164 drizzled/log.cc:1443 drizzled/log.cc:1565
+#: drizzled/log.cc:1162 drizzled/log.cc:1441 drizzled/log.cc:1563
 #, c-format
 msgid ""
 "a problem with deleting %s; consider examining correspondence of your binlog "
 "index file to the actual binlog files"
 msgstr ""
 
-#: drizzled/log.cc:1291
+#: drizzled/log.cc:1289
 #, c-format
 msgid "next log error: %d  offset: %s  log: %s included: %d"
 msgstr ""
 
-#: drizzled/log.cc:1401 drizzled/log.cc:1525
+#: drizzled/log.cc:1399 drizzled/log.cc:1523
 #, c-format
 msgid "Failed to execute stat() on file '%s'"
 msgstr ""
 
-#: drizzled/log.cc:1412 drizzled/log.cc:1536
+#: drizzled/log.cc:1410 drizzled/log.cc:1534
 #, c-format
 msgid ""
 "a problem with getting info on being purged %s; consider examining "
 "correspondence of your binlog index file to the actual binlog files"
 msgstr ""
 
-#: drizzled/log.cc:2546 drizzled/log.cc:3044
+#: drizzled/log.cc:2544 drizzled/log.cc:3042
 #, c-format
 msgid "Recovering after a crash using %s"
 msgstr ""
 
-#: drizzled/log.cc:2549
+#: drizzled/log.cc:2547
 msgid ""
 "Cannot perform automatic crash recovery when --tc-heuristic-recover is used"
 msgstr ""
 
-#: drizzled/log.cc:2891
+#: drizzled/log.cc:2889
 msgid "Bad magic header in tc log"
 msgstr ""
 
-#: drizzled/log.cc:2901
+#: drizzled/log.cc:2899
 #, c-format
 msgid ""
 "Recovery failed! You must enable exactly %d storage engines that support two-"
 "phase commit protocol"
 msgstr ""
 
-#: drizzled/log.cc:2929
+#: drizzled/log.cc:2927
 msgid ""
 "Crash recovery failed. Either correct the problem (if it's, for example, out "
 "of memory error) and restart, or delete tc log and start drizzled with --tc-"
 "heuristic-recover={commit|rollback}"
 msgstr ""
 
+#: drizzled/log.cc:2957
+msgid "Heuristic crash recovery mode"
+msgstr ""
+
 #: drizzled/log.cc:2959
-msgid "Heuristic crash recovery mode"
-msgstr ""
-
-#: drizzled/log.cc:2961
 msgid "Heuristic crash recovery failed"
 msgstr ""
 
-#: drizzled/log.cc:2962
+#: drizzled/log.cc:2960
 msgid "Please restart mysqld without --tc-heuristic-recover"
 msgstr ""
 
-#: drizzled/log.cc:3006 drizzled/log.cc:3030
+#: drizzled/log.cc:3004 drizzled/log.cc:3028
 #, c-format
 msgid "find_log_pos() failed (error: %d)"
 msgstr ""
 
-#: drizzled/log.cc:3144
+#: drizzled/log.cc:3142
 msgid ""
 "Crash recovery failed. Either correct the problem (if it's, for example, out "
 "of memory error) and restart, or delete (or rename) binary log and start "
@@ -5858,8 +5858,8 @@
 msgid "Error '%s' on query. Default database: '%s'. Query: '%s'"
 msgstr ""
 
-#: drizzled/log_event.cc:1670 drizzled/log_event.cc:4317
-#: drizzled/log_event.cc:4348 drizzled/log_event.cc:5080
+#: drizzled/log_event.cc:1670 drizzled/log_event.cc:4313
+#: drizzled/log_event.cc:4344 drizzled/log_event.cc:5076
 msgid "unexpected success or fatal error"
 msgstr ""
 
@@ -5888,80 +5888,80 @@
 msgid "Running LOAD DATA INFILE on table '%-.64s'. Default database: '%-.64s'"
 msgstr ""
 
-#: drizzled/log_event.cc:3106
+#: drizzled/log_event.cc:3102
 msgid "Out of memory while recording slave event"
 msgstr ""
 
-#: drizzled/log_event.cc:3356 drizzled/log_event.cc:3382
+#: drizzled/log_event.cc:3352 drizzled/log_event.cc:3378
 #, c-format
 msgid "Error in Create_file event: could not open file '%s'"
 msgstr ""
 
-#: drizzled/log_event.cc:3368
+#: drizzled/log_event.cc:3364
 #, c-format
 msgid "Error in Create_file event: could not write to file '%s'"
 msgstr ""
 
-#: drizzled/log_event.cc:3389
+#: drizzled/log_event.cc:3385
 #, c-format
 msgid "Error in Create_file event: write to '%s' failed"
 msgstr ""
 
-#: drizzled/log_event.cc:3503
+#: drizzled/log_event.cc:3499
 #, c-format
 msgid "Error in %s event: could not create file '%s'"
 msgstr ""
 
-#: drizzled/log_event.cc:3512
+#: drizzled/log_event.cc:3508
 #, c-format
 msgid "Error in %s event: could not open file '%s'"
 msgstr ""
 
-#: drizzled/log_event.cc:3519
+#: drizzled/log_event.cc:3515
 #, c-format
 msgid "Error in %s event: write to '%s' failed"
 msgstr ""
 
-#: drizzled/log_event.cc:3681
+#: drizzled/log_event.cc:3677
 #, c-format
 msgid "Error in Exec_load event: could not open file '%s'"
 msgstr ""
 
-#: drizzled/log_event.cc:3691
+#: drizzled/log_event.cc:3687
 #, c-format
 msgid "Error in Exec_load event: file '%s' appears corrupted"
 msgstr ""
 
-#: drizzled/log_event.cc:3721
+#: drizzled/log_event.cc:3717
 #, c-format
 msgid "%s. Failed executing load from '%s'"
 msgstr ""
 
-#: drizzled/log_event.cc:3894
+#: drizzled/log_event.cc:3890
 msgid "Not enough memory"
 msgstr ""
 
-#: drizzled/log_event.cc:4314
+#: drizzled/log_event.cc:4310
 #, c-format
 msgid "Error '%s' in %s event: when locking tables"
 msgstr ""
 
-#: drizzled/log_event.cc:4324
+#: drizzled/log_event.cc:4320
 #, c-format
 msgid "Error in %s event: when locking tables"
 msgstr ""
 
-#: drizzled/log_event.cc:4345
+#: drizzled/log_event.cc:4341
 #, c-format
 msgid "Error '%s' on reopening tables"
 msgstr ""
 
-#: drizzled/log_event.cc:4681
+#: drizzled/log_event.cc:4677
 #, c-format
 msgid "Error in %s event: commit of row events failed, table `%s`.`%s`"
 msgstr ""
 
-#: drizzled/log_event.cc:5077
+#: drizzled/log_event.cc:5073
 #, c-format
 msgid "Error '%s' on opening table `%s`.`%s`"
 msgstr ""
@@ -6711,22 +6711,22 @@
 msgid "Plugin '%s' disabled by command line option"
 msgstr ""
 
-#: drizzled/sql_table.cc:108
+#: drizzled/sql_table.cc:110
 #, c-format
 msgid "Invalid (old?) table or database name '%s'"
 msgstr ""
 
-#: drizzled/sql_table.cc:2746
+#: drizzled/sql_table.cc:2762
 #, c-format
 msgid "Unknown - internal error %d during operation"
 msgstr ""
 
-#: drizzled/sql_table.cc:5019
+#: drizzled/sql_table.cc:5030
 #, c-format
 msgid "Could not open table %s.%s after rename\n"
 msgstr ""
 
-#: drizzled/sql_table.cc:5186
+#: drizzled/sql_table.cc:5197
 #, c-format
 msgid ""
 "order_st BY ignored because there is a user-defined clustered index in the "

=== modified file 'po/ta.po'
--- po/ta.po	2008-12-10 22:02:06 +0000
+++ po/ta.po	2008-12-12 04:49:53 +0000
@@ -7,9 +7,9 @@
 msgstr ""
 "Project-Id-Version: drizzle\n"
 "Report-Msgid-Bugs-To: http://translations.launchpad.net/drizzle\n"
-"POT-Creation-Date: 2008-12-10 14:01-0800\n"
+"POT-Creation-Date: 2008-12-11 22:45-0600\n"
 "PO-Revision-Date: 2008-08-18 09:11+0000\n"
-"Last-Translator: FULL NAME <EMAIL@ADDRESS>\n"
+"Last-Translator: Monty Taylor <mordred@inaugust.com\n"
 "Language-Team: Tamil <ta@li.org>\n"
 "MIME-Version: 1.0\n"
 "Content-Type: text/plain; charset=UTF-8\n"
@@ -1204,7 +1204,7 @@
 msgid "(Disabled)\n"
 msgstr ""
 
-#: drizzled/authentication.cc:66 drizzled/show.cc:4677
+#: drizzled/authentication.cc:66 drizzled/show.cc:4679
 #: drizzled/sql_plugin.cc:829
 #, c-format
 msgid "Plugin '%s' init function returned error."
@@ -5704,7 +5704,7 @@
 msgid "Failed to create a cache on log (file '%s')"
 msgstr ""
 
-#: drizzled/log.cc:522 drizzled/log.cc:887
+#: drizzled/log.cc:520 drizzled/log.cc:885
 #, c-format
 msgid ""
 "Could not use %s for logging (error %d). Turning logging off for the whole "
@@ -5712,82 +5712,82 @@
 "shutdown the Drizzle server and restart it."
 msgstr ""
 
-#: drizzled/log.cc:1155 drizzled/log.cc:1186 drizzled/log.cc:1435
-#: drizzled/log.cc:1557
+#: drizzled/log.cc:1153 drizzled/log.cc:1184 drizzled/log.cc:1433
+#: drizzled/log.cc:1555
 #, c-format
 msgid "Failed to delete file '%s'"
 msgstr ""
 
-#: drizzled/log.cc:1164 drizzled/log.cc:1443 drizzled/log.cc:1565
+#: drizzled/log.cc:1162 drizzled/log.cc:1441 drizzled/log.cc:1563
 #, c-format
 msgid ""
 "a problem with deleting %s; consider examining correspondence of your binlog "
 "index file to the actual binlog files"
 msgstr ""
 
-#: drizzled/log.cc:1291
+#: drizzled/log.cc:1289
 #, c-format
 msgid "next log error: %d  offset: %s  log: %s included: %d"
 msgstr ""
 
-#: drizzled/log.cc:1401 drizzled/log.cc:1525
+#: drizzled/log.cc:1399 drizzled/log.cc:1523
 #, c-format
 msgid "Failed to execute stat() on file '%s'"
 msgstr ""
 
-#: drizzled/log.cc:1412 drizzled/log.cc:1536
+#: drizzled/log.cc:1410 drizzled/log.cc:1534
 #, c-format
 msgid ""
 "a problem with getting info on being purged %s; consider examining "
 "correspondence of your binlog index file to the actual binlog files"
 msgstr ""
 
-#: drizzled/log.cc:2546 drizzled/log.cc:3044
+#: drizzled/log.cc:2544 drizzled/log.cc:3042
 #, c-format
 msgid "Recovering after a crash using %s"
 msgstr ""
 
-#: drizzled/log.cc:2549
+#: drizzled/log.cc:2547
 msgid ""
 "Cannot perform automatic crash recovery when --tc-heuristic-recover is used"
 msgstr ""
 
-#: drizzled/log.cc:2891
+#: drizzled/log.cc:2889
 msgid "Bad magic header in tc log"
 msgstr ""
 
-#: drizzled/log.cc:2901
+#: drizzled/log.cc:2899
 #, c-format
 msgid ""
 "Recovery failed! You must enable exactly %d storage engines that support two-"
 "phase commit protocol"
 msgstr ""
 
-#: drizzled/log.cc:2929
+#: drizzled/log.cc:2927
 msgid ""
 "Crash recovery failed. Either correct the problem (if it's, for example, out "
 "of memory error) and restart, or delete tc log and start drizzled with --tc-"
 "heuristic-recover={commit|rollback}"
 msgstr ""
 
+#: drizzled/log.cc:2957
+msgid "Heuristic crash recovery mode"
+msgstr ""
+
 #: drizzled/log.cc:2959
-msgid "Heuristic crash recovery mode"
-msgstr ""
-
-#: drizzled/log.cc:2961
 msgid "Heuristic crash recovery failed"
 msgstr ""
 
-#: drizzled/log.cc:2962
+#: drizzled/log.cc:2960
 msgid "Please restart mysqld without --tc-heuristic-recover"
 msgstr ""
 
-#: drizzled/log.cc:3006 drizzled/log.cc:3030
+#: drizzled/log.cc:3004 drizzled/log.cc:3028
 #, c-format
 msgid "find_log_pos() failed (error: %d)"
 msgstr ""
 
-#: drizzled/log.cc:3144
+#: drizzled/log.cc:3142
 msgid ""
 "Crash recovery failed. Either correct the problem (if it's, for example, out "
 "of memory error) and restart, or delete (or rename) binary log and start "
@@ -5843,8 +5843,8 @@
 msgid "Error '%s' on query. Default database: '%s'. Query: '%s'"
 msgstr ""
 
-#: drizzled/log_event.cc:1670 drizzled/log_event.cc:4317
-#: drizzled/log_event.cc:4348 drizzled/log_event.cc:5080
+#: drizzled/log_event.cc:1670 drizzled/log_event.cc:4313
+#: drizzled/log_event.cc:4344 drizzled/log_event.cc:5076
 msgid "unexpected success or fatal error"
 msgstr ""
 
@@ -5873,80 +5873,80 @@
 msgid "Running LOAD DATA INFILE on table '%-.64s'. Default database: '%-.64s'"
 msgstr ""
 
-#: drizzled/log_event.cc:3106
+#: drizzled/log_event.cc:3102
 msgid "Out of memory while recording slave event"
 msgstr ""
 
-#: drizzled/log_event.cc:3356 drizzled/log_event.cc:3382
+#: drizzled/log_event.cc:3352 drizzled/log_event.cc:3378
 #, c-format
 msgid "Error in Create_file event: could not open file '%s'"
 msgstr ""
 
-#: drizzled/log_event.cc:3368
+#: drizzled/log_event.cc:3364
 #, c-format
 msgid "Error in Create_file event: could not write to file '%s'"
 msgstr ""
 
-#: drizzled/log_event.cc:3389
+#: drizzled/log_event.cc:3385
 #, c-format
 msgid "Error in Create_file event: write to '%s' failed"
 msgstr ""
 
-#: drizzled/log_event.cc:3503
+#: drizzled/log_event.cc:3499
 #, c-format
 msgid "Error in %s event: could not create file '%s'"
 msgstr ""
 
-#: drizzled/log_event.cc:3512
+#: drizzled/log_event.cc:3508
 #, c-format
 msgid "Error in %s event: could not open file '%s'"
 msgstr ""
 
-#: drizzled/log_event.cc:3519
+#: drizzled/log_event.cc:3515
 #, c-format
 msgid "Error in %s event: write to '%s' failed"
 msgstr ""
 
-#: drizzled/log_event.cc:3681
+#: drizzled/log_event.cc:3677
 #, c-format
 msgid "Error in Exec_load event: could not open file '%s'"
 msgstr ""
 
-#: drizzled/log_event.cc:3691
+#: drizzled/log_event.cc:3687
 #, c-format
 msgid "Error in Exec_load event: file '%s' appears corrupted"
 msgstr ""
 
-#: drizzled/log_event.cc:3721
+#: drizzled/log_event.cc:3717
 #, c-format
 msgid "%s. Failed executing load from '%s'"
 msgstr ""
 
-#: drizzled/log_event.cc:3894
+#: drizzled/log_event.cc:3890
 msgid "Not enough memory"
 msgstr ""
 
-#: drizzled/log_event.cc:4314
+#: drizzled/log_event.cc:4310
 #, c-format
 msgid "Error '%s' in %s event: when locking tables"
 msgstr ""
 
-#: drizzled/log_event.cc:4324
+#: drizzled/log_event.cc:4320
 #, c-format
 msgid "Error in %s event: when locking tables"
 msgstr ""
 
-#: drizzled/log_event.cc:4345
+#: drizzled/log_event.cc:4341
 #, c-format
 msgid "Error '%s' on reopening tables"
 msgstr ""
 
-#: drizzled/log_event.cc:4681
+#: drizzled/log_event.cc:4677
 #, c-format
 msgid "Error in %s event: commit of row events failed, table `%s`.`%s`"
 msgstr ""
 
-#: drizzled/log_event.cc:5077
+#: drizzled/log_event.cc:5073
 #, c-format
 msgid "Error '%s' on opening table `%s`.`%s`"
 msgstr ""
@@ -6696,22 +6696,22 @@
 msgid "Plugin '%s' disabled by command line option"
 msgstr ""
 
-#: drizzled/sql_table.cc:108
+#: drizzled/sql_table.cc:110
 #, c-format
 msgid "Invalid (old?) table or database name '%s'"
 msgstr ""
 
-#: drizzled/sql_table.cc:2746
+#: drizzled/sql_table.cc:2762
 #, c-format
 msgid "Unknown - internal error %d during operation"
 msgstr ""
 
-#: drizzled/sql_table.cc:5019
+#: drizzled/sql_table.cc:5030
 #, c-format
 msgid "Could not open table %s.%s after rename\n"
 msgstr ""
 
-#: drizzled/sql_table.cc:5186
+#: drizzled/sql_table.cc:5197
 #, c-format
 msgid ""
 "order_st BY ignored because there is a user-defined clustered index in the "

=== modified file 'po/tr.po'
--- po/tr.po	2008-12-10 22:02:06 +0000
+++ po/tr.po	2008-12-12 04:49:53 +0000
@@ -7,7 +7,7 @@
 msgstr ""
 "Project-Id-Version: drizzle\n"
 "Report-Msgid-Bugs-To: http://translations.launchpad.net/drizzle\n"
-"POT-Creation-Date: 2008-12-10 14:01-0800\n"
+"POT-Creation-Date: 2008-12-11 22:45-0600\n"
 "PO-Revision-Date: 2008-12-09 16:52+0000\n"
 "Last-Translator: onur kopan <onurkopan@hotmail.com>\n"
 "Language-Team: Turkish <tr@li.org>\n"
@@ -1209,7 +1209,7 @@
 msgid "(Disabled)\n"
 msgstr ""
 
-#: drizzled/authentication.cc:66 drizzled/show.cc:4677
+#: drizzled/authentication.cc:66 drizzled/show.cc:4679
 #: drizzled/sql_plugin.cc:829
 #, c-format
 msgid "Plugin '%s' init function returned error."
@@ -5709,7 +5709,7 @@
 msgid "Failed to create a cache on log (file '%s')"
 msgstr ""
 
-#: drizzled/log.cc:522 drizzled/log.cc:887
+#: drizzled/log.cc:520 drizzled/log.cc:885
 #, c-format
 msgid ""
 "Could not use %s for logging (error %d). Turning logging off for the whole "
@@ -5717,82 +5717,82 @@
 "shutdown the Drizzle server and restart it."
 msgstr ""
 
-#: drizzled/log.cc:1155 drizzled/log.cc:1186 drizzled/log.cc:1435
-#: drizzled/log.cc:1557
+#: drizzled/log.cc:1153 drizzled/log.cc:1184 drizzled/log.cc:1433
+#: drizzled/log.cc:1555
 #, c-format
 msgid "Failed to delete file '%s'"
 msgstr ""
 
-#: drizzled/log.cc:1164 drizzled/log.cc:1443 drizzled/log.cc:1565
+#: drizzled/log.cc:1162 drizzled/log.cc:1441 drizzled/log.cc:1563
 #, c-format
 msgid ""
 "a problem with deleting %s; consider examining correspondence of your binlog "
 "index file to the actual binlog files"
 msgstr ""
 
-#: drizzled/log.cc:1291
+#: drizzled/log.cc:1289
 #, c-format
 msgid "next log error: %d  offset: %s  log: %s included: %d"
 msgstr ""
 
-#: drizzled/log.cc:1401 drizzled/log.cc:1525
+#: drizzled/log.cc:1399 drizzled/log.cc:1523
 #, c-format
 msgid "Failed to execute stat() on file '%s'"
 msgstr ""
 
-#: drizzled/log.cc:1412 drizzled/log.cc:1536
+#: drizzled/log.cc:1410 drizzled/log.cc:1534
 #, c-format
 msgid ""
 "a problem with getting info on being purged %s; consider examining "
 "correspondence of your binlog index file to the actual binlog files"
 msgstr ""
 
-#: drizzled/log.cc:2546 drizzled/log.cc:3044
+#: drizzled/log.cc:2544 drizzled/log.cc:3042
 #, c-format
 msgid "Recovering after a crash using %s"
 msgstr ""
 
-#: drizzled/log.cc:2549
+#: drizzled/log.cc:2547
 msgid ""
 "Cannot perform automatic crash recovery when --tc-heuristic-recover is used"
 msgstr ""
 
-#: drizzled/log.cc:2891
+#: drizzled/log.cc:2889
 msgid "Bad magic header in tc log"
 msgstr ""
 
-#: drizzled/log.cc:2901
+#: drizzled/log.cc:2899
 #, c-format
 msgid ""
 "Recovery failed! You must enable exactly %d storage engines that support two-"
 "phase commit protocol"
 msgstr ""
 
-#: drizzled/log.cc:2929
+#: drizzled/log.cc:2927
 msgid ""
 "Crash recovery failed. Either correct the problem (if it's, for example, out "
 "of memory error) and restart, or delete tc log and start drizzled with --tc-"
 "heuristic-recover={commit|rollback}"
 msgstr ""
 
+#: drizzled/log.cc:2957
+msgid "Heuristic crash recovery mode"
+msgstr ""
+
 #: drizzled/log.cc:2959
-msgid "Heuristic crash recovery mode"
-msgstr ""
-
-#: drizzled/log.cc:2961
 msgid "Heuristic crash recovery failed"
 msgstr ""
 
-#: drizzled/log.cc:2962
+#: drizzled/log.cc:2960
 msgid "Please restart mysqld without --tc-heuristic-recover"
 msgstr ""
 
-#: drizzled/log.cc:3006 drizzled/log.cc:3030
+#: drizzled/log.cc:3004 drizzled/log.cc:3028
 #, c-format
 msgid "find_log_pos() failed (error: %d)"
 msgstr ""
 
-#: drizzled/log.cc:3144
+#: drizzled/log.cc:3142
 msgid ""
 "Crash recovery failed. Either correct the problem (if it's, for example, out "
 "of memory error) and restart, or delete (or rename) binary log and start "
@@ -5848,8 +5848,8 @@
 msgid "Error '%s' on query. Default database: '%s'. Query: '%s'"
 msgstr ""
 
-#: drizzled/log_event.cc:1670 drizzled/log_event.cc:4317
-#: drizzled/log_event.cc:4348 drizzled/log_event.cc:5080
+#: drizzled/log_event.cc:1670 drizzled/log_event.cc:4313
+#: drizzled/log_event.cc:4344 drizzled/log_event.cc:5076
 msgid "unexpected success or fatal error"
 msgstr ""
 
@@ -5878,80 +5878,80 @@
 msgid "Running LOAD DATA INFILE on table '%-.64s'. Default database: '%-.64s'"
 msgstr ""
 
-#: drizzled/log_event.cc:3106
+#: drizzled/log_event.cc:3102
 msgid "Out of memory while recording slave event"
 msgstr ""
 
-#: drizzled/log_event.cc:3356 drizzled/log_event.cc:3382
+#: drizzled/log_event.cc:3352 drizzled/log_event.cc:3378
 #, c-format
 msgid "Error in Create_file event: could not open file '%s'"
 msgstr ""
 
-#: drizzled/log_event.cc:3368
+#: drizzled/log_event.cc:3364
 #, c-format
 msgid "Error in Create_file event: could not write to file '%s'"
 msgstr ""
 
-#: drizzled/log_event.cc:3389
+#: drizzled/log_event.cc:3385
 #, c-format
 msgid "Error in Create_file event: write to '%s' failed"
 msgstr ""
 
-#: drizzled/log_event.cc:3503
+#: drizzled/log_event.cc:3499
 #, c-format
 msgid "Error in %s event: could not create file '%s'"
 msgstr ""
 
-#: drizzled/log_event.cc:3512
+#: drizzled/log_event.cc:3508
 #, c-format
 msgid "Error in %s event: could not open file '%s'"
 msgstr ""
 
-#: drizzled/log_event.cc:3519
+#: drizzled/log_event.cc:3515
 #, c-format
 msgid "Error in %s event: write to '%s' failed"
 msgstr ""
 
-#: drizzled/log_event.cc:3681
+#: drizzled/log_event.cc:3677
 #, c-format
 msgid "Error in Exec_load event: could not open file '%s'"
 msgstr ""
 
-#: drizzled/log_event.cc:3691
+#: drizzled/log_event.cc:3687
 #, c-format
 msgid "Error in Exec_load event: file '%s' appears corrupted"
 msgstr ""
 
-#: drizzled/log_event.cc:3721
+#: drizzled/log_event.cc:3717
 #, c-format
 msgid "%s. Failed executing load from '%s'"
 msgstr ""
 
-#: drizzled/log_event.cc:3894
+#: drizzled/log_event.cc:3890
 msgid "Not enough memory"
 msgstr ""
 
-#: drizzled/log_event.cc:4314
+#: drizzled/log_event.cc:4310
 #, c-format
 msgid "Error '%s' in %s event: when locking tables"
 msgstr ""
 
-#: drizzled/log_event.cc:4324
+#: drizzled/log_event.cc:4320
 #, c-format
 msgid "Error in %s event: when locking tables"
 msgstr ""
 
-#: drizzled/log_event.cc:4345
+#: drizzled/log_event.cc:4341
 #, c-format
 msgid "Error '%s' on reopening tables"
 msgstr ""
 
-#: drizzled/log_event.cc:4681
+#: drizzled/log_event.cc:4677
 #, c-format
 msgid "Error in %s event: commit of row events failed, table `%s`.`%s`"
 msgstr ""
 
-#: drizzled/log_event.cc:5077
+#: drizzled/log_event.cc:5073
 #, c-format
 msgid "Error '%s' on opening table `%s`.`%s`"
 msgstr ""
@@ -6701,22 +6701,22 @@
 msgid "Plugin '%s' disabled by command line option"
 msgstr ""
 
-#: drizzled/sql_table.cc:108
+#: drizzled/sql_table.cc:110
 #, c-format
 msgid "Invalid (old?) table or database name '%s'"
 msgstr ""
 
-#: drizzled/sql_table.cc:2746
+#: drizzled/sql_table.cc:2762
 #, c-format
 msgid "Unknown - internal error %d during operation"
 msgstr ""
 
-#: drizzled/sql_table.cc:5019
+#: drizzled/sql_table.cc:5030
 #, c-format
 msgid "Could not open table %s.%s after rename\n"
 msgstr ""
 
-#: drizzled/sql_table.cc:5186
+#: drizzled/sql_table.cc:5197
 #, c-format
 msgid ""
 "order_st BY ignored because there is a user-defined clustered index in the "

=== modified file 'po/zh_CN.po'
--- po/zh_CN.po	2008-12-10 22:02:06 +0000
+++ po/zh_CN.po	2008-12-12 04:49:53 +0000
@@ -7,7 +7,7 @@
 msgstr ""
 "Project-Id-Version: drizzle\n"
 "Report-Msgid-Bugs-To: http://translations.launchpad.net/drizzle\n"
-"POT-Creation-Date: 2008-12-10 14:01-0800\n"
+"POT-Creation-Date: 2008-12-11 22:45-0600\n"
 "PO-Revision-Date: 2008-09-26 03:49+0000\n"
 "Last-Translator: friendzhen <pengzhenyou@gmail.com>\n"
 "Language-Team: Simplified Chinese <zh_CN@li.org>\n"
@@ -1206,7 +1206,7 @@
 msgid "(Disabled)\n"
 msgstr ""
 
-#: drizzled/authentication.cc:66 drizzled/show.cc:4677
+#: drizzled/authentication.cc:66 drizzled/show.cc:4679
 #: drizzled/sql_plugin.cc:829
 #, c-format
 msgid "Plugin '%s' init function returned error."
@@ -5706,7 +5706,7 @@
 msgid "Failed to create a cache on log (file '%s')"
 msgstr ""
 
-#: drizzled/log.cc:522 drizzled/log.cc:887
+#: drizzled/log.cc:520 drizzled/log.cc:885
 #, c-format
 msgid ""
 "Could not use %s for logging (error %d). Turning logging off for the whole "
@@ -5714,82 +5714,82 @@
 "shutdown the Drizzle server and restart it."
 msgstr ""
 
-#: drizzled/log.cc:1155 drizzled/log.cc:1186 drizzled/log.cc:1435
-#: drizzled/log.cc:1557
+#: drizzled/log.cc:1153 drizzled/log.cc:1184 drizzled/log.cc:1433
+#: drizzled/log.cc:1555
 #, c-format
 msgid "Failed to delete file '%s'"
 msgstr ""
 
-#: drizzled/log.cc:1164 drizzled/log.cc:1443 drizzled/log.cc:1565
+#: drizzled/log.cc:1162 drizzled/log.cc:1441 drizzled/log.cc:1563
 #, c-format
 msgid ""
 "a problem with deleting %s; consider examining correspondence of your binlog "
 "index file to the actual binlog files"
 msgstr ""
 
-#: drizzled/log.cc:1291
+#: drizzled/log.cc:1289
 #, c-format
 msgid "next log error: %d  offset: %s  log: %s included: %d"
 msgstr ""
 
-#: drizzled/log.cc:1401 drizzled/log.cc:1525
+#: drizzled/log.cc:1399 drizzled/log.cc:1523
 #, c-format
 msgid "Failed to execute stat() on file '%s'"
 msgstr ""
 
-#: drizzled/log.cc:1412 drizzled/log.cc:1536
+#: drizzled/log.cc:1410 drizzled/log.cc:1534
 #, c-format
 msgid ""
 "a problem with getting info on being purged %s; consider examining "
 "correspondence of your binlog index file to the actual binlog files"
 msgstr ""
 
-#: drizzled/log.cc:2546 drizzled/log.cc:3044
+#: drizzled/log.cc:2544 drizzled/log.cc:3042
 #, c-format
 msgid "Recovering after a crash using %s"
 msgstr ""
 
-#: drizzled/log.cc:2549
+#: drizzled/log.cc:2547
 msgid ""
 "Cannot perform automatic crash recovery when --tc-heuristic-recover is used"
 msgstr ""
 
-#: drizzled/log.cc:2891
+#: drizzled/log.cc:2889
 msgid "Bad magic header in tc log"
 msgstr ""
 
-#: drizzled/log.cc:2901
+#: drizzled/log.cc:2899
 #, c-format
 msgid ""
 "Recovery failed! You must enable exactly %d storage engines that support two-"
 "phase commit protocol"
 msgstr ""
 
-#: drizzled/log.cc:2929
+#: drizzled/log.cc:2927
 msgid ""
 "Crash recovery failed. Either correct the problem (if it's, for example, out "
 "of memory error) and restart, or delete tc log and start drizzled with --tc-"
 "heuristic-recover={commit|rollback}"
 msgstr ""
 
+#: drizzled/log.cc:2957
+msgid "Heuristic crash recovery mode"
+msgstr ""
+
 #: drizzled/log.cc:2959
-msgid "Heuristic crash recovery mode"
-msgstr ""
-
-#: drizzled/log.cc:2961
 msgid "Heuristic crash recovery failed"
 msgstr ""
 
-#: drizzled/log.cc:2962
+#: drizzled/log.cc:2960
 msgid "Please restart mysqld without --tc-heuristic-recover"
 msgstr ""
 
-#: drizzled/log.cc:3006 drizzled/log.cc:3030
+#: drizzled/log.cc:3004 drizzled/log.cc:3028
 #, c-format
 msgid "find_log_pos() failed (error: %d)"
 msgstr ""
 
-#: drizzled/log.cc:3144
+#: drizzled/log.cc:3142
 msgid ""
 "Crash recovery failed. Either correct the problem (if it's, for example, out "
 "of memory error) and restart, or delete (or rename) binary log and start "
@@ -5845,8 +5845,8 @@
 msgid "Error '%s' on query. Default database: '%s'. Query: '%s'"
 msgstr ""
 
-#: drizzled/log_event.cc:1670 drizzled/log_event.cc:4317
-#: drizzled/log_event.cc:4348 drizzled/log_event.cc:5080
+#: drizzled/log_event.cc:1670 drizzled/log_event.cc:4313
+#: drizzled/log_event.cc:4344 drizzled/log_event.cc:5076
 msgid "unexpected success or fatal error"
 msgstr ""
 
@@ -5875,80 +5875,80 @@
 msgid "Running LOAD DATA INFILE on table '%-.64s'. Default database: '%-.64s'"
 msgstr ""
 
-#: drizzled/log_event.cc:3106
+#: drizzled/log_event.cc:3102
 msgid "Out of memory while recording slave event"
 msgstr ""
 
-#: drizzled/log_event.cc:3356 drizzled/log_event.cc:3382
+#: drizzled/log_event.cc:3352 drizzled/log_event.cc:3378
 #, c-format
 msgid "Error in Create_file event: could not open file '%s'"
 msgstr ""
 
-#: drizzled/log_event.cc:3368
+#: drizzled/log_event.cc:3364
 #, c-format
 msgid "Error in Create_file event: could not write to file '%s'"
 msgstr ""
 
-#: drizzled/log_event.cc:3389
+#: drizzled/log_event.cc:3385
 #, c-format
 msgid "Error in Create_file event: write to '%s' failed"
 msgstr ""
 
-#: drizzled/log_event.cc:3503
+#: drizzled/log_event.cc:3499
 #, c-format
 msgid "Error in %s event: could not create file '%s'"
 msgstr ""
 
-#: drizzled/log_event.cc:3512
+#: drizzled/log_event.cc:3508
 #, c-format
 msgid "Error in %s event: could not open file '%s'"
 msgstr ""
 
-#: drizzled/log_event.cc:3519
+#: drizzled/log_event.cc:3515
 #, c-format
 msgid "Error in %s event: write to '%s' failed"
 msgstr ""
 
-#: drizzled/log_event.cc:3681
+#: drizzled/log_event.cc:3677
 #, c-format
 msgid "Error in Exec_load event: could not open file '%s'"
 msgstr ""
 
-#: drizzled/log_event.cc:3691
+#: drizzled/log_event.cc:3687
 #, c-format
 msgid "Error in Exec_load event: file '%s' appears corrupted"
 msgstr ""
 
-#: drizzled/log_event.cc:3721
+#: drizzled/log_event.cc:3717
 #, c-format
 msgid "%s. Failed executing load from '%s'"
 msgstr ""
 
-#: drizzled/log_event.cc:3894
+#: drizzled/log_event.cc:3890
 msgid "Not enough memory"
 msgstr ""
 
-#: drizzled/log_event.cc:4314
+#: drizzled/log_event.cc:4310
 #, c-format
 msgid "Error '%s' in %s event: when locking tables"
 msgstr ""
 
-#: drizzled/log_event.cc:4324
+#: drizzled/log_event.cc:4320
 #, c-format
 msgid "Error in %s event: when locking tables"
 msgstr ""
 
-#: drizzled/log_event.cc:4345
+#: drizzled/log_event.cc:4341
 #, c-format
 msgid "Error '%s' on reopening tables"
 msgstr ""
 
-#: drizzled/log_event.cc:4681
+#: drizzled/log_event.cc:4677
 #, c-format
 msgid "Error in %s event: commit of row events failed, table `%s`.`%s`"
 msgstr ""
 
-#: drizzled/log_event.cc:5077
+#: drizzled/log_event.cc:5073
 #, c-format
 msgid "Error '%s' on opening table `%s`.`%s`"
 msgstr ""
@@ -6698,22 +6698,22 @@
 msgid "Plugin '%s' disabled by command line option"
 msgstr ""
 
-#: drizzled/sql_table.cc:108
+#: drizzled/sql_table.cc:110
 #, c-format
 msgid "Invalid (old?) table or database name '%s'"
 msgstr ""
 
-#: drizzled/sql_table.cc:2746
+#: drizzled/sql_table.cc:2762
 #, c-format
 msgid "Unknown - internal error %d during operation"
 msgstr ""
 
-#: drizzled/sql_table.cc:5019
+#: drizzled/sql_table.cc:5030
 #, c-format
 msgid "Could not open table %s.%s after rename\n"
 msgstr ""
 
-#: drizzled/sql_table.cc:5186
+#: drizzled/sql_table.cc:5197
 #, c-format
 msgid ""
 "order_st BY ignored because there is a user-defined clustered index in the "

=== modified file 'po/zh_HK.po'
--- po/zh_HK.po	2008-12-10 22:02:06 +0000
+++ po/zh_HK.po	2008-12-12 04:49:53 +0000
@@ -7,7 +7,7 @@
 msgstr ""
 "Project-Id-Version: drizzle\n"
 "Report-Msgid-Bugs-To: http://translations.launchpad.net/drizzle\n"
-"POT-Creation-Date: 2008-12-10 14:01-0800\n"
+"POT-Creation-Date: 2008-12-11 22:45-0600\n"
 "PO-Revision-Date: 2008-11-27 03:01+0000\n"
 "Last-Translator: Monty Taylor <mordred@inaugust.com>\n"
 "Language-Team: Chinese (Hong Kong) <zh_HK@li.org>\n"
@@ -1207,7 +1207,7 @@
 msgid "(Disabled)\n"
 msgstr "(停用)\n"
 
-#: drizzled/authentication.cc:66 drizzled/show.cc:4677
+#: drizzled/authentication.cc:66 drizzled/show.cc:4679
 #: drizzled/sql_plugin.cc:829
 #, c-format
 msgid "Plugin '%s' init function returned error."
@@ -5707,7 +5707,7 @@
 msgid "Failed to create a cache on log (file '%s')"
 msgstr ""
 
-#: drizzled/log.cc:522 drizzled/log.cc:887
+#: drizzled/log.cc:520 drizzled/log.cc:885
 #, c-format
 msgid ""
 "Could not use %s for logging (error %d). Turning logging off for the whole "
@@ -5715,82 +5715,82 @@
 "shutdown the Drizzle server and restart it."
 msgstr ""
 
-#: drizzled/log.cc:1155 drizzled/log.cc:1186 drizzled/log.cc:1435
-#: drizzled/log.cc:1557
+#: drizzled/log.cc:1153 drizzled/log.cc:1184 drizzled/log.cc:1433
+#: drizzled/log.cc:1555
 #, c-format
 msgid "Failed to delete file '%s'"
 msgstr ""
 
-#: drizzled/log.cc:1164 drizzled/log.cc:1443 drizzled/log.cc:1565
+#: drizzled/log.cc:1162 drizzled/log.cc:1441 drizzled/log.cc:1563
 #, c-format
 msgid ""
 "a problem with deleting %s; consider examining correspondence of your binlog "
 "index file to the actual binlog files"
 msgstr ""
 
-#: drizzled/log.cc:1291
+#: drizzled/log.cc:1289
 #, c-format
 msgid "next log error: %d  offset: %s  log: %s included: %d"
 msgstr ""
 
-#: drizzled/log.cc:1401 drizzled/log.cc:1525
+#: drizzled/log.cc:1399 drizzled/log.cc:1523
 #, c-format
 msgid "Failed to execute stat() on file '%s'"
 msgstr ""
 
-#: drizzled/log.cc:1412 drizzled/log.cc:1536
+#: drizzled/log.cc:1410 drizzled/log.cc:1534
 #, c-format
 msgid ""
 "a problem with getting info on being purged %s; consider examining "
 "correspondence of your binlog index file to the actual binlog files"
 msgstr ""
 
-#: drizzled/log.cc:2546 drizzled/log.cc:3044
+#: drizzled/log.cc:2544 drizzled/log.cc:3042
 #, c-format
 msgid "Recovering after a crash using %s"
 msgstr ""
 
-#: drizzled/log.cc:2549
+#: drizzled/log.cc:2547
 msgid ""
 "Cannot perform automatic crash recovery when --tc-heuristic-recover is used"
 msgstr ""
 
-#: drizzled/log.cc:2891
+#: drizzled/log.cc:2889
 msgid "Bad magic header in tc log"
 msgstr ""
 
-#: drizzled/log.cc:2901
+#: drizzled/log.cc:2899
 #, c-format
 msgid ""
 "Recovery failed! You must enable exactly %d storage engines that support two-"
 "phase commit protocol"
 msgstr ""
 
-#: drizzled/log.cc:2929
+#: drizzled/log.cc:2927
 msgid ""
 "Crash recovery failed. Either correct the problem (if it's, for example, out "
 "of memory error) and restart, or delete tc log and start drizzled with --tc-"
 "heuristic-recover={commit|rollback}"
 msgstr ""
 
+#: drizzled/log.cc:2957
+msgid "Heuristic crash recovery mode"
+msgstr ""
+
 #: drizzled/log.cc:2959
-msgid "Heuristic crash recovery mode"
-msgstr ""
-
-#: drizzled/log.cc:2961
 msgid "Heuristic crash recovery failed"
 msgstr ""
 
-#: drizzled/log.cc:2962
+#: drizzled/log.cc:2960
 msgid "Please restart mysqld without --tc-heuristic-recover"
 msgstr ""
 
-#: drizzled/log.cc:3006 drizzled/log.cc:3030
+#: drizzled/log.cc:3004 drizzled/log.cc:3028
 #, c-format
 msgid "find_log_pos() failed (error: %d)"
 msgstr ""
 
-#: drizzled/log.cc:3144
+#: drizzled/log.cc:3142
 msgid ""
 "Crash recovery failed. Either correct the problem (if it's, for example, out "
 "of memory error) and restart, or delete (or rename) binary log and start "
@@ -5846,8 +5846,8 @@
 msgid "Error '%s' on query. Default database: '%s'. Query: '%s'"
 msgstr ""
 
-#: drizzled/log_event.cc:1670 drizzled/log_event.cc:4317
-#: drizzled/log_event.cc:4348 drizzled/log_event.cc:5080
+#: drizzled/log_event.cc:1670 drizzled/log_event.cc:4313
+#: drizzled/log_event.cc:4344 drizzled/log_event.cc:5076
 msgid "unexpected success or fatal error"
 msgstr ""
 
@@ -5876,80 +5876,80 @@
 msgid "Running LOAD DATA INFILE on table '%-.64s'. Default database: '%-.64s'"
 msgstr ""
 
-#: drizzled/log_event.cc:3106
+#: drizzled/log_event.cc:3102
 msgid "Out of memory while recording slave event"
 msgstr ""
 
-#: drizzled/log_event.cc:3356 drizzled/log_event.cc:3382
+#: drizzled/log_event.cc:3352 drizzled/log_event.cc:3378
 #, c-format
 msgid "Error in Create_file event: could not open file '%s'"
 msgstr ""
 
-#: drizzled/log_event.cc:3368
+#: drizzled/log_event.cc:3364
 #, c-format
 msgid "Error in Create_file event: could not write to file '%s'"
 msgstr ""
 
-#: drizzled/log_event.cc:3389
+#: drizzled/log_event.cc:3385
 #, c-format
 msgid "Error in Create_file event: write to '%s' failed"
 msgstr ""
 
-#: drizzled/log_event.cc:3503
+#: drizzled/log_event.cc:3499
 #, c-format
 msgid "Error in %s event: could not create file '%s'"
 msgstr ""
 
-#: drizzled/log_event.cc:3512
+#: drizzled/log_event.cc:3508
 #, c-format
 msgid "Error in %s event: could not open file '%s'"
 msgstr ""
 
-#: drizzled/log_event.cc:3519
+#: drizzled/log_event.cc:3515
 #, c-format
 msgid "Error in %s event: write to '%s' failed"
 msgstr ""
 
-#: drizzled/log_event.cc:3681
+#: drizzled/log_event.cc:3677
 #, c-format
 msgid "Error in Exec_load event: could not open file '%s'"
 msgstr ""
 
-#: drizzled/log_event.cc:3691
+#: drizzled/log_event.cc:3687
 #, c-format
 msgid "Error in Exec_load event: file '%s' appears corrupted"
 msgstr ""
 
-#: drizzled/log_event.cc:3721
+#: drizzled/log_event.cc:3717
 #, c-format
 msgid "%s. Failed executing load from '%s'"
 msgstr ""
 
-#: drizzled/log_event.cc:3894
+#: drizzled/log_event.cc:3890
 msgid "Not enough memory"
 msgstr ""
 
-#: drizzled/log_event.cc:4314
+#: drizzled/log_event.cc:4310
 #, c-format
 msgid "Error '%s' in %s event: when locking tables"
 msgstr ""
 
-#: drizzled/log_event.cc:4324
+#: drizzled/log_event.cc:4320
 #, c-format
 msgid "Error in %s event: when locking tables"
 msgstr ""
 
-#: drizzled/log_event.cc:4345
+#: drizzled/log_event.cc:4341
 #, c-format
 msgid "Error '%s' on reopening tables"
 msgstr ""
 
-#: drizzled/log_event.cc:4681
+#: drizzled/log_event.cc:4677
 #, c-format
 msgid "Error in %s event: commit of row events failed, table `%s`.`%s`"
 msgstr ""
 
-#: drizzled/log_event.cc:5077
+#: drizzled/log_event.cc:5073
 #, c-format
 msgid "Error '%s' on opening table `%s`.`%s`"
 msgstr ""
@@ -6699,22 +6699,22 @@
 msgid "Plugin '%s' disabled by command line option"
 msgstr ""
 
-#: drizzled/sql_table.cc:108
+#: drizzled/sql_table.cc:110
 #, c-format
 msgid "Invalid (old?) table or database name '%s'"
 msgstr ""
 
-#: drizzled/sql_table.cc:2746
+#: drizzled/sql_table.cc:2762
 #, c-format
 msgid "Unknown - internal error %d during operation"
 msgstr ""
 
-#: drizzled/sql_table.cc:5019
+#: drizzled/sql_table.cc:5030
 #, c-format
 msgid "Could not open table %s.%s after rename\n"
 msgstr ""
 
-#: drizzled/sql_table.cc:5186
+#: drizzled/sql_table.cc:5197
 #, c-format
 msgid ""
 "order_st BY ignored because there is a user-defined clustered index in the "

